CHANGES
=======

13.0.1
------

* Imported Translations from Zanata
* Replace all mentions of get\_identity\_providers with get\_identity\_provider
* Fix wrong setting name for SHOW\_KEYSTONE\_V2\_RC
* Imported Translations from Zanata
* Fix pep8 errors
* Use items per page setting on Angular tables
* Imported Translations from Zanata
* Fix Angular errors in openstack\_auth
* Add a warning to user: Unable to remove availability zone from host aggregate
* Add same launch instance error handling as image to instance
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata

13.0.0
------

* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Move test template to more proper directory
* Imported Translations from Zanata
* Imported Translations from Zanata
* Fix collectstatic in case of theme customization
* Update UPPER\_CONSTRAINTS\_FILE for stable/queens
* Update .gitreview for stable/queens

13.0.0.0rc1
-----------

* Network topology "Graph" tab always shows nothing
* Imported Translations from Zanata
* Imported Translations from Zanata
* Remove empty test file
* Change http link to https link
* Imported Translations from Zanata
* Sync nova policy
* Imported Translations from Zanata
* Views accessible via url even if user doesn't match policy rules
* Missing VNIC type parameter when using it to create a port
* Imported Translations from Zanata
* Use nova os-services to retrieve host list
* Enable to refresh ngdetails view
* relnote: clearly mention django-openstack-auth needs uninstall
* Imported Translations from Zanata
* fix english grammatical error
* operation\_log: Mask more password fields by default
* i18n: Fix untranslated messages
* i18n: Do not include html directives in translation strings
* Imported Translations from Zanata
* Fix back button on Firefox and Safari
* Imported Translations from Zanata
* Correct odd exception message
* Remove 'tools/install\_venv.py' reference paragraph
* Trunks panel: admin panel
* Ensure to mark exception message as tranlation strings
* Horizon UI message when browser cookies disabled
* i18n: Allow translator to control the word order (trunk)
* Imported Translations from Zanata
* Zuul: Remove project name
* Tabs in launch server wizard not depending on OPENSTACK\_NOVA\_EXTENSIONS\_BLACKLIST
* Change django.utils.log.NullHandler to logging.NullHandler
* Imported Translations from Zanata
* Handle novaclient ec2 cert support removal
* Sync keystone policy
* Imported Translations from Zanata

13.0.0.0b3
----------

* comment was wrongly declared
* Trunks panel: eliminate spinner at create/edit
* Ignore node\_modules from test target
* Imported Translations from Zanata
* Updated from global requirements
* Improve exception message in network related Batch/DeleteAction
* Avoid duplicated message in Batch/DeleteAction
* Avoid sending error message twice in BatchAction
* Add note for Django 1.8-1.10 support in relnote and doc
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* doc: Move the note to an appropriate place
* Imported Translations from Zanata
* elif replace if
* Imported Translations from Zanata
* Make serial console resizable
* Add setting for user menu links
* Text clippin in window security groups Fixed text overflow from form by removing limiting max-height media in scss
* Correctly show no data message in Network Topology
* Security group quota error handling
* font for transfer table heading enlarged
* Updated from global requirements
* Fix api.keystone.is\_cloud\_admin/is\_domain\_admin handling with new policies
* Imported Translations from Zanata
* Better designed 404 error page
* Updated from global requirements
* Add Enable/Disable User action for Angular users panel
* Add Change Password Action for Angular users panel
* Imported Translations from Zanata
* [doc] Correct the wrong 'System' tab
* Imported Translations from Zanata
* Make neutron quota names translatable
* Imported Translations from Zanata
* doc: update policy related topics
* doc: cleanup unnecessary vertical lines
* doc: Update project port create
* quota: Use neutron default quota (read-only) API
* usage: split out the limit related logic into ProjectUsageView
* Imported Translations from Zanata
* Rename tox\_venvlist (2/2)
* Rename tox\_venvlist (1/2)
* Orders the projects and roles in user creation combos
* Imported Translations from Zanata
* Trunks panel: simplify code for easier testing
* Add Edit action for Angular users panel
* Add Angular keystone user deletion action
* Handle unicode when downloading transfer credentials
* Imported Translations from Zanata
* quota: Move neutron quota logic in identity.projects.views
* Imported Translations from Zanata
* Switch settings password tests to mock
* Implement create\_mocks decorator to make mocks easier
* [doc] Correct the wrong 'System' tab
* [doc] Correct the wrong volumes tab
* Upload the latest screenshots
* [doc] Reorganize the content of horizon Admin tab
* Use 'trimmed' for blocktrans in multi-line strings
* Remove the redundant codes
* tox: run doc8 in pep8
* [doc] Modify the content of the configure access and security for instances
* [doc] Add the missing editable properties for image
* doc: drop horizon-plugins' content from user/admin guide
* Skip horizon-dsvm-tempest-plugin when touching test code only
* Imported Translations from Zanata
* Handle float('inf') in tenant\_quota\_usages properly
* Reorganize the content of horizon project tab
* Switch Glance-related tests (dashboards.project.images) to mock
* Imported Translations from Zanata
* Imported Translations from Zanata
* Avoid Unhashable warning in api.rest.nova
* Fix incorrect volume type value in ng images create volume form
* Fix displayed type for instance snapshots
* Imported Translations from Zanata
* Imported Translations from Zanata
* Drop unnecessary executable flags
* Switch Glance-related tests (dashboards.admin.images) to mock
* Switch Glance API tests to mock
* Allow regular users to specify VNIC type for port
* Make enabled filenames consistent
* Handle binding\_\_host\_id conditionally
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Remove unnecessary module injection
* Add more actions to admin
* Disable flavor ModifyAccess action while the flavor is public
* Updating default keystone API verson to 3
* Drop flavor name validation in horizon side
* Sync cinder policy
* Tools to check policy differences
* Imported Translations from Zanata
* Updated from global requirements
* Use Cinder API v3 by default
* Imported Translations from Zanata
* Update Ubuntu horizon installation instruction
* Floating IP: Expose description field in form and tables
* Imported Translations from Zanata
* Do not make duplicate requests to Glance for image names in admin panel
* Refactor swap\_filter in instance views
* Imported Translations from Zanata
* Add create and import key pair actions
* Sync glance policy
* quota: Use network quota field names consistently
* quota: Use neutron quota\_details API to retrieve usage
* quota: retrieve quota (limit) and usage at once
* quota: Disable nova-network quotas completely
* Prevent non-admin users from detaching interfaces
* Add text download service
* Add Angular keystone user creation action
* API tests: Avoid UnhashableKeyWarning
* python3: long does not exist in python 3
* Imported Translations from Zanata
* Optional removal of V2 openrc file
* Always display server description
* doc: use "python manage.py" directly rather "tox -e manage"
* Define default POLICY\_DIRS value
* Allow to skip API calls to Neutron in instance tables
* Show volume snapshots in admin volume detail page
* Fix wrong link to VM in admin volume detail
* Remove app-catalog from plugin list
* Updated from global requirements
* openstack\_dashboard: Move test files to match module structure
* openstack\_auth: Move test files to match module structure
* horizon: Move test files to match corresponding module structure
* Imported Translations from Zanata
* Add Heat Dasbhoard to Plugin Registry
* Updated from global requirements
* Trunks panel: display the MAC of ports

13.0.0.0b2
----------

* Imported Translations from Zanata
* Drop Heat related code from horizon
* Imported Translations from Zanata
* API micro-version support for multiple features
* Render 'Volume Transfer' as modal instead of page
* Imported Translations from Zanata
* Imported Translations from Zanata
* Fix broken nova console support
* Redirect VM console dynamically
* Update job skip condition
* Commonize load-edit directive
* Add MKS console support
* Prepare test env for Django 2.0 with python 3.5
* Fix "Open Console" issue on network topology
* Move legacy horizon-dsvm-tempest-plugin to in-repo jobs
* Raise detailed exception
* Add release note on policy dirs support
* Updated from global requirements
* Imported Translations from Zanata
* Trunks panel: enable project trunk panel by default
* Remove initScope from trunk delete.action.service
* Trunks panel: edit button
* Trunks panel: create button
* Use oslo.config for Horizon configuration
* Imported Translations from Zanata
* Imported Translations from Zanata
* Fix admin/project instance UT
* Add user\_domain\_name to logs regarding authentication
* Define test logging setting in openstack\_auth
* Imported Translations from Zanata
* tox: allow to specify module when running pep8 env
* Import django\_openstack\_auth settings missing in horizon doc
* pull\_catalog: avoid internet access during module loading
* Imported Translations from Zanata
* Fixes the deletion on click action assignment
* Imported Translations from Zanata
* Unable to create router when the external network is specified
* Fix wrong link to VM in admin volume table
* release note for blueprint merge-openstack-auth
* Reduce code duplication
* Make list\_targets\_by\_instance look up IPv4 address as target
* Drop unused floating\_ip\_target\_get\_by\_instance
* FIP associate: Show only ports from a target server
* Refactor FIP code to use FloatingIpTarget properly
* Imported Translations from Zanata
* Add django.wsgi to target of pep8
* Fix the network subnets check in create instance form
* Remove setting of version/release from releasenotes
* Move openstack\_auth API refernece into a separate place
* Updated from global requirements
* Imported Translations from Zanata
* Remove testr support
* Use ThemableChoiceField
* Use specified phrases in lieu of 'Used' for limit summary
* Imported Translations from Zanata
* Don't add required attribute to html form fields
* Disable metadata switch if only one item is available
* Drop Makefile
* Updated from global requirements
* Updated from global requirements
* Imported Translations from Zanata
* Move django variants UT and selenium-headless to in-repo jobs
* Show a better error message for network delete failure
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Doc: Delete pyc in a structure of dashboard.rst file
* Imported Translations from Zanata
* Imported Translations from Zanata
* Support include\_names argument for keystone role assignement list
* Cleaned up formats for qos panel
* Imported Translations from Zanata
* Add delete action for key pair
* Remove deprecated scope handling
* Prevent "enter" from triggering submit action on modal forms
* Imported Translations from Zanata
* Imported Translations from Zanata
* Remove unused API function from Nova API
* Imported Translations from Zanata
* Imported Translations from Zanata
* [Micro version] Support description for instance
* transfer-table: Rethink CHANGED message handler
* doc: Update the URL of noVNC
* Imported Translations from Zanata
* Implement setting availability zone hint on network creation
* Imported Translations from Zanata
* Add a checkbox to disable SNAT on routers
* Switch Cinder-related tests to mock
* Switch Cinder-related tests to mock
*  Switch Cinder-related tests to mock
* Correct quota usage check for instances
* Implement network availability zone column in network list
* Wrap various API calls with try/except in Router panel
* Fetch Cinder availability zones list for volume creation
* Imported Translations from Zanata
* Add network availability zone information for network agents
* Support fixed ip address when attaching interface
* Support security groups association per port
* Hide IPv6-addresses when assigning floating IP addresses

13.0.0.0b1
----------

* Routers can be created with availability zone
* Added type checks for ha device owners
* Router lists display availability zone information
* Revert "Remove the quota check for "Launch Instance" button"
* Remove unused function calls in project instances attach volume form
* Correct the log info when get networks failed in project router form
* Fix logo in IE11/Edge browsers
* Remove the errored steps after they all responded
* Imported Translations from Zanata
* Remove hardcoded check for subnet actions of a shared network
* Sort security group rules more meaningfully
* Imported Translations from Zanata
* Set Angular roles panel as the default
* Add render method to ThemableCheckboxSelectMultiple
* Rename "Import Key Pair" to "Import Public Key"
* Add REST APIs for Keystone Group
* Adding identity ng-groups panel
* Fix displaying pool name for floating ip
* Remove license headers to openstack\_dashboard/enabled/\* files
* Imported Translations from Zanata
* Show subnet detail with prefix\_delegation subnetpool properly
* Fix gettext warning "Empty msgid"
* Fix typo
* Imported Translations from Zanata
* Add cache for get\_microversion() against Nova
* Do not fail on AdminUpdateRow if tenant is not found
* Adds extensible header functionality
* Remove the quota check for "Launch Instance" button
* Correct the subnets quota check in admin networks panel
* Angularize Key Pair Details
* Fix non-API bound filters in project and admin instance panels
* Add Django OpenStack Auth to Horizon
* Imported Translations from Zanata
* Imported Translations from Zanata
* Include add subnet action on admin networks panel
* Revert "No need to discover panel in Site class"
* Imported Translations from Zanata
* Fix Http302 error message in UT
* Fixes toggle behavior in Network Topology graphs
* flake8-import-order: Ensure to place project imports last
* Fix a bug to unable to retrieve ports when no trunk ext
* Set default panel of identity with pluggable settings mechanism
* Use WrappingColumn for image name
* Remove unused code (\_logout method and auth\_views in base.py)
* No need to discover panel in Site class
* Imported Translations from Zanata
* Updated from global requirements
* NaNJSONEncoder should be used in api "cinder/tenantabsolutelimits"
* Fix icon of status on network topology
* Add server-side filtering Floating IPs
* Cleaned up date formats for images panel
* Clarify the comment for WEBSSO\_INITIAL\_CHOICE
* Updated from global requirements
* Fix wrong links  in horizon
* Updated from global requirements
* Set PROJECT\_DOMAIN\_NAME in generated v3 openrc
* Add more entries to LOGGING configuration
* Add reason into warning for error on loading panel
* Fix actions inside instance details view page
* Display attachment's server\_id when name is no longer available
* Add permissions explanation to quickstart doc
* [doc] Fix broken links
* Imported Translations from Zanata
* Fix warning message not showing on launch instance modal
* Clean up broken links due to doc-migration
* Updated from global requirements
* Imported Translations from Zanata
* TrunkPort, Horizon workflow: launch instance
* Fix link to serial console stylesheet
* Imported Translations from Zanata
* Properly sort Heat stacks on Created field
* Show NotAuthorized error message on a separate page
* Disable 'Create Port' button if ports quota is exceeded
* extract\_messages, update\_catalog: Simplify help message
* Remove remainder of run\_tests references
* Imported Translations from Zanata
* Delete unnecessary judgment when getting the neutron quota
* Updated from global requirements
* Imported Translations from Zanata
* Angularize Key Pairs index view
* Restores sorting in the launch dialog source page
* Fix UnhashableKeyWarning when calling get\_security\_groups function
* Updated from global requirements
* Imported Translations from Zanata
* Do not call servers\_update\_addresses if no instances loaded
* Imported Translations from Zanata
* Fix subnets can not be deleted from network topology panel
* Make nosehtmloutput an optional test requirement
* do not flush selection on "old" boot source
* Make icmp\_type/code optional
* Allow admin to create port on networks of different projects
* Imported Translations from Zanata
* Fix bug for the switchable fields
* Updated from global requirements
* Imported Translations from Zanata
* Updated from global requirements
* Incorrect URL for polling heat stack
* Update neutron policy file
* Ensure all filter items end with '='
* Imported Translations from Zanata
* Remove FWaaS specific policies from neutron\_policy
* Minor improvements to the translation document
* Make cinder generic group quotas translatable
* Imported Translations from Zanata
* Fix pofile for pseudo translations
* Remove run\_tests.sh
* Imported Translations from Zanata
* Add exceptions for action
* Imported Translations from Zanata
* Revert "Generate language list automatically"
* extract\_messages: Specify input directory
* Imported Translations from Zanata
* Remove admin requirement for shared network actions
* Make get\_available\_images() return all the images available
* releasenote: Move ignore-notes to pike
* Fix Python 3 issues with serialization json from request
* Imported Translations from Zanata
* Update reno for stable/pike

12.0.0.0rc1
-----------

* Imported Translations from Zanata
* Fix cannot delete user's email addresses in the identity/user panel
* Refactor the current UpdatePort form to workflow version
* Imported Translations from Zanata
* Refresh role table after editing role
* api.rest.neutron: Ensure dict is passed to api.neutron args
* Imported Translations from Zanata
* Disable Edit Flavour by default
* Imported Translations from Zanata
* Updated from global requirements
* Add some notices on handling release notes
* Cleanup Pike release notes
* Exclude relnotes from past releases from Pike relnotes
* Update the documentation link for doc migration
* Use WSGIApplicationGroup %{GLOBAL} in mod\_wsgi configuration
* Imported Translations from Zanata
* Allow users to update images created from other projects
* Clean /tmp after upload when using glance v2 client
* Attach/detach volume showed in instance actions when cinder disabled
* Reduce user confusion in router creation template
* Imported Translations from Zanata
* Do not call list\_l3\_agent\_hosting\_router if not supported
* Correct docs link address in README
* Revert "Enable to refresh ngdetails view"
* Imported Translations from Zanata
* Imported Translations from Zanata
* Replace dict.iteritems() with dict.items() in horizon
* Pass renderer to SelectWidget.render()
* Imported Translations from Zanata
* Trunks panel: improve details' test coverage
* Trunks panel: delete unused part of drawer
* Fix style of the submit button on confirmation modal
* Fix translation tag for datepicker
* Imported Translations from Zanata
* Make default visibility option on create image modal configurable
* Ensure tox registers failures properly
* Imported Translations from Zanata
* Fix a settings header style in docs
* Updated from global requirements
* Display correct volume size in error message
* Updated from global requirements

12.0.0.0b3
----------

* Theme Preview Page should include datepicker
* Improve logic for volume snapshots tab
* QoS panel: default to disabled
* Get rid of the <MagicMock> output when the tests run
* Makes the xstatic files lookup dynamic in the tests
* Fix the error format of glance's createImage
* Add the Snapshots tab on the Volume Details page
* Trunks panel: default to disabled
* Allow dropdowns to be in front of div.modal-footer
* Update local conf
* Trunks panel: details for trunks and subports
* Enable to refresh ngdetails view
* Imported Translations from Zanata
* Added SELECTABLE\_THEMES setting
* Imported Translations from Zanata
* Add support for virtio-forwarder VNIC type
* Add details to network\_qos panel
* Should not be able to choose flavor < volume.image.min\_disk
* Fix missing volume name on launch instance modal
* Show updated data on Flavor Access tab
* Cleanup release notes
* plugin framework: allow operators to override embeded enabled files
* Updated from global requirements
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Add missing DOA config value to docs
* Imported Translations from Zanata
* Fixes to allow us to use Django 1.11
* Imported Translations from Zanata
* Use doc8 check
* Imported Translations from Zanata
* Updated from global requirements
* Support removing projects from flavor access list
* doc: Fix code-block directive
* Imported Translations from Zanata
* Drop FWaaS related policies from neutron\_policy.json
* Get rid of redundant cinder api calls
* Imported Translations from Zanata
* Update URL home-page in documents according to document migration
* Fix an incorrect policy rule in Admin > Instances
* Get all needed instances for volumes attachments at Admin->Volumes
* Reorganise and update the settings documentation
* Correct the create volume snapshot description and used of quota
* Show instance resize and rebuild actions in red
* Imported Translations from Zanata
* Capitalize shared|community visibility for images
* Use request.COOKIES to activate the timezone
* Imported Translations from Zanata
* Remove click interaction on filter input
* Fix a bug when fill row count into table header
* Fix subnet no show in networktopology graph
* Introduce DEFAULT\_SERVICE\_REGIONS
* Imported Translations from Zanata
* Removed default value for 'Physical Network'
* Remove the extra Networks url in ports details page's breadcrumb
* Fix py27dj18 definition
* Prevent getServerGroups if the policy disallows it
* Imported Translations from Zanata
* Fix KeyError for HORIZON\_CONFIG['plugins'] in plugin UT
* Add '\*.pyc' clean up for unit\_tests
* Add correct policy for some actions
* Add Blazar dashboard to the plugin registry doc
* Datepicker should inherit from theme
* Imported Translations from Zanata
* Only show the image visibility option if it's allowed
* Updated from global requirements
* Added error msg when gets redirect to login page
* Fix operation\_log middleware tests
* doc: Move openstack\_auth settings to DOA docs
* Imported Translations from Zanata
* Add Django 1.11 tox env
* Add config settings for login domain dropdown
* Imported Translations from Zanata
* Removed cursor styling for spinners
* Fix a typo
* Cleanup ngdetails
* Use flake8-import-order plugin
* doc: Update plugin registry
* doc: Convert plugin registry to list-table
* Correct the wrong exceptions reference in domain tables.py
* [doc] Fix broken link
* Prefer volumev3 and volumev2 endpoints over volume
* Imported Translations from Zanata
* operation\_log: Fix logout generating AttributeError
* update doc URLs in the readme
* doc: Move settings information to configuration/ dir
* Imported Translations from Zanata
* doc: cleanup formatting
* Fix improper \`next\` and \`previous\` links in docs
* Horizon Forms should allow themable number spinners
* Imported Translations from Zanata
* use openstackdocstheme html context
* Updated from global requirements
* operation\_log: Fix wrong reference to ignored urls
* Split out FWaaS dashboard
* Split out VPNaaS dashboard
* Imported Translations from Zanata
* import the user guide content from openstack-manuals
* Fix tenant\_quota\_usages function calls caching
* Correct the admin snapshot detail row actions are inconsistent with the table
* Make API calls in Instances.DetailView parallel
* Correct the form validation in ng-image create volume form
* operation\_log: Add ignored\_urls parameter
* Remove duplicate line from settings.py
* Minor release note cleanup
* remove oslosphinx from test-requirements
* switch release notes build to openstackdocstheme
* import the admin guide content from openstack-manuals
* import installation guide pages from openstack-manuals
* Fix locations of included templates in admin volume panels
* Imported Translations from Zanata
* Imported Translations from Zanata
* Switch render() arguments to the new way
* test helper: Ensure to populate JS\_CATALOG in context
* Add a new management cmd to pull translations
* I18n cleanup on recent merged changes
* Imported Translations from Zanata
* Remove unused injected module
* Imported Translations from Zanata
* Enable to set protocols of WebSocket for serial console
* Confirm Dialog for Delete operation in Network Topology
* Switch render() arguments to the new way
* Trunks panel: item and batch delete
* Show security groups in Port detail page
* rearrange content into the new standard layout
* Updated from global requirements
* [TrivialFix]Remove unnecessary translatable string
* Cleanup unnecessary toast module
* [TrivialFix] Make translatable string more clear
* Correct the wrong label
* README: Update how to generate the docs
* Update and merge the install / deployment docs
* Enable to set step attribute for number input
* doc: better formatting of TOC in sidebar
* Add instance locked status on instances table
* Fix the CLI symbol in the quickstart doc
* api.neutron: Explicit member of FloatingIpTarget class
* Retrieve quota and usage only for resources really required
* HTML test report only when nosehtmloutput is installed
* Adds basic angular QoS panel to Horizon
* Snaphot update TemplateDoesNotExist error fix
* Add ability to choose flavor in dashboard if value "0"
* Add charts to show volume quotas on Angular launch instance modal
* Fix html\_last\_updated\_fmt for Python3
* Updated from global requirements
* Updated from global requirements
* Fix H405 (multi line docstring) warnings (openstack\_dashboard)
* Fix H405 (multi line docstring) warnings (horizon)
* Fix Volume Snapshot tab pagination
* Update example local.conf
* Update the quickstart guide
* Use POST not GET for keypair generation

12.0.0.0b2
----------

* Updated from global requirements
* Show volume's messages in details view
* Fixing types.MethodType signature for Python 3.5
* Fix styles for error page template
* Fix AttributeError in project/admin snapshot detail page
* Add config for default create volume option
* There is problem in UpdateRow of Horizon page
* Updated from global requirements
* Move SG and FIP API wrapper to api.neutron
* Updated from global requirements
* Updated from global requirements
* Add api unit tests to improve coverage
* Imported Translations from Zanata
* keystone api:  Fix a typo that broke the check for MULTIDOMAIN\_SUPPORT
* Updated from global requirements
* Fix instance launch dialog under MSIE11
* doc: Ignore warnings from dashboard build in the doc build
* Add swift unit tests to improve coverage
* Remove openstack\_dashboard.api.network\_base
* Replace assertRaisesRegexp with assertRaisesRegex
* Updated from global requirements
* Disable 'Import Key Pair' button if Key Pairs Quota is exceeded
* Imported Translations from Zanata
* Updated from global requirements
* Make @memoize thread-aware
* Imported Translations from Zanata
* hacking: Specify white list rules in noqa explicity
* Extended description of OPENSTACK\_HOST setting
* Make the "Select Boot Source" order deterministic
* Imported Translations from Zanata
* Imported Translations from Zanata
* Attribute "isServer" of images visibility filter should be true
* Fix a filter error in images panel
* Remove the duplicate method call when retrieving the instance log
* Fix neutron API tests
* Fix duplicating <network\_entity>\_list() calls in api.network
* New readonly panel for trunks
* Updated from global requirements
* Remove unnecessary escaping of volume name
* Use subnet id to allocate floating IP in Admin panel
* Enable some off-by-default hacking rules
* Updated from global requirements
* Imported Translations from Zanata
* Update documentation for Theme Preview panel
* Imported Translations from Zanata
* Use same form for Create Router in network topology
* Fix Status dropdown initial value
* Updated from global requirements
* Imported Translations from Zanata
* Enable backups on in-use volumes
* Change Network form names from Update to Edit
* Imported Translations from Zanata
* Make UpdateDefaultQuotas handling more robust to missing form fields
* Imported Translations from Zanata
* Add apple-touch-icon and safari-pinned-tab
* Save image name in Server.image\_name method
* Imported Translations from Zanata
* Add release note on drop-nova-network
* Retrieve quota and usage only for quota-enabled resources
* If the flavor\_id not in full\_flavors, don't make a new API request
* Imported Translations from Zanata
* operation\_log: Expose IP address of the user
* Fix a typo
* Fix missing space in exception message
* Remove the invalid example of floating IPs tab from doc
* Imported Translations from Zanata
* Generate unit test HTML reports
* Use assertIsNone(...) instead of assertEqual(None, ...)
* nova: Use endpoint\_override instead of deprecated bypass\_url
* Fix the alert close size problem in material theme
* Fix the legacy experience launch instance dialog can not open
* Reject result when createImage call has error
* Imported Translations from Zanata
* Fix unauthorized exception in users panel
* Drop deprecated settings: enable\_firewall and enable\_vpn
* Testing: mock add\_panel\_mocks() more flexible
* Imported Translations from Zanata
* Do not display UUID in network/rotuer forms
* Drop novalclient security group and floating IP dependency
* Drop Nova SG and FIP related unit tests from dashboard code
* Drop Nova security group dependency from dashboard
* Drop Nova floating IP dependency from dashboard
* Set minimum volume size based on the flavor selected
* Use publicURL as default of OPENSTACK\_ENDPOINT\_TYPE consistently
* Imported Translations from Zanata
* Check the target host before live migrating a instance
* Fix EC2 related buttons url in the api access page
* Remove unused LOG
* Update keypair import url
* Imported Translations from Zanata
* Revise the tutorials to support py35
* Fix a message bug after a failing live migrate
* Fix js error in resize instance form
* Allow Chrome to start when tox is running npm
* Updated from global requirements
* Imported Translations from Zanata
* Hide IPv6 filter choice if enable\_ipv6 is set to False
* Imported Translations from Zanata
* Imported Translations from Zanata
* Horizon Spinner/Loader should inherit from theme
* Imported Translations from Zanata
* Imported Translations from Zanata
* Correct the group name field less than or equal to 64 characters
* Drop py34 target in tox.ini and setup.cfg
* Imported Translations from Zanata
* Updated from global requirements
* Imported Translations from Zanata
* Imported Translations from Zanata
* Support allowed() in workflows.Step
* Add futurist to requirements.txt explicitly
* Imported Translations from Zanata
* Use BooleanField for admin\_state\_up form
* Imported Translations from Zanata
* usage: Ensure to count resources of a given project
* Clean up logger usage

12.0.0.0b1
----------

* Updated from global requirements
* Add missing include template in admin migrate host form
* Image list function should normalize owner filter
* Imported Translations from Zanata
* Update Network Port VNIC Types
* Ensure log messages are not translated
* Fix quota of floating IP usage
* Pre-populate image size on create volume from image modal
* Include logging level to log message by default
* Fix create consistency group form exception
* Move all RC download buttons under a single menu
* Correct the word orchestation to orchestration
* Fix remove consistency group volumes form redict url error
* Imported Translations from Zanata
* Delete instance,volume,etc confirmation is missing name or ID
* Fix incorrect window title in admin snapshots and volume types
* Fix regression when identity panel is not registered
* Fix edit consistency group form error
* Strip blank lines from downloaded clouds.yaml file
* Restore the ability to load external templates
* Add support for downloading clouds.yaml files
* Imported Translations from Zanata
* Add sem-ver flag so pbr generates correct version
* Fix edit qos spec form exception
* template for content under the login form
* Update the access\_and\_security url
* Imported Translations from Zanata
* Fix volume redirect url error
* Remove unnecessary raise
* Handle log message interpolation by the logger
* Fix incorrect window title in Manage security group rule
* Option to specify MAC address of port
* Don't update cinder quotas if disabled
* Enable breadcrumbs for AngularIndexView
* Imported Translations from Zanata
* Allow any port or protocol in security group rules
* Revert "Add the 'fade' class to Python modals, for animation"
* Only show image name as a link when the image exists
* Imported Translations from Zanata
* Sort service list in API Access
* Change checking cinder v1 to check v2 in panels
* Add Microversion support to Horizon
* Generate language list automatically
* Disable port input when protocol is any or icmp for firewall
* Fix allowed() function for CreateSubnet
* Enable warning-on-error in Sphinx 1.5
* Use 'ID' rather 'id' to match our convention
* Do not include HTML tags in blocktrans
* Imported Translations from Zanata
* Remove py34 in tox.ini
* doc: Document py27 test target
* Fix the existence check in DataTable Column
* table action: drop deprecated action\_present/past attributes
* Imported Translations from Zanata
* Fix the bug in 'Delete Extra Spec'
* Add server filters to NGusers & enable filter first
* Drop py34 target in tox.ini
* operation\_log: Honor settings parameters
* operation\_log: Log mask\_fields only when exists in request
* Remove all remaining vendor specific code
* Implement "FILTER\_DATA\_FIRST" in angular views
* get inappropriate information while failed to create host aggregates
* New input field with validation: MACAddressField
* Fix issues with updating project/domain members
* Update plugin registry links
* Fix location of security group panel in launch-instance form
* hacking: noqa cleanup in openstack\_dashboard
* hacking: noqa cleanup in horizon
* hacking: Drop import\_exceptions from tox.ini
* Make extract\_messages quiet in pep8 test
* In drawer, handle 'priority' attribute conversely against row
* Updated from global requirements
* Imported Translations from Zanata
* Use ThemableSelectWidget for themable
* Support editing volume type access
* Fix the return value for glance get\_version
* Updated from global requirements
* Remove non-existent "test" target from Make help
* Update Horizon to use latest nova policy rules for validation
* Do not try to show L3 agent action when enable\_router is False
* Reorganize Admin dashboard menus
* Populate device\_id/owner fields in Admin Edit Port form
* Remove link for user id field on project action log
* Imported Translations from Zanata
* Fix volume\_url in admin instance detail
* Allow to specify port security when creating a port
* Provide available physical networks on create network modal
* Fix new volumes enabled files panel groups
* Imported Translations from Zanata
* Softreboot can be done when the instance not in active status
* The progress bar is wrong when you create a snapshot for a volume
* Refactor Volumes from tabbed panel to stand-alone
* Consistently hash Version objects
* Use correct policy name for "Edit Network" form setup
* Clarify message if key file has wrong permissions
* Add editing for port security
* Correct error in policy action name
* Move Volume Types out of tabbed panel
* Move Admin Volume Snapshots out of tabbed panel
* Solve the problem about getting wrong information
* Add the 'fade' class to Python modals, for animation
* Imported Translations from Zanata
* Remove unused variable
* Replace six.iteritems/itervalues with dict.items()/values()
* Remove dangerous safestring declaration
* Refactor Project Volumes stand-alone panel
* Move Consistency Group Snapshots out of Volumes panel
* Move Consistency Groups out of Volumes panel
* Move Volume Backups out of tabbed panel
* Imported Translations from Zanata
* use \`set literal\` to replace \`set\` which is twice faster than \`set\`
* Missing comma
* Updated from global requirements
* Always pass the public endpoint to the client
* Change Quota tab title to be plural
* Close modals with ESC key
* Updated from global requirements
* Make subnets associated column in Networks unstyled
* Imported Translations from Zanata
* Uniform the button name and urls to create subnet
* Update some Dashboard strings to use \`openstack\` client
* Remove parent div when pressing next step button
* Imported Translations from Zanata
* Updated from global requirements
* Amended testing documentation
* Imported Translations from Zanata
* Allow shelving instance for SHUTOFF/PAUSED/SUSPENDED statuses
* Move Volume snapshots out of tabbed panel
* Typo: repeated command for tox selenium
* Typo: Fix a typo on contributing doc page
* Fix doc confusion around AVAILABLE\_REGIONS/OPENSTACK\_KEYSTONE\_URL
* Schema Form Developer Panel
* Define profiler constant to fix /jasmine test run
* Fix hiding of selects when switchable
* Add charts to show volume quotas on Python launch instance modal
* Allow subnet creation from admin networks panel
* Add Port-Create in Project Dashboard
* Make VPN IPSec Site Connection PSK field hidden
* We intend to add 10 stack\_snapshot to the test data but only got 1
* Use domain\_context not effective domain to display domains list
* Use more specific asserts in tests
* Imported Translations from Zanata
* don't need to 'import identity' as the same name 'identity'
* Fix some annotation errors
* Make API calls in Instances view parallel
* Tidy up the Profiler docs
* Imported Translations from Zanata
* Update hacking version
* NG details view route should not be '/project/...'
* Updated from global requirements
* Disentangle domain context from effective domain
* test\_with\_subnetpool variable is not used in the test function
* clean unused imports
* Updated from global requirements
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Updated from global requirements
* Add vhd and vhdx disk format for volume upload image
* Use "Default", "Value" and "DefaultValue" for Heat parameters
* Horizon does not display ID of Security Group
* Imported Translations from Zanata
* [Trivial]Fix some type errors
* Correct some spelling errors
* Add step to bump global-requirements for xstatic
* Move API Access panel to default panel group
* Pass environment variables of proxy to tox
* Added Server-side filtering for swift UI
* Small UI change in User Credentials Details modal
* Imported Translations from Zanata
* Fix the awkward English in description for extra info
* Sync keystone policy to latest
* Imported Translations from Zanata
* Imported Translations from Zanata
* Remove deprecated calls to novaclient.v2.contrib
* Make shared image text less confusing for Glance v2
* Remove unimplemented policy checks for Neutron
* Imported Translations from Zanata
* Fix wrong min/max media queries for sidebar
* Only get detailed info for Nova servers when necessary
* Fix Hypervisors page
* Update reno for stable/ocata
* Add info on key-value of volume QoS spec

11.0.0.0rc1
-----------

* Pass the project domain ID to novaclient
* i18n: The same use of args with ugettext\_lazy
* Check if user.token attribute exists
* Remove duplication from utils/settings.py
* Release notes for XStatic updates
* Imported Translations from Zanata
* Move Security Groups into its own panel
* Move Floating IPs from Access & Security to panel
* Fix ignored timezone value from local\_settings
* Imported Translations from Zanata
* Nit: Fix the typo in ref/tables.rst
* Fixes typo in syntax of DataTables row\_actions
* Improve API Access Credentials template
* Imported Translations from Zanata
* Revert "Add Angular Project Volumes Panel"
* Add OpenStack RC Download buttons to user menu
* Make API Access a panel under compute
* Fix reporting of profiler traces with multiple toplevels
* wrong indentations
* SCSS refactor for shared sort list UI
* Make Key Pairs tab a panel under Compute
* Imported Translations from Zanata
* Fix the issue that a wrong message is shown in ng-launch instance
* Imported Translations from Zanata
* Properly compare versions in APIVersionManager

11.0.0.0b3
----------

* Imported Translations from Zanata
* Dashboard panels intermittently disappear when they are in the 'default' group
* Updated from global requirements
* Fix TypeError in api/neutron.py
* Remove log level adjustment in heat test data
* Update default OpenStack branding across Horizon
* Updated from global requirements
* Imported Translations from Zanata
* Try to use 2.40 microversion for simple-tenant-usages
* Simple tenant usage pagination
* Imported Translations from Zanata
* Autogenerate container name correctly for vol backup
* Fix issues on create network and create port modals
* Support to delete instance from network topology view
* Configuring number of apache processes
* Imported Translations from Zanata
* Updated from global requirements
* Implement "filter first" for identity panels
* Keystone to Keystone Federation Drop Down
* Snapshot not selected by default when launching it from images
* Fix Angular tabs
* [flavor update] Fixing a flavor comparation issue
* delete unused import
* Fix alignment issues for nav-tabs and ul on details panels
* Fake deprecated nova client properties
* use safer method splitlines() to replace split('\n')
* Imported Translations from Zanata
* The background colour of the success message changed
* filesizeformat() does't consider the situation like \`float('inf')\`
* New Identity NG Panels missing stuff in settings.py/rst
* Imported Translations from Zanata
* Containers list styling fix
* Imported Translations from Zanata
* Imported Translations from Zanata
* Prevent a "link" click on container trash icon
* Imported Translations from Zanata
* Add missing scheduler\_hints to \_optional\_create
* Adding identity domains table
* Imported Translations from Zanata
* Fix spec file variable/ improve code coverage
* Reuse Overview tab for Admin Volume Snapshots
* Imported Translations from Zanata
* Add Angular keystone user details use registry
* Add Angular keystone role edit action
* Add Angular keystone role deletion action
* Add Angular keystone role creation action
* Server-side filtering vpn
* Add NG Flavor delete and update metadata actions
* DOC Remove duplicated words
* Add default common template to python table views
* Adding identity ng-roles panel
* Hide heatclient spam
* Remove duplicated modal\_header statements
* Make evacuate target\_host not required
* Imported Translations from Zanata
* Remove trailing backtick
* Fix single policy rule handling
* Revert "Add policy rules to project panels"
* Imported Translations from Zanata
* Remove unused import
* Imported Translations from Zanata
* fix wrong path in doc
* Enable profiling of angular pages (with async requests)
* Add Zun UI to Horizon Plugin Registry
* Add col-sm-12 to network modal error
* Add policy rules to project panels
* fix some pylint warnings
* Imported Translations from Zanata
* Remove shared checkbox for non-admin users when doing network things
* Improve novaclient initialisation
* Revert "Fix the flicker of the log on button name"
* Action-list: Update for ui bootstrap changes
* Move js files into openstack\_dashboard folder
* Imported Translations from Zanata
* Fix syntax error with settings in doc
* Use the new fix\_auth\_url\_version\_prefix() call
* Imported Translations from Zanata
* Columns typo fixed
* Update for ui bootstrap changes
* Remove redundant parentheses
* When the api call failed, approprate failing message will be show
* Resize instance error fixed
* AngularJS based panels page title updated
* Revert "Turn off angular template cache preloading when DEBUG=True"
* remove to\_dict method of Network in neutron.py
* Cleanup CSS on NG Create Image Modal
* NG Flavor Panel add filter facets
* Text and checkbox should align in "Create Project" form
* Imported Translations from Zanata
* Replace six.iteritems(iter) with iter.items()
* Removes unnecessary utf-8 encoding

11.0.0.0b2
----------

* The minimum volume size should be pre-populated
* Make the form \_clean\_rule\_custom method full-fledged
* Imported Translations from Zanata
* UX: Bullets in Launch Instance Wizard don't have left-padding
* Use assertGreater(len(x), 0) instead of assertTrue(len(x) > 0)
* Turn off angular template cache preloading when DEBUG=True
* hzResourceProperty can handle 'priority' attribute
* Fixes inconsistency in Stacks filter label
* [trivial]Add support keys for OPENSTACK\_NEUTRON\_NETWORK in doc
* Allow OVA upload for images
* Simplify uuid without dashed
* remove unused string in neutron create subnet workflow
* Allow router panel to not break sidebar
* Remove additional response.render() for tabs
* Imported Translations from Zanata
* Reduce code duplication
* Show team and repo badges on README
* Updated from global requirements
* Imported Translations from Zanata
* Fix a script error which is occurred when choosing no file
* Updated from global requirements
* Angular images deactivate status fix
* Updated from global requirements
* Updated from global requirements
* Add Apache 2.0 license to source file
* Partially implements expiration date alert message
* Wrap api calls with tracing decorators
* Add the Profiler panel to the Developer dashboard
* Images table name updated to id when name is None
* Imported Translations from Zanata
* Update path of JS coverage reports
* Bug fixes Magic Search
* Missing info on MELLON\_IDP for mod\_auth\_mellon
* Refactor tox & update docs
* Update settings docs with using ANGULAR\_FEATURES for dev
* Enable sorting by size in containers pane
* Use os.path.relpath in place of string.replace
* Imported Translations from Zanata
* Update floating IP tables instance URL check
* Strip whitespace added to flavor name in create and update flavor
* Make default domain usage consistent
* Add constraints support to run\_tests.sh
* implements: make twice list iterations into one Closes-Bug: 1644817
* Specify POLICY\_CHECK\_FUNCTION as a string
* ceilometerclient removed from requirements.txt
* Imported Translations from Zanata
* Fix mox trapped errors
* Note how to use local.conf in stable branches
* Updated from global requirements
* Remove use of scope from action service
* Imported Translations from Zanata
* Rename Size column on instances tables to Flavor
* Improve Horizon nav sidebar
* Imported Translations from Zanata
* Updated from global requirements
* Add i18n support to Quota.humanizeNumbers
* Trivial fixes for Swift UI
* Remove local/enabled from test settings
* Imported Translations from Zanata
* Add description of Horizon's Core Team
* Amend Roboto font paths
* Add generic session/cookie value getters/setters

11.0.0.0b1
----------

* Imported Translations from Zanata
* Updated from global requirements
* Magic Search in Angular Users table
* Rework hardcoded policy in admin dash
* Revert "Comment out material theme for gate to proceed"
* Change icons in launch instance ng transfer
* Fix issues with new roboto-font path changes
* Disable router and fip quotas when router is disabled
* Revert "In Images Overview, dates should be properly formatted"
* Comment out material theme for gate to proceed
* Remove broken telemetry policy check
* Fix npm tests
* Imported Translations from Zanata
* Removing deprecate ceilometer code
* Removing deprecated Swift UI code
* Consolidated common angular view
* Imported Translations from Zanata
* Updated from global requirements
* Imported Translations from Zanata
* Normalise the path to resolve ../.
* Remove Unneeded API Calls, Functions
* Imported Translations from Zanata
* Update Angular Users Table use registry
* Link to the user details from action log
* Make sure new password can not the same with old one
* Get security groups of an instance using novaclient
* Set the placeholder attribute in forms.py
* Correct installation command to include upper-constraints
* Document exception handling
* Provide the bones of profiler: api and middleware
* Imported Translations from Zanata
* Updated from global requirements
* Strip leading or trailing spaces from Instance names during update and create
* Change a behavior of more actions dropdown
* Renamed bootstrap theme preview page
* Remove unnecessary variable assignment
* Replaces uuid.uuid4 with uuidutils.generate\_uuid()
* Imported Translations from Zanata
* Migrate Swift to use ResourceType
* Create common code for horizon.instances.js and horizon.firewalls.js
* Imported Translations from Zanata
* Updated from global requirements
* Imported Translations from Zanata
* Updated from global requirements
* "Unable to retrieve Domain" incessant warning logs
* Launch Instance: Creating new volume for image snapshot
* Add LOCALE\_PATHS to settings
* Update Horizon's example local.conf
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Add appropriate policy rules to admin images panel
* Remove all\_tenants flag in quota check
* Update customizing.rst with a how to use the NG registry
* Imported Translations from Zanata
* Updated from global requirements
* Remove type field and type description for create volume from a snapshot
* Imported Translations from Zanata
* Migrate Create Container to schema form
* Updated from global requirements
* Add upgrade notes for new REST\_API\_REQUIRED\_SETTINGS
* Default ethertype to IPv4 if Neutron's enable\_ipv6 is false
* Imported Translations from Zanata
* Fix labels on subnet details panel
* Render inaccessible ports as text versus links
* Fix Port Security Enabled information
* Imported Translations from Zanata
* Fix typo
* Updated from global requirements
* Allow POLICY\_CHECK\_FUNCTION to be disabled
* Fix two closing tags on subnet details template
* Imported Translations from Zanata
* Drop LBaaS v1 dashboard
* Remove network name from create subnet error message
* Image listing by visibility fix
* Update the wording of date format on overview panel
* Server-side filtering Orchestration
* Fixing typo in horizon widgets
* Updated from global requirements
* Imported Translations from Zanata
* Project table has an extra Enabled column definition
* OS\_INTERFACE was errantly added to the V2 openrc
* Clear cached selected items on swift objects table
* Fixing typo in release note
* Add the slaac ipv6 address mode without ra mode
* Imported Translations from Zanata
* Adds Policy Rules to Project Images panel
* Flavors panel can switch to Angular
* Minor updates to angularjs.rst
* Add Keystone Groups to REST API
* Imported Translations from Zanata
* Remove hardcode of container\_name in backups
* Minor release notes fix
* Imported Translations from Zanata
* Imported Translations from Zanata
* In Images Overview, dates should be properly formatted
* Remove unnecessary translate mark
* Enable release notes translation
* add ploop type to the list of image backends
* Fix logspam in django 1.9 and django 1.10 tests
* Fix for swift ui displaying infinite folders
* Update Glance sample policy file
* Drop the undesired executable bit from non-executable file
* Add deprecation message to run\_tests.sh
* missing action\_class in sample code
* Fix a typo in documentation
* Move browser support wiki page into the docs
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Make ResourceTypesTests skippable
* Imported Translations from Zanata
* Topology filter out non tenant ports
* Using /tmp for SECRET\_KEY in tests
* Imported Translations from Zanata
* Updated from global requirements
* Fix a typo
* [Trivial]remove unnecessary commna
* Fix tox cover to not fail
* Updated from global requirements
* Behavioral fixes to Magic-Search
* Enable volumes metadata update
* Remove unused line from local\_settings.py.example
* Fixed serial console not appearing in horizon
* Imported Translations from Zanata
* Fix unnecessary bullet point
* Fix Container details styles
* i18n: Add Indonesian to the language list
* Imported Translations from Zanata
* A following up patch for 'Added the pagination info at top of the table'
* Fix the flicker of the log on button name
* doc: Update middleware API ref to include all middlewares
* Make "Detach Volume" in Instances page translatable
* Add volume snapshot to boot source description
* Show tab label in Admin CreateSubnet/UpdateSubnet form
* Turn on docs warning check in document generation
* doc: Do not generate no source code reference
* Fix docstring warnings
* Fix warnings in devref document
* Added the pagination info at top of the table
* Updated from global requirements
* Fix Launch Instance without Cinder
* Move Developer enabled/ files to contrib
* Multiple integration test fixes
* Fix the exapmle of how to use customization\_module
* Hide shelve/unshelve actions of a locked instance for non-admin users
* Fix metadata removal
* Fix the wrong usage of assertTrue
* Fix typos in contributing.rst & policy.service.js
* Fixed inconsistent names set for BatchAction
* Display the right floating ip on LB disassociation
* test: Use appropriate test data in VolumeViewTests
* Fix the collection of integration tests artifacts
* Fix compatibility issues with Django 1.10
* Move past release notes under doc/ to releasenotes/
* Imported Translations from Zanata
* i18n: Avoid string concatenations to make translation life happier
* Quota cleanup of dynamic methods
* Fix getting the images list in Admin->Images
* Imported Translations from Zanata
* Edit unclosed div tag
* Remove duplicated inappropriate 'translate' tag
* Imported Translations from Zanata
* Update reno for stable/newton
* Imported Translations from Zanata

10.0.0.0rc1
-----------

* Allow translator to control word order in delete confirm dialog
* Server-side filtering for Instances (Project/Admin)
* Updated from global requirements
* Imported Translations from Zanata
* Update admin filter first setting to a dict
* Imported Translations from Zanata
* Server-side filtering for Identity
* Imported Translations from Zanata
* Replace 'assertTrue(a in b)' with 'assertIn(a, b)'
* Do not embed unsafe content
* Support for Glance v2
* Imported Translations from Zanata
* Fix typo in Keypair creation in Launch Instance panel
* Remove the lowercase case boolean type in heat param\_type
* Imported Translations from Zanata
* Allow magic search to be initialized by an event
* standardize release note page ordering
* Fix five typos
* Replace table row 'status\_unknown' class with 'warning' class
* py3:Remove six.iterXXX
* Imported Translations from Zanata
* Add material theme icon for star outline
* Add material mapping for filter icon
* Incorrect Test Data of Pool2
* Update action for namespaces table public/protected attributes
* Imported Translations from Zanata
* Cleanup setProperties in image module
* Fix comment typo
* Add Python 3.5 classifier
* Enable Python 3.5 testing and fix tests
* Fix error detection in horizon test suite
* Update comment in \_10\_set\_custom\_theme.py.example
* Deprecate LBaaS v1 dashboard
* Make flavor updating compatible with nova cli
* Imported Translations from Zanata
* Add releasenotes for bug #1161144
* Fix for  typo in Horizon
* Modify use of assertTrue(A in B)
* Implement admin\_filter\_first setting in Admin>Volumes
* Instance snapshots shown in 'boot from image' list
* A follow up patch to #1570510
* Escape backslash in the angular\_escapes filter
* Imported Translations from Zanata
* horizon documentation corrections
* fix workflow exception on host aggregate create form
* Hard-code stubbed novaclient api\_version to 2.1
* Imported Translations from Zanata
* doc: Use "warning" directive instead of "important"
* Fix document sphinx error and warnings
* Add message for a result of update metadata
* Check if volume type encryption is enabled before retrieving the data
* All Table Templates should support template overrides
* rename LaunchInstanceModal spec describe function
* Add rel note and example for TOKEN\_DELETE\_DISABLED
* The neutron policy file is out of date. This patch updates it to match neutron master
* Server-side filtering for admin volumes
* Revert "Escape blackslash in the angular\_escapes filter"
* [TrivialFix] Ignore node\_modules while we run flake8 test
* fix table delete bug & collect table events
* remove unused quotas code
* Implements filter\_first in routers
* Documentation for translation in horizon
* Display username/project during password request
* Updated from global requirements
* Let Nova to pick availability zone if more than 1
* Imported Translations from Zanata
* [Trivial]Fix the number that failed to delete in swift
* Add the new device owner flag for HA router interface
* Escape blackslash in the angular\_escapes filter
* FixedFilterAction.categorize: Make variable name generic and explain more in docs
* INSTANCE\_LOG\_LENGTH is missing from local\_settings.py.example
* Implements filter\_first in networks
* add test for host aggregate create fail due to duplicated name
* Fix the parameter name in "allowed" function in "RestoreBackup" class
* Ability to delete network items from their details page
* Correct documentation around upper-constraints changes
* Imported Translations from Zanata
* Incorrect param name in api.nova.server\_delete
* Fix unnecessary requests in angular image panel
* Fix the issue workflow filter do not show all users
* Update create volume help text for angular workflow
* Fix attribute email doesn't exist error in group panel

10.0.0.0b3
----------

* Fix intermittent integration test failures related to messages
* Updated from global requirements
* Imported Translations from Zanata
* Project Creation from within Create User should work
* hz-field-directive handle no value property
* Fix various issues with compressed angular templates and plugins
* Add a parameter fixed ip when creating a port
* hide check box if need
* Add release note for package updates
* Server-side filtering networks
* Final changes to Angular Images before making default
* Fixes traceback if group name attribute is missing
* Fix the parameter name in "allowed" function in "DeleteBackup" class
* Imported Translations from Zanata
* Volume limits and floating ip  graphic label consistency
* Update create/edit image help text for angular workflow
* Use upper constraints for all jobs in tox.ini
* Update the xstatic release process
* Implement file update (edit) in Swift UI
* Updated from global requirements
* Supports extra properties in project and user
* Imported Translations from Zanata
* Remove a misplaced double quote
* Updated from global requirements
* replace horizon.alert used by client-side with horizon.toast
* Fix jasmine test failures due to missing ngRoute, schema-form dep
* Add filter action to Template Versions tables
* Prevent long names breaking table layouts
* Add floating IP panel to admin dashboard
* Remove admin\_filter\_first from horizon module to avoid confusion
* Re-work static\_settings to clean up
* Removed inline\_edit functionality for tables
* Add ANGULAR\_FEATURES toggle example
* Imported Translations from Zanata
* Update Plugin Registry
* Fix the loss of JSON types when using multipart/form-data
* Support project column in admin view of NG images
* Updated from global requirements
* Syntactic sugar for setting multiple properties in registry
* Add unit tests to edit-image to improve coverage
* Angular: Configuration of boot sources for launch instance
* Remove Orchestration Resource Types names restriction
* Show wait spinner after submit of wizard modal
* Fix AttributeError in context\_selection.py
* Fix typo
* Hide nav in workflows if only one tab
* Fix typo in keystone\_data.py
* Update the home-page in setup.cfg
* Enable Angular Image panel
* [Django] Allow to upload the image directly to Glance service
* Fix order of arguments in assertEqual
* Remove router rules extension
* Add ANGULAR\_FEATURES setting dict
* Imported Translations from Zanata
* Restrict user private network cidr input
* Add more Nova API features for NG Instances
* Add Try/Exception block to Network Forms
* modify the home-page info with the developer documentation
* Updated from global requirements
* Pre-test hook for integration tests/deprecated
* Imported Translations from Zanata
* Fix volume storage usage value
* Server-side filtering routers
* Added policy checks for Project>Volumes Panel
* Error in cinder quota RESTful api
* [NG] Enhance Create Image workflow with upload tracking
* Add metadata in snapshot details page
* Imported Translations from Zanata
* Use argparse instead of optparse
* Preview Page: Default Theme: Content Horizontally Scrolling
* [NG] Support local file upload in Create Image workflow
* Add HTML lists to preview page
* Do not send shared param when not allowed
* Add Apple OS X ".DS\_Store" to ".gitignore" file
* Imported Translations from Zanata
* Remove openstack/common from the exclude list of flake8 in tox
* add translation and cleanup resource-browser-item.html
* allow hiding help-button for first ng workflow step
* UX: System Information Overflow Fail
* Make 'switch' between legacy and Angular Images
* UX: Add IPSec Policy Modal Hint List is hard to read
* Usage tables: Sort by disk properly
* Updated from global requirements
* Imported Translations from Zanata
* Update Django 1.10 tox env
* [Django 1.10] Fix urls.url wrong call
* Remove embedded CSS
* Horizon Radio Buttons are now themeable
* Allow global actions to execute
* Add Angular Schema Form
* hz-images have transitional states defined
* hz-resource-table handles transitional states
* Imported Translations from Zanata
* Horizon selects are now themable: DynamicTypedChoiceField
* The sidebar caret should spin correctly
* Do not allow spaces as key pair name
* Fix missing 'THEME' key
* Allow listFunction extra params
* Revert "i18n: trim whitespaces in extracted messages"
* [Django 1.10] Fix URL patterns again
* Imported Translations from Zanata
* Style: Update Image Metadata overflow fail Style: Host Aggregate: Update Metadata overflow fail
* Fix unit test indentation and the test itself
* Fix untranslated help text in Launch Instance window
* Memoize policy service
* Horizon selects are now themable: Project Panels
* Default subnet dns added to create network
* Correcting form\_invalid get\_context\_data call
* Simplify chained comparison
* Fix horizon-without-nova release note
* Imported Translations from Zanata
* Update devDependencies in package.json
* Updated from global requirements
* Imported Translations from Zanata
* hz-dynamic-table: Column level permissions
* Update Plugin Registry
* Remove old style policy checks
* Remove array metadata when no items + fix case
* Move get\_filters to parent Class
* Resource Browser links now respect webroot
* Imported Translations from Zanata
* Remove 'default' theme styles
* Ignore the test\_report of integration test in .gitignore
* Stop memoizing on request argument in neutron api
* Remove extraneous TODOs from Identity code
* Modified columns names in Admin->Hypervisor
* Developer Registry Resource Browser
* Remove multi select option on Resource types table
* Add missing fields to Router Details page
* Allow horizon to function without nova
* Embed support for external data sinks into api.glance
* Imported Translations from Zanata
* No eslint errors in horizon.heattop.js
* Fix for cinder api memoize issue
* Imported Translations from Zanata
* No more no-unneeded-ternary eslint errors
* No more block-scoped-var eslint errors
* No more no-extra-parens eslint errors
* No more braces-style eslint errors
* No more space-in-parens eslint errors
* Allow ngdetails path to contain '/'
* Cleanup the toastService in \*.spec.js files
* Updated from global requirements
* fix magic search bug
* [TrivialFix] Hide expand in angular table if we haven't setSummaryTemplateUrl
* Allow wiring of <hz-dynamic-table> into <transfer-table>
* Image uses hz-property for its drawer information
* NG Images Create Volume should use constant from images.module.js
* [Django 1.10] Fix get\_form uses kwargs
* Imported Translations from Zanata
* cleanup for ng create volume workflow
* Fix jasmine tests failing due to missing ng-file-upload dep
* Pay attention to Nova disabled quotas defined in a config file
* Choose a server group when booting a VM with NG launch instance
* [TrivialFix]Remove the redundant required=True
* Fix show/hide password when clicking password icon
* Angular direct service access
* Adding hz-resource-property/-list and filter/value retrieval
* Imported Translations from Zanata
* Delete the useless API of heat
* Imported Translations from Zanata
* Material theme form errors - fix red text on red bg
* Documentation and other improvements for registry
* Updating MDI todos
* Revert "Router namespace not created in controller"
* Fixes issue where metadata is always removed on edit
* Revert "Prevent creation of subnet via RBAC during new network creation"
* Fix Django route for swift ui with folder path
* Material: Progress Bars should allow text
* Containers/Swift has unneccesary padding
* Pre-populate the Angular template cache and allow template overrides
* Document additional release process for xstatic
* Imported Translations from Zanata

10.0.0.0b2
----------

* Imported Translations from Zanata
* Maximum/Total value now included as variable in msgid (i18n)
* Remove unused LOG
* Updated from global requirements
* Imported Translations from Zanata
* Instance Size (flavor) column is sortable when it should not
* Magic-Search isn't rendered unless config is ready
* Fix the issue that it cannot do a policy check correctly
* Imported Translations from Zanata
* Correct the description for "Update Group" form
* Modify "Edit Flavor" action
* i18n: trim whitespaces in extracted messages from AngularJS templates
* Correct reraising of exception
* Trivial fix to multi-domain description text
* Imported Translations from Zanata
* Remove the wrong method from MigrateMaintenanceHost
* Modify hz-cell to use hz-field
* [TrivialFix]Use the right indent for MigrateHostView
* Imported Translations from Zanata
* Imported Translations from Zanata
* Enable tox to run the subset test cases
* Do not import local/enabled when to run test
* Use "isspace()" to make code more simple
* Take shared subnets into account for quotas
* Angular LI:Make sure we always get all limits
* [TrivialFix] Use more appropriate variable name
* Imported Translations from Zanata
* Fix create container modal style
* Fix handling of swift object name == pseudo-folder name
* Fix constant redirect on missing container name
* Updated from global requirements
* Use absUrl, so WEBROOT isn't ignored on redirect
* Metadata definitions table with pagination shows inconsistent data
* Register keytone resource types
* Imported Translations from Zanata
* Improve security rule notification message
* Fix Magic Search Width Problems
* Preview Page: Material: Code Icon fix
* Registry-based client/server-side faceted search
* Preview Page: Themable Checkbox should have different label
* Preview Page: Form: Everything shouldn't say Legend
* Add themable selects to the theme preview page
* [Django 1.10] Remove old style URLS
* Add Django 1.10 tox env
* Imported Translations from Zanata
* Data Table Actions need context
* Fix typo 'occured' -> 'occurred'
* Implement Manage Attachments in Instances
* Added correct cursor to components without the href attribute
* Imported Translations from Zanata
* Show name\_or\_id when router name is white space
* stop memoizing on request argument in cinder api
* Do not allow "white space" as name field value
* Add warning when falling back to insecure key generation
* Place Create Image in global actions, not batch actions
* Correct IP Proto sec group rules help txt
* Returning a tuple instead of list in list\_extensions
* Addition of metadata for snapshot in VolumeSnapshot object
* Fix heat TemplateForm glance.image sizeformat error
* Never import setting from openstack\_dashboard
* Imported Translations from Zanata
* Second endpoint type default is not None
* Register Neutron Floating IP and Security Group names
* Allow metadata to be shown whether v1 or v2 glance data (NG)
* Set an empty string for no volume type directly
* Provide help-text capability for server-side filter choices
* Fixes JS linting error
* Add valuable exports to openstack RC file download
* Add units in overview project page (limit summary)
* Imported Translations from Zanata
* Updated from global requirements
* Changed auth\_url in api/nova.py to point to keystone
* Implement admin\_filter\_first in Instances and Images Admin Views
*  Fix some spelling mistakes in horizon   intermittantly should be intermittently   finctionality should be  functionality   funcionalities should be functionalities
* Imported Translations from Zanata
* Line chart hover bubble unreadable
* Fix dropdowns sometimes not opening in integration tests
* Add "Cancel" button for "Add static route" form
* Add Line Charts to the Theme Preview Page
* Modals should inherit from the theme
* Improved table deletion efficiency
* Updated from global requirements
* Using registration for auto-generation of Image feature
* Adding Identity NGProjects API
* Use ng-file-upload to simplify JS API calls that upload files
* Imported Translations from Zanata
* Fix hz-dynamic-table formatting for magic-search and actions
* Add check whether nova is enable or not in aggregate panel
* Add a condition whether displaying the link jump to Encryption page
* [Trivial] Add required=False to router name in Create Router
* Imported Translations from Zanata
* Relocated error message to associated field and corrected grammar
* Fix css class for cancel button on metadata modal
* Modified modal error message to display properly when present
* Trivial: Remove unused 'horizon.app.core.images.events'
* Imported Translations from Zanata
* Add Angular Project Volumes Panel
* Add support for volume consistency group snapshots
* Update Horizon for Angular 1.4
* Modify warning message
* Show instance lock/unlock actions based on the locked status
* Escape angularjs templating in unsafe HTML
* Clear confusing annotation in rest create\_user
* Fix port validator
* UX: Remove duplicated view title under Settings section
* Change from client filter to server filter in metadata page
* Branding: Detail Actions need Context
* Updated from global requirements
* Register Image Names via .setNames()
* Fix coverage post job
* Adding resource panel and table features
* Updating heat policy file
* Define Magic Search Event Constants
* Change default timeouts in integration tests
* Refactoring of network details pages
* Horizon selects are now themable: Admin Panels
* Modify exception message style according to i18n guidelines
* Imported Translations from Zanata
* Add Try/Exception block to Networks Table
* Update .gitignore for JetBrains(PyCharm) users
* Remove redundant conditional expression
* Imported Translations from Zanata
* make toggle buttons look consistent on ng modals
* Stop memoizing on request arguments in nova api
* Table Column Sorting icons should inherit from theme
* Updated from global requirements
* Add help text to some DeleteAction
* Fix wrong data type of subnet\_availabilities\_list
* ICMP type & code validation while adding Security Group rules
* Live migration auto schedule new host
* admin permissions depends on OPENSTACK\_KEYSTONE\_ADMIN\_ROLES
* Migrate swift ui to use hz-dynamic-table
* Hotfix the issue with too new Firefox version
* modified filter tab name for images shared by projects
* docs: Remove version from example
* Docs: Do not mention POT files
* Imported Translations from Zanata
* Horizon selects are now themable: Launch Instance
* Prevent creation of subnet via RBAC during new network creation
* Make sure we always get all limits
* Enhance policy rules to workflow actions
* Make the date input box more neatly
* Imported Translations from Zanata
* Modified Instance Form Submit behavior
* Angular LI Required Icon isn't Brand Primary Color
* Exclude networks with no subnets angular
* Implement video capture for failed tests
* Imported Translations from Zanata
* Improvements to hz-dynamic-table
* Handle non ASCII tenant names gracefully when downloading RC file
* updating keystone policy file
* Updating nova policy file
* In integration tests prevent getting volume size too early
* API for getting and updating quotas
* Validate minimum RAM for snapshot source
* Prevent duplicated ips on network topology
* Menu icon doesn't show in Resource Usage page
* Add Network IP Availability Extension
* Imported Translations from Zanata
* Fix JS error when loading metadata modal
* Updated from global requirements
* Make error message in modal a unified style
* Deprecate the OPENSTACK\_TOKEN\_HASH\_ENABLED option
* Default theme lacks support for dropup menus
* Add missing unit tests to NG launch instance
* Do not run exception handlers if test was skipped
* Theme Preview Page should include form-inline
* Updated from global requirements
* Relax hz-table parent requirement
* getIdsOfType now returns all ids if type undefined
* Add Try/Exception to Extension Supported call in Ports
* Flavors row level actions integration tests
* Navigational Breadcrumb should have contextual class
* Horizon selects are now themable: Identity Panels
* Allowing non-ASCII characters for Security Group names
* Output JS Karma test coverage reports to ./cover/
* Added safety check to initActions so unregistered types pass

10.0.0.0b1
----------

* Remove redundant conditional expression
* Pure project admin can't view Projects page
* Set some useful default values with the new launch wizard
* Horizon selects are now themable: Volumes
* Delegate tearDown logic to addCleanup method
* Adding generic table extensibility
* Fix untranslated strings and adding icon to OK button
* Use Magic-Search for Security Groups step in Launch Instance
* Correcting detail-row logic to not disrupt styling
* Panel static finder
* Reduce the default date range on Overview panel to 1 day
* python 3.4 support for urlparse
* Add router L3 agent info to info page
* Imported Translations from Zanata
* Updated from global requirements
* Remove admin role name 'admin' hardcode
* Pass page\_url instead of whole request to render
* Add support for detail actions
* Updating package.json / npm packages
* add 'x' dismiss button to simpleModal
* Hide 'Back' and 'Next' button if the number of step is 1
* Add feature to log operations of users to Horizon
* Move out integration tests scaffolds from Horizon production code
* Fix Keystone version suffix when Keystone webpath is present
* Remove memoize that holds connections open
* Improve system info page
* Update the links of django docs to dev version
* Make the volume transfer name field required
* Images uses generic/extensible details views
* Use 'label' rather than 'button' for buttons in Edit Image
* Updated from global requirements
* modified condition variable project\_choices
* Temporarily disable the most problematic integration tests
* Add scrolling to the projector selector
* Updates horizon's copy of the cinder policy file
* Adding warning to Launch Instance when no availability zones
* Fix small typo
* Updated from global requirements
* fixed row update of vpn table
* Use upper-constraints in tox test environments
* Fix the issue that delete actions are unclickable
* Fix project name refresh in project menu bar
* Support update volume type public status
* Use 'trimmed' for blocktrans with multi-line contents
* Use 'Delete Instance' rather than 'Terminate' in legacy topology
* Django compressor cannot find custom theme templates
* Updated from global requirements
* Add module ngFileUpload as a dependency to main horizon.app module
* Don't attempt to list the "folder" contents of Swift objects
* Disabling warnings of 'quote-props'
* Add \*args, \*\*kwargs to ModalBackdropMixin's init method
* Whitelist 'rm' in pep8 tox environment
* Angular pages will reload if collapse/expand sidebar
* Fix doc build warnings and errors
* Preview Page: Modal location is off
* table-detail (Angular) tables correct problem with row striping
* Improve field name in User Detail
* Fix untranslated strings in ng-instance
* Remove unnecessary help-panel in import keypair modal
* UX: Misaligned OpenStack Logo
* Trivial: Change message level from warning to info
* Generic details display framework
* Don’t error if dhcp\_agent\_scheduler not enabled
* Add policy checks in images panels
* Add recursive deletion to Swift UI
* [TrivialFix]Remove duplicated OS::Nova::Flavor registration
* Imported Translations from Zanata
* Updated from global requirements
* Add OS::Nova::Hypervisor display name registration
* Refactor Orchectration Stacks menu
* Adding admin lookup of routers per l3 agent
* Angular Table Directive cleanup
* Magic Search inline doc cleanup
* allow hiding ng help-button for workflow steps
* Use correct casing on jQuery
* Added tests for edit image description and name
* Imported Translations from Zanata
* Adding Create Image Action to angular images panel
* Change Metadata Display widget to case insensitive
* Fix existing metadata display in metadata widget
* Adding old topology to compliment new
* Ensure horizon configurations could be customized
* In integration tests wait 1 second after changing the password
* Tutorials related to class Meta should use new style
* Add release notes for hz-dynamic-table directive
* Fix key import in angular Launch Instance
* Update tox.ini for pot files not in tree
* Modify default sort in flavor table in ng-instance
* Updated from global requirements
* Simplify "Instance Count" verbiage
* Added 'help\_url' example to local\_settings.py
* Trival: correct the 'View Credentials' icon
* Fix translation test
* Moved table action tutorial under tutorials
* Cleaning up lint warnings for Image work
* Remove deprecated default\_\*\_subnet\_pool options
* Add semantic markup to Project Overview page
* Fix file upload not setting content-type correctly
* Use breadcrumb nav across Horizon
* Adjust width so as not to be hidden by "help element”
* Images tables uses action promises
* Horizon selects are now themable: Table Actions
* [Trivial] Wrong policy for Heat resource type details
* Heat Template Versions panel
* Updated from global requirements
* Add allowed address pair extension UI for neutron ports
* Removing unnecessary Angular Image files
* Imported Translations from Zanata
* Added tests for Identity Groups
* Remove unnecessary default-sort/ default-sort-reverse from hz-table
* Choose a server group when booting a VM
* Edit Extra Spec Value Fail
* Removed vestigial Magic-Search bar
* Added integration tests for Admin > System > Defaults Panel
* rename link "Download key pair" to "Re-generate key pair"
* [trivial] Add comma symbol to avoid misunderstanding
* removing httplib2 test dependency
* Add support for default dns for subnet
* Further Theming fixes for Launch Instances
* Updated from global requirements
* Improve Volume selection handling in LI
* Instance Detail Console Error is not consistent
* Remove broken "link" type action
* Initial Clean Up Old Styles in \_debt.scss
* Angular Table Directive
* Tutorial for extending a workflow
* Define row in cell\_getter before check cell status
* No lock required for reading secret key
* Add Charts to Preview Page
* Imported Translations from Zanata
* Wait for user menu items to become visible before clicking them
* Imported Translations from Zanata
* Fix js error when updating associations of metadata
* Attach test logs individually for each test
* Security group add/delete rules integration tests
* Fix incorrect breadcrumb on Admin > Details
* Move magic-search bar out of the smart-table structure
* Fix pre\_test\_hook fail and sidebar menu fail
* Improve Router integration tests coverage
* Fix the issue help\_text is not translated in User Setting
* display error message below form element
* Remove unnecessary files on Create Network
* Many dropdown actions are white text on white background
* Add filter function on resource type table
* Enhances tox to not rely on run\_tests
* Added test for check stacks creation and deletion functionality
* Provide integration test for managing a project's members
* Added test remove protected image
* [doc] fix syntax error in "Installing Horizon"
* Fix tests broken by novaclient 4.0.0 release
* Check that row is defined when wait cell status
* Imported Translations from Zanata
* Removed "Disable user" from dropdown menu for self
* Template loaders defined before local settings
* Remove redundant line to open login page
* Allow delete servers in error state
* Improve error message of when Conflict error occur in ng-swift
* Fix workflow bug in "Create Network" dialog
* Fix RST formatting errors
* Imported Translations from Zanata
* Updated from global requirements
* Added a warning message if User Name is empty
* Support scheduler hints when launching instance
* Added tests for check RC files from API Access page
* Adding Edit Image Action to angular images panel
* Fix explicit waiting if instance has error status
* Fix longtime tests
* Add download button for volume transfer creds
* Sync segmentation ID ranges with Neutron
* Add Geneve support
* Add network types used by midonet
* Create Subnet missing cancel button
* Added update image metadata test
* Add test for volumes attach/detach
* Angular vs. Django Table Danger Button Inconsistency
* Updated from global requirements
* Upgraded eslint-config-openstack to 1.2.4
* Net topology: Show console link only when useful
* Update JS dev dependencies
* Fix doc build if git is absent
* Change Registry Label for Server to Instance
* Use Chrome for JS unit tests
* Set description field as required for nova-network
* Added router set/clear gateway test
* Add test for check router create, edit, delete from Admin page
* Make neutron provider network configuration more flexible
* Default SESSION\_ENGINE is not Local memory storage
* Documentation on translation support in horizon plugins
* Reduced the left padding value on alert message
* Guard against instance row being displayed slowly in i9n tests
* Add event broadcast to table row expansion
* Fix remaining Django 1.9 test failures
* Add help text to image creation fields in Horizon
* Fix batch action buttons state loosening
* Fix Selenium Tests
* Fix time in Nova test data
* [TrivialFix] Rename run\_tests.py to run\_tests.sh
* Imported Translations from Zanata
* Fix babel msgids to include tag attributes and entities
* Added test for check launch volume as instance functionality
* Remove the DeleteInstance action unused name and classes
* Allow local/enabled panels to order relative to enabled panels
* Update the Administrator guide link with new one
* Tests for instance filtering are added
* Reset flavors for other than "Boot from Image" source type
* Pass environment data to update stack action
* Add strip() to filter string in instances
* Fix new Swift UI to work with Ceph backend
* Prevent transfer tables expanding out of modal
* Refactor of BaseTestCase
* Fix CheckBoxMixin:is\_marked behavior
* Fix some trivial errors in plugin.rst

9.0.0
-----

* Make i9n tests correctly recognize the deletion of a last row in a table
* bump eslint version to 1.10.3
* Remove PYTHONHASHSEED=0 from tox
* Use InAnyOrder for role creation mocks
* NG launch instance: Clear fileInput value on text change
* Set mandatory fields
* Tests for images filtering are added
* Added test for check instances pagination functionality
* Imported Translations from Zanata
* Fix typos in Horizon files
* Remove repetition of "Attached to" in table
* Fixing updating user with no default project
* Fix the issue which redirect to Not Found page
* Imported Translations from Zanata
* Imported Translations from Zanata
* Duplicate help message in metadata tab
* Fix opening multiple Launch Instance during jQuery table polling
* Separate subnets tests from networks tests file
* Make no response notification(msg) level to INFO
* Imported Translations from Zanata
* Disable all actions while performing action
* Added test for image create from local file
* "Clear Selection" is unlocalzed
* Update URLs to Django 1.8+ style
* Using LOG.warning replace LOG.warn
* Imported Translations from Zanata
* Hide project switch menu when project is disabled
* Follow up on detail title fix
* Cleaning up eslint warnings in the openstack-service-api directory
* Fix opening multiple Launch Instance during jQuery table polling
* Imported Translations from Zanata
* Removes some redundant words
* Fixing updating user with no default project
* Image create "Copy Data" checkbox wrong label
* Imported Translations from Zanata
* Fixes truncated string in details overview table
* minor ng launch instance cleanup - remove unused css styles
* No unit test coverage for code related to Flavors
* Do not cache templates in DEBUG mode
* Provide an integration test for dynamic themes
* Imported Translations from Zanata
* Imported Translations from Zanata
* Fix the link of Django logging directive
* Imported Translations from Zanata
* ng Launch Instance wizard, constant cleanup
* Keep row 'data-display' attr up to date after inline editing a cell
* Imported Translations from Zanata
* Imported Translations from Zanata
* Cleaning code to remove eslint warnings from Launch Instance
* Fix bad/inefficient API call for JS getImage()
* Doc page not displaying command-line with appropriate styling
* Update reno for stable/mitaka
* Update .gitreview for stable/mitaka
* Minor ng containers cleanup
* Add trace to integration gate scripts

9.0.0.0rc1
----------

* Delete repeated column 'enabled' in users table
* Allow Launch Instance (Angular) from Volume Snapshots
* Add "data\_required=True" check into heat rest api
* Adding missing release notes around upgrades
* Add missing release notes
* Bootstrap Theme Preview links to sections don't work Edit
* Make ngcontainers the default Swift UI
* Fix non-working Angular actions in jquery modified tables
* Bypass get\_domain call to keystone api
* Add Horizon support for volume consistency groups
* Imported Translations from Zanata
* Fix empty 'href' in link actions after AJAX actions\_update
* Launch Instance: Metadata should inherit from theme
* Add Network Port selection to new instance launch
* Auto-detect in i9n tests which row action to bind to
* Branding: Create Network should inherit from theme
* Do not make unnecessary calls to Nova from FIPs and Volumes tabs
* Make region list case-insensitive sorted
* Imported Translations from Zanata
* Fix the size of the close icon on delete confirm dialog
* ngTables should use themable checkboxes
* Release Floating IPs should use proper icon
* Fix 'Manage Volume Attachments' -> 'Cancel' button appearance
* Magic search shouldn't re-appear after selecting facet
* More documentation on writing i9n tests
* Missing default value on horizon.tables Column
* Imported Translations from Zanata
* Add ngSwift object actions
* Add ngSwift container actions
* Login page shouldn't show Required Asterisks
* Branding: Workflow cancel btn should be themable
* Fix themable checkbox error state
* Removing whitespace
* Horizon support for Heat template versions
* Imported Translations from Zanata
* Imported Translations from Zanata
* Remove gap in angular table actions menu
* Change projects redirects to overview page
* Missing translate attr in ng Launch Instance
* Add validateUnique form input validator
* Images Actions Return Promises
* Port list check is missing for LBaaS Add Member
* Sync paths in POT files with CI scripts
* Material theme form errors - fix red text on red bg
* Form Fields Required Visual treatment is missing
* Ensure there is checkbox before accessing it's properties
* changing-fa-icon-to-trash-icon
* Removed unnecessary truncate styles
* Added tests for check change volume functionality
* Fix BaseRegion and TabbedFormRegion initialization
* Added test for check Edit Consumer of QoS Spec functionality
* Remove default event handler from theme switch links
* Hamburger Menu icon - fix the alignment of the animated arrow
* Remove unnecessary translate attribute on Theme preview page
* Launch Instance Wizard - Avail items count doesn't update
* Fix legacy drag and drop widgets
* Optionaly require keypair on ng-launch-instance
* Imported Translations from Zanata
* Retrieve domain scoped token
* Angular Policy Caching
* take time zone into account
* Refactor some table rows  & cells waits in i9n tests
* Imported Translations from Zanata
* Disable Glance option to publicize image on Update
* Fix translator word order control in load-edit
* Honor comments for translators when extracting messages
* Add ngSwift containers and objects display
* Imported Translations from Zanata
* Horizon page-header Margin needs to be smaller
* Remove Horizon scss variables: New Launch Instance
* Add function to recreate ec2 credential
* Rename a panel name "NGContainers" with "Containers"
* Use interpolate in JS to allow translators to control word order
* Updated from global requirements
* Updated from global requirements
* Branding: Table Action dropdown hovers theme issue
* Fix test cases that have no expectations
* Don't force people to security groups after they add a FIP
* Imported Translations from Zanata
* Handle Volume launch as instance(NG) in Volume tables
* Add icon define in \_icon.scss
* local\_settings needs 2.76% more ',' and an '\_'
* Hamburger navigation now sits above containers

9.0.0.0b3
---------

* Enable Angular Launch Instance by default
* Material Design: New LI Tweaks
* Imported Translations from Zanata
* Fix theming in angular launch instance
* Material: Selection Menu headers aren't visible
* Horizon Checkboxes are now themeable
* Fixing heatclient release compat issues
* Deprecate default\_\*\_subnet\_pool\_label options
* Add test\_volume\_snapshots\_pagination()
* Imported Translations from Zanata
* Adding Resource Type registration
* Change "Reboot Hard" to "Hard Reboot"
* Python table is returning invalid template name
* Match python/ angular table styles
* Imported Translations from Zanata
* Remove Horizon scss variables: $code-font-family
* Fix an error which cause on Feb 29 in user setting
* Imported Translations from Zanata
* Add policy support to workflow steps
* Remove unused pngmath Sphinx extension
* Add ngSwift Django Interface
* Revert "Fix bug at update quota of project's network item"
* Fix bug with tabs navigation
* Imported Translations from Zanata
* Updated from global requirements
* Fix documentation of angular modal spinner
* Material: Sidebar needs to compress responsively
* Fixed over-application of webroot in disabled image panel
* Add Swift REST API
* Dynamic Themes
* Disable shared option for non admin users in network
* Reduce lint warnings
* Removing unneeded markup from image details page (angular)
* Add release note for the angular extensible service
* Amend hz-table-footer documentation and allow optional message
* Add host aggregate create/delete test
* Adding features to MagicSearch
* Updating registry to include some concepts
* Update example local.conf
* properly mock cinderclient calls in tests
* Allow deleting gateway interfaces on network topology
* Added test for check associate/disassociate actions for floating ip
* Imported Translations from Zanata
* Look for volumev2 endpoints instead of volume
* Imported Translations from Zanata
* Update URLs to Django 1.8 style for plugins
* Improve keypair delete warning message
* Fixed a few missed translation strings on Theme preview page
* Add some new heat-snapshot-api
* Trust sql middleware value conversion and stick to the spec type
* Updated from global requirements
* Use isCurrentProject in NG images delete action
* Increase Create Volume Step Coverage NG Images
* Force line break for detail table cells
* Imported Translations from Zanata
* Add local\_settings.d/ dir for settings snippets
* Fix issue with some modals are missing backdrop
* Adding resource type registry service
* Tablecontroller should return only selected items
* Tablecontroller should use ctrl instead of scope
* Allow optional default value in noValue filter
* Imported Translations from Zanata
* Branding: Horizon close buttons should use icon
* Maintain order when resolving promise list
* Running eslint in quiet mode with color
* Add missing column rxtx\_factor to ng flavors table
* Using events to clear table selections instead of scope
* Hide delete volume if it has snapshot
* Adds encoding to sample config for openstack-dashboard
* exclude subnets without gateway in create interface
* Add a close icon in the upper right in Update Metadata modal
* Add support for identity provider protocol CRUD
* Add REST API for working with floating IPs
* Updating password in local\_conf
* Ignore local folder
* Test for images (create volume/launch instance from image)
* The update image should be changed to edit image
* User isCurrentProject in metadata action
* Add test\_router integration test
* Protect cinder list against permission issues
* Added test for check QoS Spec creation and deletion functionality
* Add/Fix several Port Details fields
* Tests for volumes pagination are added
* Add isCurrentProject to userSession service
* Add rxtx factor to flavors
* Allow chaining method calls in extensible service
* Fix network duplication check logic
* Change TestImageAdmin to test proper pages
* Fix exceptions\_captured manager in i9n tests
* Fixed missing ',' in docstring of Column table
* Increase branching testing
* Trivial: Fix import order in api/rest/\*.py
* Material: Compression warning for missing icon
* Image Detail Redesign (Angular/UX)
* DataTable column level policy
* Webroot Theme is no longer needed
* Updated from global requirements
* Add missing network mock
* Adding hz-if-neutron-extensions directive
* Fix misc small issues with docs
* Added test for check volume types management functionality
* Imported Translations from Zanata
* Router namespace not created in controller
* Allow setting default value for config\_drive
* Add configuration mechanism to turn off browser maximisation
* Re-enable keypairs integration test
* Adding multiple row actions for the Image table
* Port last unit tests to Python 3
* API Services for Flavors Panel
* Fix bug at update quota of project's network item
* Ensure that integration tests are being run in proper project
* Allow @tables.bind\_row\_action() to bind in 2 additional scenarios
* Imported Translations from Zanata
* Style: Material: Fixes colors for navbar and menu
* Context Picker should inherit BS dropdown styles
* Add Metadata Tree widget to NG image table drawer
* Launch Instance - UI for Download Key Pair
* Launch Instance - Create Keypair Service
* "Required" fields are no longer visually indicated
* Don't overwrite original traceback in certain cases of i9n failures
* Integration tests naming sanity
* [Launch Instance Fix] Magic Search in new Launch Instance
* Switch to use "# noqa" correctly
* Adding Neutron extensions API
* Add test for create/delete Namespace inside "Metadata Definitions"
* ng launch instance: Validate minimun ram for snapshot source
* Port identity provider dashboard to Python 3
* Imported Translations from Zanata
* Fix Create Image angularjs code
* Truncate image name in admin/images table
* Remove extraneous table padding
* Integration tests - networkspage and test
* Add test for create/delete image under Admin user
* Make Port Details VNIC type translatable
* Add breadcrumbs on Network Detail
* Imported Translations from Zanata
* Follow-up patch of bug: #1527457
* Modify update user info from pencil icon in keystone v2
* Branding: Nav icon spacing should use css
* Container Loader Image now Themable
* Add Magic Search Filtering to NG Flavors
* Obey Naming Conventions for Angular Images Panel Services/Controllers
* Add test\_images\_pagination()
* Use OS::Nova::Server resource type for instance metadata
* Add Create Volume Action for the Image
* Add Network Port selection to instance launch
* Updating JS unit test coverage threshold
* api cinder volume\_migrate wrong number of params
* Support docker image type in ng launch instance wizard
* Zoom out pages in i9n tests
* Add unit tests for load-edit directive
* Override get\_object\_display() for IdP table
* Add basic CRUD for federation mapping
* Removing container ID element
* Add angular limit filter
* Default Theme:Responsive Menu shouldn't have Arrow
* Add Glance v1 / v2 capable angular image visibility filter
* Port dashboard containers to Python 3
* Support xvfbwrapper 0.2.8
* Fixes reference to css for domain and region
* Imported Translations from Zanata
* Set proper z-index value on messages and navbar
* Fix i9n tests pluggable nav structure
* Imported Translations from Zanata
* Add pagination to volume snapshots and backups pages
* Sort images list in ascending alphabetical order
* Add snapshots integration tests
* Added tests for check volumes management functionality
* Support properties\_target when fetching namespaces
* Updated from global requirements
* Adding Magic Search codebase to Horizon
* Add status 'N/A' in Port tables
* Remove the truncate function from horizon.quota.js
* Style: Login page should not have scroll bars
* Changed to DeprecationWarning in BatchAction
* Add policy directive into policy.rst
* Fix errors on keyboard nav across tabs on forms
* Add filter to replace null to "None"
* Adds support to accept IPv6 in VIP Address for LB Pool
* Fixing test cases
* Imported Translations from Zanata
* Remove unnecessary 'volume' service check
* Material Theme: Buttons need border radius
* Clean unnecessary django tag
* Updated from global requirements
* Clean up horizon.scss - Organize Imports
* Material theme icon not showing for inline edit close
* assertEquals is deprecated, use assertEqual
* Fixing timezone awareness
* [Django 1.9] Stop using django.utils.importlib
* Pass the proper params to getPorts call
* Refresh the networks on ajax update
* fix ClientException call
* Plugin Docs
* Clean up horizon.scss - Remove remaining styles
* Clean up horizon.scss - default/bootstrap/\_type.scss
* Clean up horizon.scss - default/boostrap/\_form.scss
* Clean up horizon.scss - serial\_console.scss
* Clean up horizon.scss - \_tables.scss
* [Django 1.9] Remove testserver from expected\_url
* Imported Translations from Zanata
* Branding: Context selector delim should be icon
* Logo on non-standard themes should be centered
* Updated from global requirements
* Remove all pre-Django 1.8 workarounds
* Introduce field mappings for FormRegion descendants in i9n tests
* Reduce number of calls to Selenium for form fields
* Disable unnecessary warnings from heatclient about object comparisons
* Themeable loader/progress bar for tables
* Add message of the day option
* Only specify use of html5 locationProvider if base tag
* Place exports for dsvm-integration job into a separate file
* Common Wizard Modal Service for Angular Workflows
* Add pagination support to the volume page
* Always wait for spinner to disappear after form submit
* Improve working with messages in integration tests
* Rework table actions in integration tests
* Try to be more verbose on sec group error
*  Adding Ceilometer Alarm API
* Fix policy.rst
* Add support for identity provider management
* Remove table search placeholder overwrite
* Add 'width' for name-field

9.0.0.0b2
---------

* Fix action list icon use and spacing
* Add trove and sahara plugins in docs
* Imported Translations from Zanata
* Correct usage documentation for simple modal service
* Launch Instance - Nova API for Download Key Pair
* Fix metadata tree available filter
* Conform to <span> for icons over <i>
* Remove keypair ID from details table
* [Django 1.9] Replace request.REQUEST with POST/GET
* Fix small typo in tutorial
* In integration tests reference table columns by name
* Remove redundant dashboard.login\_url setting from horizon.conf
* [Django 1.9] Update template.base.Library() import
* [Django 1.9] Do not use TemplateDoesNotExist from Django
* [Django 1.9] Replace django.utils.unittest
* [Django 1.9] Do not use django.utils.log.NullHandler
* Convert present/past action to methods
* Port volume backup dashboard to Python 3
* Port loadbalancers tests to Python 3
* Translate status in network topology
* Use interpolate in JS to allow translators to control word order
* Move integration\_tests.tests.decorators one level up
* Remove not required packages in requirements.txt
* Improve field validation/error handling for flavor creation
* Simplify tables page regions
* Remove trove and sahara clients from requirements
* Modify 'admin' used by fixed string
* Fix help text in "Create Network" dialog
* Branding: Horizon Header should be more composable
* Clarify the themeing documentation
* LocationProvider should be set up on the Horizon App
* Set <base> element ONLY for Angular Panels
* Branding: Horizon needs global footer override
* Add the max value to the tooltip for the "Items per Page" field
* Fixed the width of the stack template detail box
* Revert "Specify <base> element in all pages"
* Drop izip and izip\_longest removed in python3
* API for Metadata Definitions
* Documentation for specifying Template as URL
* Corrected typo in fetch security groups comment
* Fix typos of comments in delete-modal service
* Fixes Python 3 compatibility for filter results
* Imported Translations from Zanata
* Clean up horizon.scss - \_resource\_topology.scss
* Clean up horizon.scss - \_modals.scss
* Clean up horizon.scss - \_membership.scss
* Clean up horizon.scss - \_datepicker.scss
* Clean up horizon.scss - \_util.scss
* Clean up horizon.scss - \_legacy.scss
* Specify <base> element in all pages
* Add Angular Directive to show msg for empty tables
* Add py27dj19 tox env
* Fix doc incorrectly specifying alert-error
* Eliminate ambiguity when matching panel in i9n tests
* Clean up horizon.scss - \_layout.scss
* Imported Translations from Zanata
* Delete some deprecated codes
* Revert "Specify <base> element in all pages"
* Support javascript translation for plugin
* Add expect clause when the test passes
* Update eslint-plugin-angular to the latest
* Create a ISO Date Time Filter
* Clean up horizon.scss - Keypairs
* Provide integration test\_hooks to be used in gate job
* Imported Translations from Zanata
* Magic Search now inherits from Bootstrap Theme
* Transfer table should update allocatedIds on allocated change
* Set target to \_self for Header Links
* Revert "Neutron: fix ICMP code and type validators"
* Updated from global requirements
* Fix i18n msgfmt bug in launch-instance
* Replace "no quota" with "No Limit"
* Can't ignore required package script
* Correcting heat resource drill down
* Specify <base> element in all pages
* Add Action to delete multiple and single images to images panel
* Revert "LocationProvider should be set up on the Horizon App"
* Delete unnecessary permissions on panel
* Internet Explorer minimum version raised to 11+
* Add booleanAsPromise to q.extensions service
* New Preview Page Needs All Input Types
* Use the default \`url\` tag instead
* Use assertTrue/False instead of assertEqual(T/F)
* New Preview Page Needs All Sizes of Button Groups
* Remove inline styles from Preview Page
* Add volume type encryption update
* Add Metadata page to angular Launch Instance wizard
* Add action for editing instance metadata
* Adding informative message when deleting a used volume type
* "QoS spec" page is displayed as a modal dialog
* Modify so as to display fa-check icon with a single line
* Neutron: fix ICMP code and type validators
* py3: replace reload with six.moves.reload\_module
* Fixing the deprecated library function
* Use the horizon.conf's dir as the basedir for i9n screenshots
* Fix typo s/pane/panel/ and s/javascript/JavaScript/
* Python 3 deprecated the logger.warn method in favor of warning
* Replace assertTrue(isinstance()) with assertIsInstance()
* Use new log style when LOG.error
* Replace assertEqual(None,\*) with assertIsNone
* Wrong usage of "an"
* Make it possible to pick False for default stack parameter value
* Trivial: Remove unused services injecting
* Trivial: Remove unused logging import
* Pagination for flavor - prev link
* Remove an unused method in admin/hypervisors view
* Enable "no-new" and "guard-for-in"
* Enable no-redeclare
* Enable semi-spacing
* Enable consistent-return
* Misspelling in message
* Modify description form in Create or Update Image dialog
* Fix some inconsistency in docstrings
* LocationProvider should be set up on the Horizon App
* Clean up horizon.scss - \_debt.scss
* Clean up horizon.scss - \_contrib.scss
* Clean up horizon.scss - Flavor Table
* Clean up horizon.scss - Admin Sys Info
* Excise Trove from Horizon
* Style: Material Design: Alerts should have a box-shadow
* default theme's warning color is not readable
* Horizon Messages now inherit from a Bootstrap Theme
* Fix volumes no attribute tenant\_name error
* Actions directive should take Service
* py3: Replace dict.iteritems() with dict.items()
* Fix Row Action Button styling issues
* Add breadcrumbs on Volume Encryption Details
* Barcharts now inherit from a Bootstrap Theme
* Add ability to clear image description
* Imported Translations from Zanata
* Add handle get\_file when launch stack from horizon
* Remove glance image API release note
* Fix no tenant name in admin image panel when UpdateRow
* Security groups page and test for create/delete secgroup
* Eliminate mutable default arguments
* replace deprecated iso8601\_from\_timestamp
* Fix 3-components accessors for TabbedTables in i9n tests
* isoformat instead of deprecated timeutils.isotime
* Imported Translations from Zanata
* Quota pages now inherit from Bootstrap Theme
* Add API services for system information
* Allow specifying item to use for actions in the actions directive
* Increase default Python socket timeout
* Skip test\_keypair integration test until it's fixed
* Add integration tests section to testing docs
* Pagination for flavor - more link
* Add missing unit tests for Heat Stacks Details
* Updated from global requirements
* Remove arguments "{}" in function definitions
* Set autodismissAlert on each alert
* Raise JS unit test coverage threshold
* remove the default arguments "[]"
* Updated from global requirements
* Imported Translations from Zanata
* Imported Translations from Zanata
* hzIfApiVersion directive to check if api version enabled
* Improve readability of Horizon Packaging doc
* Add extensions to $q for resolving all promises
* Deprecated tox -downloadcache option removed
* Use "GiB" and "gibibyte" labels in volume panels
* Fix duplicate Image URL validation message
* Add getServers function to nova rest API
* Add testr support
* VPN forms help text could be improved
* Add test for the Heat Service validate method
* Use JQuery promise/deferred objects to track AJAX
* Fix bad performance when editing domain members
* Fix decription for admins Image create modal
* Display clear error message while no subnet poll support
* Missing icons for Material Theme on Stacks Panel
* Delete the unused LOG configure code
* Imported Translations from Zanata
* Add API services for Create a Volume, get QoS and tenant limits
* Fix the Split button to enable the dropdown toggle
* Fix return value in "Update default quota"
* Fix Dialogs section ID in theme preview
* Make integration tests pluggable
* Added test coverage for toast.service.js
* Fixes heat templates hidden parameters are not loading problem
* Removing sahara specific exception ref
* Add Cached loader for templates
* Display user's description in user detail
* Add Developer Dashboard + Bootstrap Theme Preview
* Imported Translations from Zanata
* Enable strict
* Fix errors showing in Network tests
* Fix decription for Image create modal
* Protocol port should be required for LBaaS Add Member
* Do not use empty description fields
* Fix typo in test data for keystone
* Move Detail page styling into theme
* Excising Sahara from Horizon
* Removing version line from setup.cfg
* Move Page Layout Styles out of horizon.scss
* usage.html doesn't need such specific styles
* Horizon Dropdown now inherits from Bootstrap Theme
* Make some volume related quotas translatable

9.0.0.0b1
---------

* Pass result of submit to wizard modal close
* Add launchpad link to the plugin registry list
* Imported Translations from Zanata
* Give material theme modals more room
* Show a toast with success on instance creation
* Launch Instance Modal should be exist as a Service
* Imported Translations from Zanata
* fix-legend-overflow
* Add API to Create/Update/Delete Images in Glance
* Adding tests for ng identity basePath constant
* Add style to wrap pre tag
* Force releasenotes warnings to be treated as errors
* Change column order for Orchestration Services table
* Disable angular wizard finish button when clicked
* Improve release notes guidance - single patch
* Make breadcrumb appear on sec groups and keypair details
* Make unit testing less reliant on HTML fragments
* Networks tab does not show external configuration
* Replace "Terminate Instance" with "Delete Instance"
* description field was missing from the initial values
* Escape RegEx characters from table quick search text
* Try to avoid intermittent test\_dashboard\_help\_redirection failure
* Deleting unnecessary spaces in instances's log
* Optimize "open" method with context manager
* Imported Translations from Zanata
* Add symbol equal "=" in several filter texts
* Fix for the broken header's dropdowns for both v0.11.2 and v0.13
* Imported Translations from Zanata
* Enable eqeqeq
* Allow configuration of nova micro-version in the settings
* Added filter for firewall tables
* Change the super argument to use the current class
* Imported Translations from Zanata
* Enable PhantomJS for running Selenium tests
* Adding download for openrc file for keystone v3
* material theme close icon isn't showing up
* Fix flavor quota charts in NG Launch Instance
* Top Nav shouldn't include giant bottom margin
* Top and Bottom Padding should be removed from navbar-brand
* REST API to Get a Volume and Volume Type(s)
* Disable all new linting rules in legacy code
* Split instance details and source in Launch Instance wizard
* Remove data-type and sort from flavor column
* Translate Floating IPs on overview page
* Handle absence of cinder default volume type
* Add Reject option to Firewall Rules
* Imported Translations from Zanata
* Imported Translations from Zanata
* Imported Translations from Zanata
* Updated from global requirements
* Enabling strict di mode
* Fixed Update Metadata modal description's typos
* Add ngroute libraries to appropriate paths
* Simplified boolean variable check
* Imported Translations from Zanata
* Fix mocks on update firewall rule tests
* Followup patch for \`Improve Firewalls help text\`
* Fix 302 error on subnet tests
* Handle glanceclient CommunicationError in horizon
* Change Permanent Cookie Contain Sensitive Info
* Enable radix
* Enable no-unused-vars
* Add policy check for project detail link
* Imported Translations from Zanata
* Add version check for listing namespaces
* Improve Firewalls help text
* Update nova policy file
* Remove Old Images
* Basic Tabs now inherit from a Bootstrap Theme
* Cleaning up unused injected dependency
* Correcting an ngDoc format error
* Imported Translations from Zanata
* Document release notes process
* Document how to generate docs using tox
* Enable no-multi-spaces
* Upgraded eslint-config-openstack to 1.2.3
* Angular alert service - add auto dismiss
* Horizon Login now inherits from Bootstrap Theme
* Drop Django 1.7 support
* Updated from global requirements
* Remove legacy models.py files
* Imported Translations from Zanata
* Add breadcrumbs to final details pages
* Add dev docs for SCSS/and styling in Horizon
* Imported Translations from Zanata
* Basic tables now inherit from Bootstrap Theme
* Support angular workflow extension as a feature plugin
* Harden Material Theme
* Show missing info in volume detail view
* Imported Translations from Zanata
* Update startdash/startpanel for newer Django patterns
* Modify the Quickstart-horizon doc grammar
* Adding support for shared option in Network
* Fix config ordering for identity plugin file
* Separate agents tests from networks tests file
* Remove usage of user project caching
* Add support for IP Version in Horizon FW-Rule
* New Theme Work Needs Better Documentation
* hz-page-header should allow string interpolations
* Add reno for release notes management
* Revert "Fixes Broken Error Message on Subnet Creation"
* Imported Translations from Zanata
* Remove unnecessary ugettext\_lazy
* Retire the reference of StackForge
* Update Liberty release notes to match wiki
* adding general packaging information
* Imported Translations from Zanata
* Add firewall detail actions and breadcrumb nav
* Add breadcrumb to more details pages
* Add STATUS\_DISPLAY\_CHOICE which matches Nova vm state
* Fix Python 3 issues in dashboard image tests
* Port network topology tests to Python 3
* Port dashboard stack tests to Python 3
* Port dashboard router tests on Python 3
* Port project instance tests to Python 3
* tox: add /bin/bash to whitelist\_externals
* Navigation + cleanup for details pages
* py3: Fix unicode versus bytes issues
* doc: subsections for neutron releated settings
* Separate Ports tests from Networks tests
* Imported Translations from Zanata
* Take shared networks into account for quotas
* Remove some old (pre-1.8) Django compatibility code
* Imported Translations from Zanata
* Dropdowns should have a consistent design
* Adds config to disable the password in stack
* add Italian localization
* Made instance state values in the CSV summary translatable
* Use sum of volumes and snapshots for cinder usage
* Add Kilo Release Notes
* Imported Translations from Zanata
* Don't hide Karma coverage reports
* Adding tests for untested areas
* Clean up spec files in horizon framework directory
* Update Plugin Registry
* Imported Translations from Zanata
* Updated from global requirements
* Fix infinite spinner for Angular panels
* Actions directive for dynamic actions
* Add a Delete Modal Service for deleting entities
* Make sure dashboard has a default panel group
* Add help text for IPv6 security roles
* Imported Translations from Zanata
* Imported Translations from Zanata
* Directive to check if Cinder Extensions are enabled
* Refactor status and admin state translation code
* Remove environment\_version ref from quickstart guide
* Updated from global requirements
* Add REST API to get Glance API Version
* Corrected spelling errors throughout the project
* Mock flavor\_list method in tests for instances
* Imported Translations from Zanata
* Update plugin registry - s/stackforge/openstack
* Fix home button in 500 page
* Imported Translations from Zanata
* Directive to check if policy check passes
* Correct the Karma conf to search correct dirs
* Add angular flavors panel
* Fixes Broken Error Message on Subnet Creation
* Updated from global requirements
* Improving JS unit test branch coverage
* Wrong url in stack preview detail page
* Imported Translations from Zanata
* Prevent 'Detach Interface' action if an interface is not attached
* In Stack Details do not display as links events leading to nowhere
* Wait until additional window is opened in integration tests
* Fix accidentally broken Instances integration test
* Integration tests - Instances tests
* Do not match table actions by ordering in integration tests
* workflow.js should be named as workflow.module.js
* Add correct license for hzPasswordMatch and bi-directional check
* Updated from global requirements
* Prevent the click loss at navbar accordion in integration tests
* Upgraded eslint rule libraries
* Remove models.py from tutorial
* Imported Translations from Zanata
* Add correct license for simple modal
* Port admin metering tests to Python 3
* respect webroot setting in containers table
* Imported Translations from Zanata
* caret button shouldn't be disabled
* Wait until the success message popup disappears before proceeding
* Dump browser log on integration test failure
* Default Sidebar should grow with page height
* Missing translate in dropdown caret button
* Add Cinder Extensions Service for Angular
* Add API for getting Cinder Extensions
* Add Liberty Release Notes
* Show Image ID on Instance Overview
* Add British English l10n
* py3: Replace unicode with six.text\_type
* Imported Translations from Zanata
* admin not able to set maintenance state for volume
* Horizon styles should use vendor prefix mixins
* Made error fields in ng launch instance workflow more visible
* Replace filter() with list-comprehension
* Remove disabled attribute from select fields on submit
* Changes cursor to hand/grab in network topology
* Make IPv4 address sorting work on all tables
* Remove duplicate deleted status definition
* Imported Translations from Zanata
* Imported Translations from Zanata
* Corrected wrong url in router detail page
* Add HTTPS to image location help text

8.0.0
-----

* Imported Translations from Zanata
* Updated from global requirements
* Imported Translations from Zanata
* Imported Translations from Zanata
* Fixing template filtering by plugin name
* Fix TypeError on comparison on Python 3
* Port remaining Horizon tests for Python 3
* py3: Add json attribute to HTTP response objects
* Update Horizon language list for Liberty
* Adds deactivated status for glance image
* Remove redundant success messages for LBaaS delete actions
* Imported Translations from Zanata
* Remove an unnessary assert call in InstanceTests
* Create volume pre-select default vol-type
* Creating new user does not require project
* Update Horizon language list for Liberty
* Move humanize and truncate to horizon.quota.js
* Add test coverage for auth\_type 'credential'
* Remove \_() from strings used only for logging
* Removing last\_activity session flag
* Magic Search is firing multiple checkFacets event
* Heat Stacks Details: Events table doesn't show up
* Removing check for unsupported Django version
* Uncapitalize the first letter of non init functions
* security group not mandatory to create instance
* Add tests for controllers in tech-debt
* Adding ifAllowed method to policy service
* Port horizon tabs tests to Python 3
* Port babel\_extract\_angular tests to Python 3
* Improve "Disassociate floating IP" confirmation message
* Show external networks
* Do not pass along cidr and ip\_version to create\_subnet when not used
* Fix horizon/test selenium tests for Django 1.8
* Add missing MEDIA config in test settings
* Fix loading of angular in jquery modals
* Rename launch instance model file
* Fixed empty "VPN Connections" value from displaying a blank value
* Fix Python 3 issue in horizon DataTable
* Add icons for Heat Stacks BatchActions
* Create a Angular Modules for Admin Dashboard
* Finally remove policy engine code from openstack\_dashboard
* Port openstack dashboard overview tests to Python 3
* Port horizon utils tests to Python 3
* Fixes spelling mistake in Error Message
* Imported Translations from Zanata
* Add optional Report Bug link to Horizon
* lbaas associate fip to vip table action bug

8.0.0.0rc1
----------

* Imported Translations from Zanata
* Neutron Quota Settings Flag Disables Neutron GUI
* Cleanup of Translations
* Open Mitaka development
* Typo fix in Trove panel
* Imported Translations from Zanata
* Updated from global requirements
* Minor refactoring of openstack\_dashboard.api.neutron
* Enable pagination for Project->Images view
* Imported Translations from Zanata
* Remove duplicate key from dictionary
* VPNaaS delete actions refactoring
* FWaaS delete actions refactoring
* Add external IP fields to VPNaaS details
* Include JS from openstack\_dashboard/\*\*/static for code coverage
* Use the User model from d-o-a
* Fix UTF-8 handling in tables
* Imported Translations from Zanata
* Remove unnecessary brackets from enabled files
* Improve error message for creating QoS Spec
* Initial support for database clustering in Horizon
* Update WSGI app creation to be compatible with Django 1.7 or greater
* Fix Admin / Subnet Detail action URLS
* Imported Translations from Zanata
* Fix all the network/router/subnet/port display as name\_or\_id
* Pass Heat environment through form variables too
* Imported Translations from Zanata
* Updated from global requirements
* magic-overrides should clone from currentSearch
* Skip client side filter if the Facet is server side
* Enable Launch Instance NG for the case when Nova quotas are disabled
* Fix cinderclient traces in tests
* Imported Translations from Zanata
* Fix typo on access\_cached comment
* Couldn't provision instance from volume snapshot
* Adding missing semi-colon
* Fix lint errors for horizon.networktopology.js
* Imported Translations from Zanata
* Translate angular html with '-'
* Improving find  static robustness
* Fix angular pie charts appearance
* Check element's existence in angular unit tests in a proper way
* Imported Translations from Zanata
* Swap and ephemeral fields should be optional
* Use raw data for inline edits of boolean fields
* Use keyword substitution in horizon framework filters.js
* Fix Load Balancer table Subnet row displays CIDR
* Add \_save\_screenshot functionality to helpers
* Remove session caching of can\_access call results
* Added a django extract for .csv files
* Remove .tx/config
* Unable to attach volume to instance
* Fix typo in launch instance help
* Updated from global requirements
* TestCase: add aliases to assert methods on py3
* FWaaS tests improving
* "scss is misspelled as css" in these scss files
* Fix Python 3 issue in DataTableMetaclass constructor
* Port horizon base tests to Python 3
* Fix bug preventing clusters to be created
* Moving translation to HTML for launch-instance key pair step
* Do not pass along cidr and ip\_version to create\_subnet when not used
* Simplify is\_service\_enabled
* Fix "create failed" bug in add DHCP agent form
* IDP specific websso
* Adds button to disable more than one domain at a time
* Fix a bug in "Add Interface" form modal
* Add Curvature topology
* Enable compute shelve/unshelve commands
* Refactor DataTable filtering functions into mixin
* Fix ng Launch Instance button in Network Topology
* [Sahara] Unified job interface map UI
* Fix FWaaS Rules table displaying
* Angular Magic Search defaults for filterStrings
* Allow multiple clusters creation
* Adding option for Spark jobs to use Swift paths
* Hide 'Gateway IP' input when 'Disable Gateway' is checked
* Launch instance create volume fails
* Switch Magic Search class to the correct one
* Updated from global requirements
* Nav checkbox placement fix
* Update MANIFEST for SCSS
* Fix usage of python-novaclient in Horizon
* Fix typo in a document javacript => javascript
* Fixed typos in comment for renaming dashboard
* Angular docs - code theory and translation
* Wording for Security Groups is incorrect
* Add information for debugging Selenium tests
* Fix a bug for "Set Gateway" form modal
* Updated from global requirements
* Ensure exc message is included in user\_message
* Move volume types Forms out of volumes
* Improve project image unit test
* Moving translation to HTML for launch-instance configuration step
* Updated from global requirements
* Update App Catalog UI Plugin Info
* Upgrade to Bootswatch 3.3.5.3
* Magic Search CSS reuse
* Replace SortedDict with OrderedDict
* removed-textarea-resize-horizontal
* Fix unhandled exceptions from cinder in quota code
* Port dashboard api access tests to Python 3
* Display the project name in user detail page
* Port password tests to Python 3
* Cancel button in "Add Rule" redirect to wrong url
* [Sahara] Adding ability to update missing fields
* Only allow http/https schemas for image download
* Fix a unit test for create instance
* Updating doc on Django version
* Change awkward wording for poweroff dialogue
* Fix eslint violations regarding newlines
* Tolerate unconfigured glance service when loading image name

8.0.0.0b3
---------

* Imported Translations from Transifex
* Improve message propagation in exceptions.handle
* Allowing job binaries to be edited
* Update Contributing doc & cleanup
* Theming Mechanism now supports 3rd party themes
* Port horizon forms tests to Python 3
* Pie Charts now inherit from Bootstrap Theme
* Fix off by one error in subnetpool choices logic
* Remove unneeded \_\_init\_\_() in UpdateAggregate class
* Added small block to remove default panels
* Fix usage of netaddr '.broadcast'
* Added cancel button in add rule modal
* Updated Login directive to be less error prone
* Make NG Users table details drawer responsive
* Fixing liberty version reference
* Make "availability zone" field optional for host aggregates
* Add config setting to require keypair on instance create
* Port error\_pages tests to Python 3
* Port config\_rest\_tests to Python 3
* Update Users Table to single HTML
* Cleaning up module dependency management tree
* Adding missing spec for widgets.module.js
* Add license headers to the panel/dashboard templates
* Imported Translations from Transifex
* ESLint glob pattern not matching files for lint
* Cloud Service directive to check if Service is enabled
* Updated from global requirements
* Correct the wrong url in "Manage QoS Spec Association"
* Cleaning unnecessary leading whitespace in html
* Skip test\_routerrule\_detail blocking the gate
* Support create subnet w/Neutron subnet allocation
* Correct usage of angular.element
* Fix the selenium LazyLoadedTabsTests
* Moving inline html code out of login.spec.js
* Imported Translations from Transifex
* Horizon Logo Documentation is out of date
* Logout user if he has no valid tokens
* [Sahara] Support autoconfiguration for templates
* Run ESLint on Javascript files in dashboards
* JSCS Cleanup - use DI in launch instance model
* [Sahara] Move node processes selection to own tab
* Run a subset of tests on Python 3
* Remove secondary font
* Minor refactoring of integration tests
* Fix some description/grammar mistakes in messages
* Add tacker-horizon plugin to plugins registry
* Styles and Asset No Longer Necessary
* hz-if prefix change to promise directives
* Improve Cloud Service Directive Documentation
* Remove controller reference in ng launch instance
* Fix local\_settings.py.example to be consistently styled
* Adding clone feature to Transfer Table
* Add Angular Table Footer Directive
* [Sahara] Add support for event logs
* Drop QUnit JS tests in favor of Jasmine
* Imported Translations from Transifex
* Updated from global requirements
* py3: Replace unicode with six.text\_type
* Update Table to Single HTML for Readability
* Fixed Typos in comments
* Revert "Fix broken header dropdowns"
* Delete redundant 'CreateVolumeTypeView' class
* Integration tests no longer use form's fields ordering for matching
* Imported Translations from Transifex
* Fix broken header dropdowns
* Javascript Heat API
* Made network detail status and admin state translatable
* Allow to edit image metadata from project view
* Angularize metadata update modals
* Angular metadata update modal
* Moving translation to HTML for launch-instance security-group step
* Move i18n to HTML for launch-instance source step
* Imported Translations from Transifex
* Populate volume/volume\_snapshot status without current status
* Fix a few typos
* Document OPENSTACK\_KEYSTONE\_ADMIN\_ROLES
* A few fixes to make the App Catalog plugin work
* [Sahara] Add missing job type in libs selection
* Use the JP Style Guide for OpenStack Services
* Moving translation to HTML for launch-instance flavor step
* Adding missing mocks to lbaas tests
* Only insert "Any Availability Zone" if there are more than one AZs
* Moving inline html code out of action-list.spec.js
* Use security group id not name in the create instance dialog
* Correct local\_settings example from overwriting settings
* Integration tests no longer rely on entities' display names in tables
* Add 'reverse\_lazy' for 'success\_url' in admin volume type panel
* Imported Translations from Transifex
* Made router detail status and admin state translatable
* Imported Translations from Transifex
* Remove key-pair-details.html duplicate
* Get simple modal working again
* Cleaning up the Transfer Table
* Moving inline html out of table.spec.js & search-bar.spec.js
* Remove \_40\_router.py.example file
* VIP IP adress help content
* Modify the pagination message to show total count
* Imported Translations from Transifex
* py3: use @six.python\_2\_unicode\_compatible
* py3: replace reload with six.moves.reload\_module
* Added karma threshold reporting & failure
* Refactor angular cloud services utilities
* Allowing data sources to be edited
* Reduce the chance of Selenium timeouts in integration tests
* Adapt integration tests to recent devstack and page layout changes
* Imported Translations from Transifex
* Use a blocktrans tag in limit summary template
* NG Images Index Header Translation
* py3: don't call .sort() of dict.values()
* py3: replace xrange() with range()
* py3: Replace func.func\_name with func.\_\_name\_\_
* py3: Replace basestring with six.string\_types
* Fix doc reference in settings.rst: 'hz' should be 'horizon'
* Port last test to Python 3
* Fix code that modified dictionaries while iterating over them
* Address deprecated templatetags in Django 1.7
* AVAILABLE\_REGIONS picker should be responsive
* Fixing docstring formatting errors and warnings
* Moving translation to HTML for launch-instance network step
* Fixing .rst file issues
* STATIC\_ROOT underline too short
* Fix docs translation import errors
* Added volume type description for volume type
* Inconsistent karma conf for xstatic files
* Add plugin registry to docs
* Stop using naturalSort in hypervisors table
* Imported Translations from Transifex
* Fixes Selenium tests for openstack\_dashboard
* Babel extractor translating inner tags
* Made image detail status translatable
* Use the JP Style Guide for KeyStone Service
* Moving inline html code out of transfer-table.spec.js
* [Sahara] Added volume type and instance locality support
* Imported Translations from Transifex
* SCSS $webroot should inherit from settings.py
* Imported Translations from Transifex
* JSCS Cleanup - horizon/ tech-debt
* Dashboard ReOrg - retiring dashboard.scss
* Updated cassandra database details overview port
* Horizon Context Selection should be to the right
* Use the JP Style Guide for Nova Service
* Add default sorting to the Security Groups table
* Fix attribute error with old glance backend
* Add volume migration support
* Imported Translations from Transifex
* Move magic\_search.js in \_scripts.html to after Angular files
* Add example keystone v3 policy file to horizon
* Fixed translation in python modal templates
* Updating docs for customization
* Updated from global requirements
* remove django<1.7 from tests
* Fixed alignment issues in create firewall
* Imported Translations from Transifex
* Fix XSS settings in Deployment Documentation
* Edited create subnet comment to create network
* Fixes align issue for database networking workflow
* Delete VIP action refactoring
* Add todo regarding code removal in M
* Imported Translations from Transifex
* JSCS Cleanup - Use mock module to avoid using window
* Sidebar now inherits from a Bootstrap Theme
* Port cleanup on failed VM instance launch
* Add Storm Job to UI
* Imported Translations from Transifex
* User email no longer raises exceptions if missing
* JSCS Cleanup - style guide cleanup for Keypair step
* Imported Translations from Transifex
* Revert patch of bug #1445055
* Users table email cell inline editing should have restriction
* Updated from global requirements
* Don't escape request.get\_full\_path() in Django1.8
* Imported Translations from Transifex
* Imported Translations from Transifex
* JSCS Cleanup-style guide cleanup for Magic Search
* JSCS Cleanup - style guide cleanup for Launch Instance wizard
* Dashboard ReOrg - Remove unused dashboard.module.js
* Dashboard ReOrg - hz.dashboard --> horizon.dashboard
* Sahara Shell Action Form
* Fixes Volume Backup Restore
* Fix a typo in comment
* Remove un-related nova quota in test data
* Fix incorrect error message displayed while creating duplicate project
* comment and version update for DEFAULT\_THEME\_PATH
* Horizon should still collect 'default' theme
* Cancel button in "Create Keypair" redirect to wrong url
* [Sahara] Added support of placeholders in datasource URLs
* Capitalize volume status "detaching"
* Imported Translations from Transifex
* Moving Trove to contrib
* Help Panel Directive Style Guide Rename
* Truncate image name to 40 in image table
* Dashboard ReOrg - Relocate Launch Instance module
* Imported Translations from Transifex
* JSCS/eslint cleanup - o\_s/tech-debt, bind-scope, toast
* JSCS Cleanup - Fix ng-di errors on cloud-services
* Imported Translations from Transifex
* Use setUp() method for neutron rest test
* Updated from global requirements
* Move Horizon to pure plugin loading only
* Dashboard ReOrg - Move APIs into app/core
* Top Nav is responsive and inherits from its theme
* Imported Translations from Transifex
* JSCS Cleanup - style guide cleanup for security-groups step
* JSCS Cleanup - style guide cleanup for source step
* Remove unnecessary executable permission
* JSCS Cleanup - style guide cleanup for configuration step
* Imported Translations from Transifex
* Fix the misspell Ochestration to Orchestration
* Add support for volumev2 only on Launch Instance
* Adding and using app.scss
* Do not call \_assertNotContains override in Django newer than 1.6
* Use charset instead of \_charset for dj18 response
* Remove 40px left padding for a list of Django login form errors
* Imported Translations from Transifex
* JSCS Cleanup - style guide cleanup for Flavor step
* Adding app.module.spec.js
* Use form field errors on volume Extend form
* JSCS Cleanup - Metadata widgets cleanup
* Remove Router Dashboard
* Exclude network which don't have subnet
* CSS get None when error in inline\_editing
* Remove key-pair-details.html duplicate
* favicon, logo and logo-splash should allow theme overrides
* Improving Horizon's angular module management:
* Keystone project role REST is broken
* Imported Translations from Transifex
* Disable lagency launch when LAUNCH\_INSTANCE\_LEGACY\_ENABLED is False
* Configurable token hashing
* Themes should live at root of openstack\_dashboard
* Adding PUT to REST api service
* Dashboard ReOrg - Move tech-debt into app/
* Auto-collect app/ instead of only app/core/

8.0.0.0b2
---------

* Add missing comment in configuration example
* Mock $window for magic-search tests
* Webroot still needs to load default scss files
* JSCS cleanup - style guide cleanup for table and basic-table
* Adding Angular Project Images Table
* Page Header Directive File Style Guide Rename
* Update default\_project param on create user
* added common name based filter for tables
* Imported Translations from Transifex
* Imported Translations from Transifex
* Add extraction of filter-based translations
* Fixed getting success msg on failing swift operation
* Updated from global requirements
* JSCS Cleanup - Fix eslint errors in workflow file
* Fix static file paths in heat topology view
* JSCS Cleanup - horizon widgets for transfer-table
* Correct wrong super \_\_init\_\_() calling
* Add plurals and comments to angular i18n
* Replace dict.iteritems() with six.iteritems(dict)
* Imported Translations from Transifex
* Fix too loose url regex for snapshot creation
* Client-side Magic Search
* Add Angular Basic Page Header Directive
* N1Kv: Fix failing network and port creates
* JSCS Cleanup - Fix eslint errors for hz.dashboard.identity
* Annotating config functions
* JSCS Cleanup - horizon widgets for charts
* JSCS Cleanup - horizon widgets for modal-wait-spinner
* Move static files configuration to reduce settings.py churn
* JSCS Cleanup - style guide cleanup for wizard
* Updated from global requirements
* Proving JS source files in consistent order
* Unit tests for auto file discovery
* Imported Translations from Transifex
* Make sure to treat extra slashes on pseudo-folder name
* JSCS Cleanup - validators/ folder
* Handling vnic type as optional
* Adding make\_web\_conf command documention
* Fix \_wait\_till\_element\_disappear
* Fix bug where WEBROOT is not respected
* Cleanup lbaas table actions
* Implement client API bindings for Neutron subnet allocation
* Allow STATIC\_URL override
* Documenting STATIC settings from Django
* Adding Angular-gettext to requirements
* Don't get descript if attribute doesn't exist
* Amend docs on OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE
* JSCS Cleanup - use function syntax for i18n
* updating lbaas support in local.conf
* Imported Translations from Transifex
* Imported Translations from Transifex
* Allowing editing of cluster templates
* Updated from global requirements
* Make volume status detail translatable
* Fix 'paginate' and 'admin' GET parameters in Keystone Projects REST API
* Adding option for Java jobs to be adapted to Oozie
* fixed the cancel button look in migrate host
* Add OPENSTACK\_NOVA\_EXTENSIONS\_BLACKLIST option to settings
* Imported Translations from Transifex
* Modal service is incorrectly named
* Refactor the admin tabs code
* Updated from global requirements
* Use eslint-config-openstack
* Moving AngularJS panel file to \_200 range
* Only use ports with non empy list of fixed\_ips
* Get izip from six.moves
* Replace filter() with a list-comprehension
* Use relative imports
* Remove current consumer in QoS spec edit
* Imported Translations from Transifex
* Dashboard ReOrg - Move cloud-services into app/core
* LBAAS VIP floating IP table actions
* Horizon Themes should support and house easy Template Overrides
* Adds Horizon Doc modification. Fixes bug 1474177
* Fix redirect during jasmine tests
* Add keystone version to REST API
* JSCS Cleanup - use $apply instead of $digest in help-panel spec
* Moving Sahara to contrib
* Fix CSS GET None when mouse over the table cell
* Dashboard ReOrg - Move workflow into app/core
* JSCS Cleanup-style guide cleanup for filters.js
* Identity dashboard's style should be customizable
* JSCS Cleanup - use $apply instead of $digest for action-list.spec
* Allow STATIC\_ROOT override
* Revert "Ignore the ng\_on\_watch error from eslint"
* Fix Python 3 issues in base modules
* Replace mox with mox3
* Fix the loading block wouldn't disappear in Mac OS X
* JSCS Cleanup - rename vm as ctrl for login controller
* JSCS Cleanup - Include angular plugin for auth js
* Fix eslint error on framework.module
* Updated from global requirements
* Adding identity users table
* dash-separate-case for js and scss file names in doc
* Addresses use of digest in launch-instance specs by using apply instead
* Fix mock issues found due to new mock release
* Adding Angular Project Images Panel
* Fixes modules index generated by Sphinx
* Imported Translations from Transifex
* Correct wrong cancel action url in Extra Specs page
* Change the ESLINT controller as to ctrl
* Dashboard ReOrg - Create app/core directory
* Dashboard karma is missing framework files
* Remove ngimages index.html domain header
* Fix eslint errors on the login controller
* Update example local\_conf
* Angular doc tweaks
* Imported Translations from Transifex
* Remove hz dashboard module from enabled
* Add selective ESLint rule activation for Horizon Legacy JS
* Improve error message for create volume type
* Imported Translations from Transifex
* Keystone REST handles default role incorrectly
* Remove old trans filter
* Dashboard ReOrg - Create 'project' module
* Improving readability for Horizon top module structure
* Change a comparison with 'undefined' to use angular.isUndefined()
* Duplicate keywords for translation
* Ignore the ng\_on\_watch error from eslint
* Adding Angular Identity Projects Panel
* Update docs for auto js file discovery
* Imported Translations from Transifex
* JSCS - making app.module.js following JP
* Use angular.isUndefined in place of !angular.isDefined
* Fixing hard-coded path
* Fix deletion action failure handling
* Imported Translations from Transifex
* delete failed when object id with special char
* Imported Translations from Transifex
* Use form field errors on create key pair form
* Extending Karma config
* Corrections to WEBROOT docs
* JSCS Cleanup - rename \*.factory.js to \*.service.js
* JSCS Cleanup - style cleanup for modal factory
* Add anti-ClickJack XFS hardening for old browsers
* Added .eslintignore
* corrected the wrong url in admin instance detail
* Angular translation via babel (singular only)
* Adding identity ng-users panel
* JSCS cleanup - launch-instance.js
* Removed JSHint
* JSCS Cleanup - style cleanup for Launch Instance Security Groups Step
* Add integration tests for Identity->Projects page
* Apply auto-file-discovery to plugins
* JSCS Cleanup - style guide cleanup for Util > Bind Scope
* Switched from JSCS to ESLint
* Searchbar directive should be prefix with hz
* Redirect URL for invalid data source details page
* Error message for invalid job binary details page
* Error message for invalid job details page
* Applying auto-file-discovery partially
* Adding Angular Users Panel
* JSCS Cleanup - style cleanup for Launch Instance Source Step
* Fix \_get\_tenant\_volume\_usages
* Error message for invalid job template details page
* AngularJS in Horizon Documentation
* Error message for invalid node group template details page
* Error message for invalid cluster template details page
* Update project list in the header bar
* Useing 'yesno' filter to display Boolean value
* changing email from user list deletes user passwd
* Wrong url in document of horizon tutorial
* Imported Translations from Transifex
* Remove current QoS spec in volume type
* Added 'enabled' option in create user form
* [Launch instance Fix] Fixes booting issue when booting from volume
* Imported Translations from Transifex
* JSCS cleanup - style guide cleanup for metadata-display
* Remove serial console hardcode url
* Turning off offline compression for integration test
* JSCS cleanup - openstack\_dashboard/static/dashboard/workflow
* Adding Angular Identity Dashboard
* JSCS Cleanup - style guide cleanup for transfer-table
* JSCS Cleanup - style cleanup for Launch Instance Configuration Step
* JSCS Cleanup - style cleanup for Launch Instance Network Step
* make cancel button a unified style
* Remove first newline from generated OpenSTack RC file
* Imported Translations from Transifex
* Adding static check for panel plugin tests
* Provides a mechanism for adding scss for pluggable dashboards
* Adding policy check in quota call
* Icon font carets should be used over caret class
* Trying to get pool/health\_monitor only if existing
* Change widget attribute to string
* JSCS cleanup - style guide cleanup for karma.config.js files
* Updated from global requirements
* fix delete action always cause error
* Add required to cidr field for 'Add Subnet'
* Imported Translations from Transifex
* ID Panels with long roles names should fit
* JSCS cleanup - style guide cleanup for action-list
* Add description field in the user table
* JSCS Cleanup - style cleanup for Flavor Step

8.0.0.0b1
---------

* Skip test\_{floatingip,keypair,create\_delete\_user} for now
* Remove 'shared' from Neutron Firewall table
* Use URLField instead of CharField for image\_url
* Imported Translations from Transifex
* Admin state column added in load balancer tables
* Normalizing Karma configuration
* Updated from global requirements
* Remove now obsolete English po files, update run\_tests
* Use \*.pot files for source language
* Replace makemessages with babel
* corrected the wrong return value in lbaas test case
* Updated from global requirements
* Imported Translations from Transifex
* Rename label of remove router from firewall
* Imported Translations from Transifex
* Wait until the image is registered in Sahara image test
* Do not use a mutable as default argument
* Skip test\_sahara\_image\_registry while investigating reasons
* Revert "added a 'shared' column in FW policy table"
* Removing unnecessary test setting of dashboards
* Add fip to lbaas vip info
* Fix function name reference in cinder.service.spec.js
* Error message for invalid cluster details page
* Add missing content-length header
* Imported Translations from Transifex
* ngReorg - move dashboard-app to dashboard
* Correct and clarify a couple of paths after reorg
* Update version for Liberty
* Use gen\_resource\_name in create/delete user test
* Use default values in horizon.conf

8.0.0a0
-------

* Allow to attach FIP without a router
* Fixes a typo 'use\_strict' -> 'use strict'
* Imported Translations from Transifex
* JSCS cleanup - style guide cleanup for modal-wait-spinner
* Updated from global requirements
* JSCS cleanup - horizon/static/framework conf and util
* Fix for test\_image\_create\_delete
* Add project column for admin images tables
* Rename files to enable auto-file-discovery
* Utils for auto-file-discovery
* Imported Translations from Transifex
* Remove files from oslo-incubator
* Handle errors during glance image updates correctly
* ngReorg - Move API files to openstack\_dashboard
* Refactor some scss code
* Fix available.html.example in transfer-table directory
* Fix Create User form's fields sorting for Django 1.7
* Add translation for javascript disabled alert
* Updated from global requirements
* Added correct URL to edit QoS spec
* hide disassociate floating ip when no ip attached
* Imported Translations from Transifex
* ngReorg - move framework.util.form to validators
* Imported Translations from Transifex
* Remove "More Projects" link from the header
* JSCS cleanup - style guide cleanup for charts
* JSCS cleanup - style guide cleanup for modal
* JSCS cleanup - openstack\_dashboard/static/
* [Launch Instance Fix] Add Model Block Device Test
* Imported Translations from Transifex
* Angular table paging buttons clickable
* Removing unused file references in Jasmine
* [Launch Instance Fix] Tests for Base Controllers
* ngReorg - move core HTML from framework to dashboard
* Add no-cache directive when generating keypair
* Hide attach fip if already fip attached
* LB method column is added in pools table
* JSCS Cleanup - tech-debt and auth
* Imported Translations from Transifex
* Extends .jscsrc to ignore 3rd party files
* JSCS Cleanup - style guide cleanup for toast
* Updated from global requirements
* JSCS cleanup - Angular framework widgets (partial2)
* Add error message for unsupported URL scheme
* Create image directly in 'copy\_from' and 'location' case
* Change 'Update Metadata' to specific name in modal header
* Unified the position of modal's buttons
* Add the column 'Shared' to firewall, policy and rules table
* JSCS Cleanup - karma.conf
* added a 'shared' column in FW policy table
* Fix $this usage in horizon.tables.js
* Updated from global requirements
* Escape the description param from heat template
* corrected the wrong url in admin instance detail
* Imported Translations from Transifex
* Encase helper-functions spec in IIFE
* JSCS cleanup - style guide cleanup for help-panel and MagicSearch
* Fixes line length issues in local\_settings.py
* Handle modals properly when disabling table actions
* Fix submit button not working in Angular Launch Instance modal
* Imported Translations from Transifex
* JSCS cleanup - Angular framework widgets (partial)
* Reorganization of Default Themes
* Imported Translations from Transifex
* ngReorg - move dashboard controllers from horizon
* Added \`npm run lint\` command to execute JSCS
* Flavor tests - use a digest cycle to test watches
* [Launch Instance Fix] Add Flavor Step Unit Tests
* Trigger tox from package.json, if necessary
* Added karma-cli to package.json
* Launch Instance NG - Create Volume if Nova Ext
* Imported Translations from Transifex
* fix usage property(vcpus, vcpu\_hours) error use
* ngReorg - move dashboard-app/login out
* ngReorg - move utils from dashboad-app
* Fix failed wizard tests
* [Launch Instance Fix] Add Model Unit Tests
* Updated from global requirements
* Exclude current volume\_type from Volume retype list
* Angular API Unit Tests
* Delete period from select option in LiveMigrateForm
* Imported Translations from Transifex
* Improve unittests for angular charts
* Improving filter and existing API service tests
* Hidden HOST in instance overview page for normal user
* Imported Translations from Transifex
* Bootstrap variables should derive from a known theme
* Adding John Papa style guide to JSCS
* JSCS Cleanup - Legacy JS test files
* Extending test coverage for core components
* [Launch Instance Fix] Clean up Wizard scope
* Prevent multiple form submission on table row actions
* I/O error uploading image
* added description column in firewall tables
* added description column in vpn tables
* Imported Translations from Transifex
* Don't pass read only attributes on neutron update
* JSHINT error on master
* Fixing up how job configs are handled
* Provide unittests for magic-search.js
* Get unit tests working with Karma
* The overview chart is so big and ugly while use \`width: 100%\`
* filter the subnets which already in the router
* Move validate\_metadata to utils/validators
* Imported Translations from Transifex
* Adding contrib directory for plugins
* Add support for Docker image format
* Remove unneeded \_\_init\_\_() in UnmanageVolume class
* Imported Translations from Transifex
* Split admin volumes tests to it's own test file
* Display protocol in security group rules
* Fix TemplateDoesNotExist at manage/unmanage volumes
* Revert "Merge "Bootstrap variable overrides should only be default values""
* Simplify some codes in is\_quotas\_extension\_supported
* Imported Translations from Transifex
* Fix modals by making spinner\_options accessible
* Imported Translations from Transifex
* Ignore all egg type artifacts
* [Launch Instance fix] Add sorting to Network table
* Remove bad 404 calls
* User should be able to update allocation pool values
* Small fix to angular docs
* Remove unused config access via REST
* Inherit environment variables for tests that use nodeenv
* Refactor quota limit summary template
* Imported Translations from Transifex
* Allocation Pool should display a full text help
* ngReorg - Create dashboard-app
* Added a validation to the Keypair creation form
* ngReorg - Relocate filters and a validator
* ngReorg - Align constants, factories and services
* ngReorg - align module names with directory
* Imported Translations from Transifex
* Bootstrap variable overrides should only be default values
* Trust sql middleware value conversion and stick to the spec type
* Imported Translations from Transifex
* Made HorizonComponent class Python3 compatible
* ngReorg - create 'widgets' module
* ngReorg - create 'util' module
* Imported Translations from Transifex
* Add a conditional judgement to avoid invalid dict index
* Imported Translations from Transifex
* Imported Translations from Transifex
* Change an IPMI meter name
* Quota graph label aligned
* Network Step uses controller-as syntax
* LBaas v1 Associate Monitor to Pool Fails
* Added page title for LBAAS panel detail pages
* Added page title for VPN panel detail pages
* Added page title in firewalls panel
* Rename Job Executions to Jobs in Jobs page
* Imported Translations from Transifex
* Add Plugin and Version columns in clusters table
* ngReorg - create framework dir
* Remove unused jasmine\_tests.py
* use binary filter to get compute services
* Imported Translations from Transifex
* Updated from global requirements
* Imported Translations from Transifex
* Correct Admin Instances actions to reference Admin ones
* Updated from global requirements
* Fix code format errors reported by JSCS
* Fix error message on project create
* Add empty name check to volume types
* Imported Translations from Transifex
* Adopt the John Papa Style Guide for AngularJS
* Add kernel/ramdisk for image create
* Imported Translations from Transifex
* Add support for cinder pools
* Add job type and updated time in job template detail page
* Imported Translations from Transifex
* remove asterisk for optional fields in VPN forms
* Updated from global requirements
* Bind Launch instance quota chart to count input
* Fix Flavor Detail tbl in legacy Launch Instance
* Fix donut chart title data and standardize design
* Add Type column in Job Templates Panel
* Imported Translations from Transifex
* Jshint removing Hogan and static\_url
* Fixing Jasmine tests in dashboard
* Updated from global requirements
* Removed the '\_safe\_message' variable from the API exceptions
* Hide remove rule if no rule inserted in FW policy
* Fixed dashboard angular translation issue
* Sanitation of metadata passed from Django
* Compute Host status and State are not translatable
* Imported Translations from Transifex
* Check delay and timeout when editing monitor
* Improve help content for lbaas pool create
* Improve lbaas subnet drop down
* Improving subnet dropdown for lbaas creat vip screen
* check DPD interval and timeout for IPSec site connection
* Imported Translations from Transifex
* Detach interface support
* Add support for attaching interface
* [Launch Instance Fix] Add Source Step Unit Tests
* Updated from global requirements
* Read user project directly from request.user
* Fixing gate bug with new requirements
*   Heat topology display improvement
* Fix missing default value for JSCS var in run\_tests.sh
* Imported Translations from Transifex
* Compatibility fix for pyscss 1.3.4
* Fix JS files not matching JSCS ruleset
* Establish baseline JSCS configuration
* Fixing data processing operations for alternate webroots
* Add description & example for isServer property in Magic Search
* Fix exponentially growing AJAX updates for table rows
* Replace pie chart with number for unlimited quotas
* Imported Translations from Transifex
* Updated from global requirements
* Add Angular service to provide translation
* Imported Translations from Transifex
* Updated from global requirements
* Drop use of 'oslo' namespace package
* Remove deprecated OPENSTACK\_QUANTUM\_NETWORK
* Adding unused, undef, and fail to jshint
* avoid calling neutron, when neutron is disabled
* Fix date pickers in metering modal
* Imported Translations from Transifex
* corrected the create volume from snapshot
* Jshint unused and undef cleanup for D3 JS
* Populating job type choices via api call
* Imported Translations from Transifex
* Jshint unused and undef cleanup for tables inline JS
* Jshint unused and undef cleanup for networktopology JS
* Jshint unused and undef cleanup for messages JS
* Jshint unused and undef cleanup for modals JS
* Jshint unused and undef cleanup for membership JS
* Removing unused variables in dashboard
* Jshint unused and undef cleanup for tables JS
* Imported Translations from Transifex
* Updated install.rst to follow doc conventions
* Cleaning up comments in hz.api.service.js
* Add scss variables for Magic Search
* incorrect SSL header used in example config
* Updated from global requirements
* made all status values translatable in volume table

2015.1.0
--------

* Imported Translations from Transifex
* Import translations from Transifex for Juno
* Format numbers in a locale sensitive manner
* update .tx/config to match Kilo Transifex resources
* Angular table hzSelectAll should be unchecked if table has no rows
* Jshint unused and undef cleanup for instances JS
* Updated from global requirements
* Make all quota names in Defaults panel translatable
* Jshint unused and undef cleanup for accordion\_nav, tabs JS
* Jshint unused and undef cleanup for quota JS
* Jshint unused and undef cleanup for forms, heattop JS
* Jshint unused and undef cleanup for firewalls JS
* Updated from global requirements
* Initialize variable 'networks' before referencing
* Fix addition of plugin panel to panel group
* Imported Translations from Transifex
* Fix addition of plugin panel to panel group
* Adding Hogan and Qunit globals to jshint
* Updated from global requirements
* Updated from global requirements
* Initialize variable 'networks' before referencing
* Made changes per doc conventions to horizon.rst
* Optimize getting unit in "metering" dashboard
* Angular alert service - refactor use
* Fix various Networking forms urls
* Hide Cancel button if no cancel\_url is provided
* added network id field in admin's update network model
* Imported Translations from Transifex
* Hide Cancel button if no cancel\_url is provided
* Remove unsed verbose\_name
* Angular alert/messaging service
* Magic Search enhancements
* Only show data sources if they are relevant for job
* Fix the redundant error message during user create
* Imported Translations from Transifex
* Imported Translations from Transifex
* Imported Translations from Transifex
* Make status column on admin network table translatable
* [Launch Instance Fix] Security Group Nova Net
* Allowing editing of node group templates
* [Sahara] Fixed tab selection in case of processes names conflict
* Fix unnecessary dotted focus outline in tab bar
* update .gitreview for stable/kilo
* Imported Translations from Transifex
* General specs enclosure cleanup
* Updated from global requirements
* Imported Translations from Transifex
* Added more details to items per page help text
* Validate volume quota when booting from volume
* made changes per doc conventions to tutorial.rst
* fix grammar in workflow.rst file
* Fix the misplaced eye icon in Credentials modal form
* Imported Translations from Transifex
* Remove concatenation in csv file
* Make status column on admin network table translatable
* Format numbers in a locale sensitive manner
* Sort jobs in JobsView based on created\_at value

2015.1.0rc1
-----------

* [Launch Instance Fix] Security Group Nova Net
* Add volume migration api support
* made action log's action value translatable
* Imported Translations from Transifex
* [Launch Instance Fix] Add Security Group Step Unit Tests
* Add Russian to settings.py
* Update JS that adds classes for modal form errors
* [Heat] Resource url mapping improvement
* Imported Translations from Transifex
* Fixing typo in OPENSTACK\_NEUTRON\_NETWORK section
* Imported Translations from Transifex
* Fixing typo in AVAILABLE\_REGIONS section
* Fixing typo in CONSOLE\_TYPE documentation
* Silently drop access to non-existent flavours
* [Launch Instance Fix] Show volume device name
* Imported Translations from Transifex
* [Launch Instance Fix] Settings for volume name
* Remove unnecessary class
* Launch Instance Step - Key Pair Import
* added network id field in update network model
* Imported Translations from Transifex
* Removing scope digest from login directive
* JShint should ignore libraries
* Removing unused variables in horizon angular
* [Launch Instance Fix] Add Configuration Step Unit Tests
* Adding horizon to jshint
* Fixing the running of jobs without data sources
* Update customizing docs to include themes
* Refactor project overview tests
* [Launch Instance Fix] Add Network Step Unit Tests
* removed asterisk for admin state in network create
* Imported Translations from Transifex
* Minor Jasmine test cleanup
* Updated from global requirements
* Make "RAW" in image table translatable
* Make Image Type translatable
* Change ports range in validators and test function
* Open Liberty development
* Imported Translations from Transifex
* [Launch Instance Fix] Nested search box in flavor step
* Revert "Refactoring the exceptions lists"
* Removed unused injections in launch-instance-config step
* Fix logic in modal to accept cancel param
* [Launch Instance Fix] Add better coverage for widgets
* Imported Translations from Transifex
* Imported Translations from Transifex
* Replace '-' in Port Range column to 'Any' in secgroup rule table
* Remove meaningless "(CIDR)" suffix in Security Group Rules table
* Imported Translations from Transifex
* Fixing selenium tests to work with Django 1.7
* [Launch Instance Fix] Conditionally enable UI
* [Launch Instance Fix] Remove a step if it is not ready
* [Launch Instance Fix] Fix detail rows not expanding on source and flavor
* Default to old Launch Instance workflow
* [Launch Instance Fix] Enabling loading script from local file
* [Launch Instance Fix] Launch Instance from Various Screens
* Rename utilsSpec.js to utils.spec.js
* Metadata widget multivalue selection support
* Updated from global requirements
* Detect apache version
* Imported Translations from Transifex
* Adding transclude to search-bar for batch actions
* [Launch Instance Fix] Flavor Metadata Details
* [Launch Instance Fix] Source Details - Metadata
* [Launch Instance Fix] Add Keypair Step Unit Tests
* [Launch Instance Fix] Glance rest API fix
* Add hzSelect directive to Angular table
* [Sahara] fix sahara client calls
* Add project-dropdown
* Imported Translations from Transifex
* Pass SSL parameters to sahara client
* [Launch Instance Fix] Fix css for transfer table
* Sort the panel's variable in the dashboards.py
* [Launch Instance Fix] Making table expand faster
* Launch Instance - MultiRegion Support / Networks
* Refactoring the exceptions lists
* Fetch user's projects from request.user
* Add help text to DeleteVolumeTransfer action
* [Launch Instance Fix] Cleanup $scope injection in help controllers
* Fix sort order for User IDs in identity table
* Warn if boot volume AZ differs from instance AZ
* Fix inability to switch region via Switch Region dropdown
* Imported Translations from Transifex
* [Launch Instance Fix] Enhancing wizard widget
* [Launch Instance Fix] Update Local Settings Sample
* [Launch Instance Fix] Adding unit tests to hz.dashboard
* [Launch Instance Fix] Adding validation
* Improve instance source form field valignment
* Fix web-server memory overrun when downloading objects from Swift
* Enable login via openID and SAML
* Fix unlikely XSS in attachment rendering
* Updated keystone api for roles and edit
* Refactor/remove obsolete page\_header blocks
* Move \_update\_project\_quota into a common Workflow ancestor
* Update instruction for publishing xstatic packages
* Fix bad performance on project update panel
* Updated incorrect name for angular lrdragndrop
* Add Extra Routes to Router Tabs View
* passing wrong dict in lbaas
* Add 7 missed meters in Resource Usage Panel
* Modified hzSelectAll to select all visible checkboxes in table
* Modify form for Volume Transfer Details
* Add subtitle text for Launch Instance source step
* Modified hzSelectAll to watch changes in row length
* Add --location option to image create
* Use WEBROOT setting for the 500 page home button
* [Heat] Fix default values displaying for "Launch Stack"
* Remove duplicated \_\_init\_\_ from api/fwaas.py
* Imported Translations from Transifex
* Adds configuration support to associate firewall to routers
* Imported Translations from Transifex
* [Launch Instance fix] Show header for Source Allocated table
* Correct the identity groups create url
* [Launch Instance Fix] Add details to Select Flavor step
* Removing HA interfaces from port list
* [Launch Instance Fix] Split Security & Access in 2
* [Sahara] Added indirect access support
* [Launch Instance fix] Fix decimal point
* Removing unnecessary and annoying error message
* Add help panel text - Launch Instance source step
* [Launch Instance Fix] Wizard should have max-width of 1440px
* Adding styling for disabled and danger action items
* run compilemessages with runtime deps
* Correct "Uptime" field in csv report file
* Makes Launch/ Edit buttons in Images explicit
* change the floating\_ips tables.py argument
* Imported Translations from Transifex
* Change preset for resource usage to 'last day'
* Imported Translations from Transifex
* [Launch Instance Fix] Add step help content
* Adding spyOn and jasmine to global jshint
* Fixing changing WEBROOT from /
* Fix horizon login autocomplete control issues
* Next/Create button loses state in create network
* Fix common misspellings
* [Data\_processing] fix job\_executions table
* Fixes inconsistent Edit between tables & details
* Fixes inconsistent Router Details page
* Use novaclient v2 instead v1\_1
* Imported Translations from Transifex
* Imported Translations from Transifex
* I18N: Allow to control word order in create\_pseudo\_folder
* Imported Translations from Transifex
* Updated from global requirements
* Removing apiPromise
* [Launch Instance fix] Refactor translation for Angular filter
* Removing absolute URLs from data processing templates
* Improve Launch Instance step subtitle styling
* [Launch Instance Fix] Remove outline from basic search bar
* Translated count filter for table footer
* Add html source code on test failure for debugging
* Admin state column added in firewall table
* Fix security group checking action permissions raise error
* Imported Translations from Transifex
* Replace 'raise AssertionError' with 'self.assertIn'
* Custom Horizon Theme
* Add placeholder text to transfer table search bar
* [Launch Instance Fix] Launch instance refreshes instance tables
* Magic Search Enablement
* Source step - fix dynamic column headers and data

2015.1.0b3
----------

* Changing the order of panels for data processing
* [Launch Instance Fix] Cleaning up unused injected dependencies
* Add column sorting to Access & Security tables
* Make "cluster type chosen" translatable
* Adds initial SRIOV creation/config support
* Change of path of wrap\_delimiter function
* Global error HTTP handler
* Make guided job success message translatable
* Fix small typo in error in data processing wizard
* Make sahara permission check backward compatible
* Changing terminology for jobs and job executions in data processing
* Imported Translations from Transifex
* Add fallback on sahara endpoint lookup
* Improve styling for key pair detail table
* Fixing typo in Cinder API
* Fixing typo in Glance API
* Empty cell should obey sorting order
* Metadata display widget
* [Launch Instance fix] Flavor table should be sorted by RAM
* Improve styling for security group detail table
* Source step - fix donut chart label color
* Add Django-1.7 support
* Imported Translations from Transifex
* [Launch Instance fix] Removing step number in Wizard widget
* Add missing telemetry policy example file
* Allow specifying authentication URLs from settings
* [Launch Instance Fix] Add Sorting To Table in Select Source
* [Launch Instance Fix] Removing period from selecting tips
* [Launch Instance Fix] Network Step HTML cleanup
* Metadata widget support for readonly flag
* Use bdmv2 format when instance is boot from volume
* Imported Translations from Transifex
* hypervisor list and details page reports invalid data
* Source step - fix instance count limit and donut chart
* Correct ngdoc in Neutron AngularJS service
* Launch Instance Step - Network
* Fixed transcluded content not updating in action list
* Replace usage of urllib in nova rest api
* Refactor, customization and fixes of Metadata Widget
* Updated overview graph when usage exceeds quota
* Show ports from shared nets in floating IP assoc
* Heat resource url mapping improvement
* made all status values translatable in port table
* Imported Translations from Transifex
* Fix transfer tables example
* Imported Translations from Transifex
* Launch Instance Step - Configuration
* Launch Instance Step - Access and Security
* Launch Instance Step - Select Flavor
* Launch Instance Step - Select Source
* Launch Instance Model
* Launch instance - common style
* Clean modal forms in Orchestration Stacks
* Instance overview renders erroneous markup
* Add "Preview Stack" action to Stacks table
* made network status value translatable
* Imported Translations from Transifex
* Redirect initial hit to login page
* Updated transfer tables
* Fix CSS, remove bad semicolon in \_variables.scss
* add the package 'which' to fedora
* Fixes alignment of pencil icon in Users Table
* Guided job execution page for Sahara
* Guided cluster creation mode for Sahara
* Clean modal forms for Images panel
* Imported Translations from Transifex
* Follow-up patch to fix a descrition in docs
* Imported Translations from Transifex
* Angular-based Modal Wait Spinner Widget
* Sahara Data Processing EDP Job Add HBase common lib checkbox
* [Launch Instance Fix] Filter AKI and ARI Images
* Modified "remote" column in the secgroup table
* added check for delay >= timeout in LB add monitor
* Support to move the horizon relative to web root
* Imported Translations from Transifex
* 'External Gateway Information' TO 'External Gateway'
* Double check admin password when update user password
* Refactor multiple references to $(document)
* Action List with Angular directives
* Fixing permissions for data processing panels
* Updated parsing of catalog to handle bad format
* Remove unviewable data from dashboard images (gif/png)
* Updating sahara image registry form for dynamic adds
* Adds floatingip allocate,release integration tests
* Always show stack status reason in topology
* Add job create test
* Imported Translations from Transifex
* Add missing "plus" symbol to the firwall Add Policy button
* Imported Translations from Transifex
* Narrow selector to eliminate JavaScript keydown perf hit
* Floating IP table should support sorting
* Angular Form Password Validation
* Allow to hide tab title bar when only one tab is available
* Set OS\_PROJECT\_NAME
* Replacing data\_processing with data-processing
* Imported Translations from Transifex
* Base dashboard Jasmine framework
* Updated Wizard Help Panel Design
* Fixing up job binary creation in data processing
* Angular Filter files
* Add test\_sahara\_create\_delete\_job\_binary test method
* Add test\_sahara\_image\_registry
* Imported Translations from Transifex
* admin state column added in router table
* Updated from global requirements
* Fix tutorial to correctly display custom dashboard/panel
* Move variables from accordion nav to \_variables.scss
* Use \_wait\_for\_spinner()
* Clean up whitespace in settings files
* REST API to support create instance angular (Neutron)
* Refactor modal forms for Volumes
* Imported Translations from Transifex
* Permit using latest python-cinderclient
* Remove extra jQuery object creation in horizon.modals.js
* Allow Jasmine failures to fail test
* Fix Jasmine unit tests failing
* Avoid failure when spinner is already gone
* Fix inappropriate error message for network table
* edit option hided when firewall in pending status
* Imported Translations from Transifex
* Keystone REST API single project GET
* context['view'] not available in Serial Console
* Rest API for Users list filter
* Fixing job binary creation from existing file
* fixed row update for loadbalancer tables
* Refactor of Metadata Widget
* Missing commas in one-element tuples
* cancel next previous buttons are aligned properly
* Imported Translations from Transifex
* Creating a new volume\_type's extra\_specs returns a relative path
* Imported Translations from Transifex
* REST Angular for Cinder Fix
* Imported Translations from Transifex
* Pie and donut chart directive
* Load "url" in Serial Console html
* Fix router details's name empty and change inheritance project table
* Adding policy rest endpoint for angular
* Generate a drop down field for custom heat parameters
* Replaced hard coded values with oslo\_utils.units constants
* Making Resource panel visible where appropriate
* New generic \_wait\_until method which wraps selenium waiting
* Fix typo, replace ass with as, not ass:(
* Add help text to BatchAction
* made action value translatable in firewall rules table
* Imported Translations from Transifex
* Prevent flash of left nav panels when loading page
* Fix skip decorator in integration tests
* Add django url tag to network create template
* Nova Flavor Server Extensions Rest APIs - Angular
* Refactor REST API tests for common code patterns
* Fix Jasmine unit tests failing
* Fix typo errors in comments for api modules
* Imported Translations from Transifex
* spelling mistakes on display outputs and docsstrings
* Transfer tables
* Add orchestration service status reporting
* Adding Angular IrDragNDrop to requirements.txt
* Updated from global requirements
* Fix N1K Profile creation
* Updates tab bar styling
* Refactor modal forms for Access & Security
* Imported Translations from Transifex
* Read access to config via REST
* Go button on the Instance Log page should be enable all the time
* Skip also test fixtures when the entire class is skipped
* MapR FS datasource
* Reduce page title duplication in Data Processing
* Add string for verbose name
* Error handling patterns are consistent in volumes forms
* Change Edit volume button to save
* Make the values of Stack Resource status be translatable
* Refactor modal forms for Settings dashboard
* Add log lines change to settings page and test
* Imported Translations from Transifex
* Default sort added to hzTable
* Remove unused import
* Imported Translations from Transifex
* Update to horizon tutorial.rst
* Network Rest API for Angular Front End
* makes router id visible in update router modal
* Migrate all instances from host marked for maintenance
* improved the create router form
* Cinder REST API for angular front end
* Add service catalog get for keystone REST API
* Fixing CSS namespace collision over wizard
* Updated from global requirements
* Show MTU in Network details page
* Imported Translations from Transifex
* Make "enabled" colume values display-friendly and consistent
* Updated from global requirements
* Replace unittest2 with testtools
* Base launch instance wizard
* Wait till spinner disappears
* Refactor modal forms for Ports
* Refactor modal forms for Load Balancers
* Make Default value for Groups column translatable
* Remove Heat from example local.conf
* [Sahara] Fix Node Group Templates copy
* Incorrect error message when VM deletion failed
* Remove useless deepcopy to avoid Maximum Recursion Error
* Imported Translations from Transifex
* Serial Console
* Nova REST API for angular front end
* Net name field is not required when creating port
* move Users Edit Password into separate form
* Glance Rest API for Angular Front End
* Refactor modal forms for VPN
* Reduce page title duplication in Admin networking
* [Sahara] Add status description for clusters
* Reduce page title duplication in Adv net services
* made firewall status value translatable
* Make values for IPSec&VPN status be translatable
* Imported Translations from Transifex
* Updated from global requirements
* Help text clarification for data processing data sources
* Refactor modal forms for Routers
* Reduce title duplication in project networking
* Remove test skipping since #1396954 was fixed
* Allow adding to INSTALLED\_APPS from local\_settings.py
* Imported Translations from Transifex
* [Data processing] Fixing data source create form to be switchable
* Refactor modal forms for Firewalls
* Fixes error message during volume snapshot creation
* Refactor modal forms for Nexus1000v
* Refactor modal forms for Subnets
* Fixing Ceilometer measurements descriptions and comment typos
* Add horizon.cookies.getRaw to access raw cookie values
* Fix inconsistent sidebar toggle icon
* Fix missing icon of \`Terminate instance\`
* Fixes inconsistent Admin > Instances table header
* List shared firewall policies/rules in Project panel
* Refactor modal forms for Networks
* Applies ImageFormCtrl to Admin > Images
* Revert "Fix shared firewall policy can not be displayed in horizon"
* Adding constants to tables
* Add help text for vcpu hours
* Fixing Bug 1421818 - Jasmine tesing failed on FF
* Improving jshint
* Extending Horizon's plug-in architecture to Jasmine
* Remove unused import NoReverseMatch
* Adds default for resource\_type\_names in metadata
* Imported Translations from Transifex
* Angular Confirmation Modal
* Updated from global requirements
* remove duplicate line from users/views.py
* Make auto console type in network topology work
* Use IDs in locators instead of CSS when it is possible
* Reduce page title duplication in settings and test
* Reduce page title duplication in Images & Instance
* Reduce page title duplication in Identity views
* unite the property of usage test
* Imported Translations from Transifex
* Add missing comma in Create Network help string
* Add virtual size to image detail
* [Data Processing] Fixing job binary form label text
* Set the password\_autocomplete default to "off"
* Reduce page title duplication in Nexus1000v views
* Reduce page title duplication in Stacks
* Reduce page title duplication in databases
* Reduce page title duplication in Containers
* Reduce page title duplication in A and S views
* Reduce page title duplication in Admin volumes
* Reduce page title duplication in Admin views
* Reduce page title duplication in Admin Images
* Reduce page title duplication in Admin Hypervisors
* Reduce page title duplication in Admin Flavors
* Reduce page title duplication in Admin Defaults
* Reduce page title duplication in Admin Aggregates
* Re-designed and Angularized tables
* Document and improve PageTitleMixin readability
* Add missing stubs to project stacks tests
* Add missing percent-format character
* Reduced code duplication in creating page headers
* made interface status value translatable
* Use less permissive chmod in secret key test
* Imported Translations from Transifex
* made router status value translatable
* [Data Processing] Changing node group form to be switchable
* Enabling jsi18n in Jasmine spec runner
* Fixing service name typo
* Stack resources table improvement
* Make values for Database&Backup status be translatable
* Imported Translations from Transifex
* Translatable system information panel state/status
* Fix documentation for setting password\_autocomplete
* Fixes inline edit icon size/placement
* added filter for keypair and security and access tables
* Change N/A to id in the message
* Imported Translations from Transifex
* made stack status value is translatable
* change the network page's layout when launch instance
* Integration test - Create and delete user
* Add support for Trove Replication
* Imported Translations from Transifex
* Imported Translations from Transifex
* Adding policy support for ceilometer
* Data Processing: changing labels of submit buttons
* Making modify usage report params modal
* Correcting JavaScript files order
* Improves Launch Cluster model in Data Processing panel
* Adds styling of "Confirm Password" Field in user forms
* Imported Translations from Transifex
* Fix import order in utils/metering.py
* add angular-bootstrap to jasmine spec runner page

2015.1.0b2
----------

* Added a migrate\_settings command
* Imported Translations from Transifex
* Changes Identity->Projects Forms into Horizontal Forms
* Create a reusable angular-based wizard
* Move to hacking 0.10
* [Sahara] Fixed copy nodegroup template when sec groups missing
* Make values for name&status about job\_executions be translatable
* Fix typo in calling \_is\_element\_visible method
* Make port status and state translatable
* Make params order fixed in stack forms
* Make the values of Cluster status be translatable
* Fixes Error message during image upload due to long name
* Remove unused import urlencode
* added detail page for keypair
* Remove not required parentheses for tables.Column(link=..)
* Required fields' asterisk missing in 'Launch Instance' Dialog
* Make test helpers properly inheritable/extendable
* Fixes Resource id mapping with Heat Resources
* [Sahara] Support Cinder availability zones
* Add "btn-create" Class to Create Volume Button
* Imported Translations from Transifex
* Alter verb usage for keystone REST and add Angular service
* Clean unused code for \`supports\_tenants\`
* New admin volume panel to manage/unmanage volumes
* Remove extra code in memoized method in Volumes
* Remove extra indention in Firewall views.py
* Add wait till element methods for selenium Integration tests
* Fix replacement of exception category list
* Message appear N/A in the tab compute host of hypervisors page
* Make size columns be text wrapped in admin dashboard
* Make values for volume status be translatable
* fix bug - failed loading external angular templates
* Fix shared firewall policy can not be displayed in horizon
* added filter for stacks table
* Add missing OS::Cinder::Volume resource url map
* Imported Translations from Transifex
* Make values for image status be translatable
* Prevent infinite 'Loading' spinner when using mouse
* Removing reference to deleted template
* Metadata widget support for default values
* Add support for OVA images in Horizon
* Add ram-hours in overview page
* Updating stack resource urls mapping
* angular-based help-panel widget
* Imported Translations from Transifex
* Imported Translations from Transifex
* Quality of life improvements to APIVersionManager
* Correct the policy check call in keystone
* Alert user on JavaScript requirement if it's disabled
* 403 page displays trans template tag
* Create a "Identity Projects details" page
* Enables the editing of Allocation pools in edit subnet
* Heat stack status column improvement
* Imported Translations from Transifex
* Updated from global requirements
* Make Enabled column values translated
* Updates contribution guidelines for JS object performance
* added flavor id in instance detail page
* Imported Translations from Transifex
* Display loading status when database is building
* Makes create time in Job Binary Details more readable
* Fixes checkbox alignment in multi-select column
* Adding filtering to data\_processing tables
* Add \*.lock to .gitignore file
* Pulled CSS logic from inline-editing
* Fix editing current project
* Imported Translations from Transifex
* left side header panel doesn't expand but show up arrow
* Handle RequestURITooLong error in large instance table
* Clean modal forms in Identity Users
* Improving data processing create job form
* Correcting heat resource page title
* Adding review clean up script
* Improving data processing job binaries form
* Refactor metering utility and view functions
* Add general function for generating random names
* Throw a warning message when failed to get pool detail
* Imported Translations from Transifex
* Updated from global requirements
* Add Unit column to Usage Report table
* Replace lockfile by oslo\_concurrency
* Imported Translations from Transifex
* Fixes spacing in Containers details modal
* Remove unused wait\_for\_title method
* Imported Translations from Transifex
* Fix help message in "Manage Floating IP Associations" dialog
* Add "Suspend" and "Resume" actions to Stacks table
* Misspell in comments in settings.py
* Resource types table improvement
* Imported Translations from Transifex
* when launch instance image size changed, device\_size not change
* Keystone REST API for angular front end
* Moving policy engine implementation
* Removing dead css
* Fix spelling and description in IPv6 subnet modes
* Remove extra jQuery object creation in horizon.instances.js
* added filter for networks and router
* equal(=) added in project filter option
* password visibility icon not shown for first page
* Fix cell(User Name) inline edit with a link in user table
* Imported Translations from Transifex
* Fix incorrect mocking in quota tests
* Wrap the main block of detail.html with col-sm-12 class
* Add "Check Stack" action to Stacks table
* List port for distributed router interface
* Fix sorting by size for Project->Images table
* Update Horizon to Jasmine 2.1.x
* Disable the IPv6 components in Subnet form
* Orchestration Resource types panel
* Change uptime to time since created
* adopt namespace-less oslo imports
* Imported Translations from Transifex
* revise settings doc with Font Awesome reference
* Pseudo translation tool
* Adding -ac and -noreset arguments to Xvfb
* Fix grammatical mistake in contributing.rst doc
* Updated from global requirements
* Fix PEP8 issues in the panel template
* filter added for snapshots and types
* Imported Translations from Transifex
* Change mbformat to mb\_float\_format
* Fix broken network topology css
* Unify the syntax used for the {% ... %} delimter in Jinja2 templates
* Update AngularJS best practices for translatable string
* Unify the syntax used for the {{ ... }} delimter in Jinja2 templates
* Imported Translations from Transifex
* Switch from oslo.utils to oslo\_utils
* Imported Translations from Transifex
* Add page forward and refresh wrapper functions
* Imported Translations from Transifex
* Fix setting Primary Project for new user once the project was created
* Better description for Floating IPs quota usage diagram
* Imported Translations from Transifex
* Cleanup copyright from static\_settings
* Update Metadata Widget to angular 1.3.7
* Integration tests - Imagespage and test
* Separate static\_settings.py from settings.py
* Updating startpanel for pluggables
* Makes User Details page consistent with others
* Tests pass in languages other than English
* Flavors page and basic create flavor test
* Modified teardown method to handle login and logout failure
* Updating Horizon contributing docs
* Make table BatchAction help text configurable
* Make ipmi meters be visible in Horizon
* Imported Translations from Transifex
* Update description for 'Create Snapshot'
* we don't need to allow insecure any more
* Remove unused method get\_stats
* Decorator for skipping tests hitting known bugs
* Fixed the inconsistent VCPU-Hours summary
* REST API for angular front end
* Change "Add..." to "Add Users" in Group Management
* Updated from global requirements
* [Sahara] Moved security options to separate tab of ng template
* some FilterAction attributes don't show in docs
* [Sahara] Added links to security groups
* Refactoring main\_content css
* Implementation inline table editing for Users table
* Do not show progress bar for shelved instance
* Imported Translations from Transifex
* Imported Translations from Transifex
* Fix disappearing Sahara workflow navbar in 'Jobs' panel
* Fixes 2 password visibility icons
* Add new angular dependencies to requirements.txt
* Updated from global requirements
* Replace use of <center> tag in RouterRules Grid template
* Imported Translations from Transifex
* Changing term 'name' to 'slug'
* View encryption metadata for encrypted volumes
* Password reveal feature should be configurable
* Updated from global requirements
* Cleanup angular 1.2.1.1 dependencies
* Fixes Error message during image upload due to file filtering
* Fixes resource name problem in "Resources Usage" tab
* Reorganized scss imports
* security group not mandatory to create instance
* Updated from global requirements
* Fix multi-nic issue with nexus plugin
* Imported Translations from Transifex
* Integration test for showing logout message (password change)
* Imported Translations from Transifex
* Fixed display issues on Details Page caused by bootstrap 3 update
* Clean modal forms in Identity Roles
* Clean modal forms in Identity Groups
* Added tests for Data Image Registry
* Imported Translations from Transifex
* Add support for volume transfers
* Clean up terminal output for stack details section
* Removing Moscow's timezone check
* Imported Translations from Transifex
* Filter current flavor in resize instance/database
* Spelling fixes in images tests
* Adding back scroll on Project members list style
* Prevent user from disabling her current project
* Removes reference to compute api v1.1 in openrc
* Potential 500 pages on allowed methods removed
* Allow all printable ASCII characters in security group names
* Fix UncompressableFileError for latest horizon code
* Using get\_url\_current\_page wrapper method
* Imported Translations from Transifex
* Automatically expand the current panel group on dashboard expansion
* Add TabbedFormRegion to Integration tests
* Imported Translations from Transifex
* Display the vip name in the floating IP association dialog
* Add missing nova meters for metering
* Imported Translations from Transifex
* Add a graphical distinction for external networks at Topology page
* Fix method passed to selenium way it suggests
* Imported Translations from Transifex
* Fix wrong calling of selenium driver function
* Add navigation among pages
* Creating a new user with an existing user name
* Imported Translations from Transifex
* Adds the security group id besides the name in Manage Rules
* Create a "user details" page
* Imported Translations from Transifex
* Add collectstatic commands to install doc

2015.1.0b1
----------

* Updated from global requirements
* Fix Firewalls panel to override the right method
* Imported Translations from Transifex
* Base Glance Metadata Definitions Admin UI
* Integration tests - 3 new form fields
* Imported Translations from Transifex
* Updated description of update user form
* Nav submenu font size smaller
* Test's random name gen now uses uuid4
* Make admin\_state translatable
* Set topology container to scroll
* Add bootable flag to edit volume panel
* Check input for Log length
* Added tests for Node Group Templates' create and copy workflows
* Imported Translations from Transifex
* Add volume type encryption delete
* Updated from global requirements
* Documenting create\_stubs decorator for tests
* Clean '/tmp' after image upload from horizon
* Imported Translations from Transifex
* Small performance improvement
* Wrong success url for instance floatingip related actions
* add missing icons for Project > Images filter
* Update project list in the header bar
* Fixes Inconsistent usage of Detail / Details
* Updated from global requirements
* Imported Translations from Transifex
* No delete volume action for volume with snapshots
* Updated from global requirements
* Fixes the Order of "launch" buttons on jobs panel
* removing mandatory mark for post\_creation tab
* Ability to change modal form backdrop element behavior
* Add "login as admin" for integration tests
* Imported Translations from Transifex
* Fixed issue of progress bars in resize instance
* [Sahara] Fixed display of nodegroup template service parameters
* With angular hz module, use strict & avoid globals
* Provide tenant\_id in Neutron create requests
* Imported Translations from Transifex
* Replace set\_id\_as\_name\_if\_empty with name\_or\_id
* Horizon login page contains DOS attack mechanism
* Improving more projects link in context selection
* Fixed row deletion for deleted stack
* Modal fixes - 2 columns, padding, header, membership
* Imported Translations from Transifex
* Add \_wait\_till\_text\_present\_in\_element method
* Imported Translations from Transifex
* Refactor horizon/common/\_modal\_form.html template
* POST instantiation for Django-Angular
* Updated from global requirements
* Fix Terminate Instance on network topology page
* Imported Translations from Transifex
* Split large methods into submethods to reduce max-complexity
* Workflow documentation is now in infra-manual
* Fix dropdown menu does not open with firefox 34
* Updated from global requirements
* Cell empty value defaults to - removing redundancy
* Imported Translations from Transifex
* update/cleanup bootstrap 3 icon usage
* Standardizing translation of "-"
* Add plus icon on AddDHCPAgent button
* Imported Translations from Transifex
* Add pencil icon on Update Defaults button
* Adding Host Server to instance detail page
* Changing icons for floating IP association
* Create titles without concatenation
* Change "Modify Users" to "Manage Members"
* Add 'Start/Stop Instance' to Instances table actions
* Replace the glyphicons with font awesome icons
* @import font-awesome styles, instead of including
* Change arrow transparent borders to inset borders
* Add volume type encryption to horizon
* Prevent leaking \`target\` info into subsequent \`policy.check()\` calls
* KeyError on getting PanelGroup
* Handle situation when endpoint deleted
* Remove port\_id from floating ip disassociate
* Imported Translations from Transifex
* Quotas for users with admin role do not work
* Fix the expression to be python3 compatible
* Imported Translations from Transifex
* Enable tables inline-editing in lazy-loaded tabs
* [Data\_processing] auto security group
* Imported Translations from Transifex
* Fix popup error when volume service disabled
* Add menu regions to integration tests
* Add form regions to integration tests
* Add new directory structure for page objects
* Restyled sidebar to resemble UX guidelines
* Integration tests - switch\_window method
* Temporarily disable the Jasmine unit tests
* Show up to 1 decimal place for instance detail RAM
* Add fix for incorrect display email in inline editing input
* Include instance name in errors on Instance Details
* Remove Python 2.6 classifier
* Imported Translations from Transifex
* Stack update call needs password
* Fix dashboard nav, when panelgroup empty
* Imported Translations from Transifex
* [Sahara] Fixed job execution update for deleted row
* [Sahara] Do not request for nodegroup template if not present
* Support for resizing a trove instance
* Renaming a user name with an existing user name
* Imported Translations from Transifex
* Imported Translations from Transifex
* Add regions module to integration tests
* Gracefully handle failures to retrieve a flavor
* Make 'IP address' field optional for LBaaS VIP creation
* Imported Translations from Transifex
* place the word "Info" with "Information"
* Update project limits when using input selector
* Adds ability to set default log length
* Corrected IPv6 Address Configuration Mode tooltip
* Updated from global requirements
* Integration test for fix the logout issue in basepage
* Delete duplicated code from router tests
* Imported Translations from Transifex
* Update metering unit selection to use smaller units for time
* Make Task state translatable
* Disable "Associate floating IP" when instance error
* Imported Translations from Transifex
* Support nova service-disable/enable for Hypervisor
* Automatically remove interfaces on router delete
* Modal form cleanup
* Add values for empty sahara dropdown boxes
* Add unit conversion for metering views
* Remove 'action\_\*' for tables.LinkAction
* Set row action dropdown to right-align
* Updated from global requirements
* Change CSV file date format to Horizon standard
* Fix Instance Details error when using Cinder V2
* Imported Translations from Transifex
* Adding missing table headers
* Defining missing failure\_url
* Add delete tests for Data Processing panels
* Data Processing - capitalize some delete action buttons
* Data Processing delete buttons missing icon
* Adds a dynamic subheading to delimit floating IPs
* Updated from global requirements
* Imported Translations from Transifex
* Escape help text for Remote field in Rule panel
* Make Power State column on admin instances translatable
* Update project limits when flavor changes
* Documentation error in base tables link\_classes
* Fix TemplateSyntaxError at hypervisors view
* Added a modal dialog with the user credentials details
* Remove duplicated headings from horizon tables
* Update integration tests password
* Error messages for failing floating IP association
* Fixes group by none defect in resource usage stats:
* Fixes ceilometer test data spelling error:
* Add support for locking and unlocking servers
* Only enable one images filter button
* Imported Translations from Transifex
* add tooltip to cells if 'truncate' variable is set
* Change ComputeHost table to filter on host field
* Reorganize variables to enable overriding
* Change network status cell values to Title case
* 'Stack Template' tab for Heat Stack Details page
* 'Session timed out' error on 'Login' sceen doesn't have proper css
* Imported Translations from Transifex
* Field "Volume name" on Horizon no longer mandatory
* Imported Translations from Transifex
* Fix misaligned actions on table toolbar
* Honor keystone policy file when creating client
* Imported Translations from Transifex
* Updated from global requirements
* Imported Translations from Transifex
* Fix incorrect ca arguments for calling ceilometer client
* Fix Horizon crash when parsing volume list
* Updated from global requirements
* Typo in "Tutorial: Building a Dashboard using Horizon"
* Integration tests - BaseWebObject class
* Imported Translations from Transifex
* wrong message while deleting non empty pseudo folder
* Add 'Device Name' in Launch Instance Dialog when 'Boot from Volume'
* Imported Translations from Transifex
* Display action column buttons on single line
* Make update metadata segments translatable
* Create Subnet button should respect quotas
* Guard against \`None\` value of User.email attribute
* Imported Translations from Transifex
* Clarify meaning of "Disk GB Hours" column
* Invalid instance\_snapshot causes KeyError
* Missing a closing semicolon in \_configure\_general\_help.html
* Return eye-icon to its place when validation message is shown
* Handle negative values in total\*Used for Cinder absolute limits
* Modal forms have extra borders
* Update state of table batch actions based on row selection
* Imported Translations from Transifex
* Imported Translations from Transifex
* Fixes double slash problem in Swift Container pseudo folder
* Imported Translations from Transifex
* Better color arrangement in distribution pie charts
* Move the panel mocks to a separate method on TestCase
* Fixes nothing is displayed if volume metadata is empty problem
* Imported Translations from Transifex
* Determine environment version based requirement files
* Use cinder API v2, remove support for v1
* Imported Translations from Transifex
* Hide the "Host Aggregates" admin panel if not enabled
* Fix borders for "Actions" column in Firefox
* Changed Project members list style, added scrolls
* Imported Translations from Transifex
* fix wrong background color on workflow tabs
* Make status in instance details screen translatable
* Resource Usage Overview - reduce dropdown menu width
* Add init methods to javascript
* Fix dynamic select layout when help block is displayed
* Make modal dialogs draggable
* Fix misleading  message in Update Metadata Form
* Refactor metering dashboard
* Disallow Resize Volume If Status Is Shutdown
* Fixing typo
* Replaces always disabled context selection link
* Juno Release Notes
* Change "System Info" to "System Information"
* Update JavaScript best practices
* Create buttons in network topology respect quotas
* Imported Translations from Transifex
* Remove string concatenation related to volume attachment
* Dropdown Actions For Database Details Page
* Imported Translations from Transifex
* Add max-complexity to pep8 for Horizon
* add missing semicolon in networktopology
* Imported Translations from Transifex
* Make labels in Network Topology translatable
* Pass correct project ID to get tenant\_usages
* Disable router HA attribute due to Neutron bug
* Removes term inconsistency in the dashboard
* Do not log keystone token
* Imported Translations from Transifex
* Fixing template syntax
* add Column attribute for help tooltip in heading
* Update WSGI app creation to be compatible with Django 1.7
* Fix E128 errors in remaining openstack\_dashboard/
* Fix E128 errors in openstack\_dashboard/dashboards/project/
* Imported Translations from Transifex
* Restyled topbar to resemble UX guidelines
* Restrict the length of user name input
* Make "VLAN", "VXLAN" and "GRE" translatable
* Update Horizon terminology relating to storage
* Improve sub-navigation styling
* \_formset\_table\_row.html missing i18n tag
* Ensure DataTableView applies filter after redirect
* Hiding device name field when unhandled
* Imported Translations from Transifex
* Fix E127 errors in remaining openstack\_dashboard/
* Fix E128 errors in openstack\_dashboard/dashboards/admin/
* Fix E128 errors in horizon/
* Fixes KeyError in floating ip unit test
* Add floating ip status to table
* [Sahara] Support Nova availability zones
* Imported Translations from Transifex
* Fixes poor error message when deleting networks
* [Sahara] style the template parameter configuration filter
* Improve list groups roles performance
* Breakdown CSS: split styling for table inline edits
* Remove unused openstack.common.importutils
* Do not override user-defined Device Size
* Update doc/source/conf.py
* Use timeutils from oslo.utils
* Updated from global requirements
* Updates to horizon settings.rst
* Fix sidebar background color
* Imported Translations from Transifex
* Imported Translations from Transifex
* Updated from global requirements
* Use strutils from oslo.utils
* Migrate jsonutils to oslo.serializer.jsonutils
* Sync oslo-incubator for fileutils, log and policy

2014.2
------

* Imported Translations from Transifex
* Avoid shutting off a paused VM instance
* Fix E127 errors in other openstack\_dashboard/dashboards/
* Fix E127 errors in openstack\_dashboard/dashboards/project/
* Add graduated oslo code to requirements
* Stubout cinder.tenant\_absolute\_limits in cinder test
* Remove selenium dependency when not using selenium tests
* No longer stripping dots from downloaded filenames
* Add ':' inside translatable (Part 1 of 2)
* Clean up test output
* Document token hash algorithm option
* Warn OPENSTACK\_QUANTUM\_NETWORK setting as deprecated
* Imported Translations from Transifex
* Fixed sahara cluster details page
* Change django message storage backends default
* 'Delete Volume Types' button typo
* Hide right border for the active tab in nav bar
* Add check for makemessages in tox.ini PEP8
* Remove compiled message catalogs
* fixed errors when run\_tests.sh --makemessages
* Revert file permissions
* Fix for "No existing metadata" in Horizon metadata selector
* Import translations from Transifex for Juno
* Removed references to hadoop data\_processing
* Fix an encoding exception when creating a public\_url
* Revert file permissions changed unexpectedly
* display boolean and json parameters in stack launch form
* Add install guide for users and clean up README
* allow empty device name when launching an instance
* Fix jshint failure in horizon.d3piechart.js
* Updated tenant\_id to project\_id in policy.py
* Add workaround for StaleElementReferenceException
* Imported Translations from Transifex
* Updated from global requirements
* Remove @author tags from copyright statements
* fix tiny gap in navigation sidebar
* Add ':' inside translatable (Part 2 of 2)
* Add support for row actions to detail pages
* Add dropdown actions to all details pages
* Add dropdown actions to detail page
* Change labels in QOS Specs panels
* Improve tabs styling
* Imported Translations from Transifex
* Reduce height for "Description" text areas
* Show domain name in the change project dropdown
* Make timezones translatable
* Fix inconsistent behaviour exceeding quota limit
* Imported Translations from Transifex
* Warn OPENSTACK\_QUANTUM\_NETWORK setting as deprecated
* Use action\_present/past methods in BatchAction
* Support BS3 events in Retrieve Instance Pw
* Hide gateway ip input field if gateway ip disabled
* Style network address for subnet as required field
* Imported Translations from Transifex

2014.2.rc1
----------

* Add a session cache of can\_access call results
* Enable launching instance from zero-size image snapshot
* Fix E127 errors in openstack\_dashboard/dashboards/admin/
* Imported Translations from Transifex
* fix redirect for admin user password relogin
* Amending the quickstart guide
* Add "cancel" button
* Change column uptime
* Use shades of blue for distribution pie charts
* Move translator notes just before translatable strings
* Sort networks and projects by name instead of UUID
* Fix E127 errors in horizon/
* Override Error Message in Create Subnet Workflow
* Remove and deprecate dashboards config from settings file
* Imported Translations from Transifex
* Display only reachable IP as Floating IP association target
* Make Image Description an input field instead of a textarea
* Unbundle bootstrap and use xstatic version
* Open Kilo development
* remove read-only network ID field from Edit Network form
* Workaround for 'File exists' test failure
* Revert "Remove the update default quotas feature"
* Imported Translations from Transifex
* Updated from global requirements
* Use identity operator in horizon.modals.js
* Remove #noqa from django.conf.urls.include
* Imported Translations from Transifex
* Redefine instance.security\_groups as list
* Imported Translations from Transifex
* Remove glyphicon-eye-open icon from Description
* Add HA mode support for Neutron router
* Imported Translations from Transifex
* Updated from global requirements
* Persist usage start and end dates in the session
* Fix concatenation in more misc actions
* Fix concatenation in Network and Router actions
* Fixing issue with editing N1K network profiles
* Fix concatenation in identity related actions
* Fix concatenation in Database actions
* Checking session timeout before authentication
* Fix concatenation in data processing actions
* Fix for Data Processing Templates copy
* Disable buttons opening the modal forms on page unload
* Job Execuiton form improvement
* Upgrade and unbundle jquery-ui
* Fix concatenation in Volume related actions
* Fix concatenation is misc delete actions
* Fix concatenation in firewall related actions
* [Sahara] Added ability to specify security groups for node group
* Rename Extra Specs with Metadata in Flavors table
* Move datepicker language js inclusion outside compress
* Updated from global requirements
* Fixes session timeout string in horizon
* XMLHttpRequest header instantiation for Django-Angular
* Datepicker locale support
* Instance customization script can now be uploaded as file
* Fix policy check for subnet operation
* Fixes double evaluation of AngularJS in modal box
* Fixes downloading a keypair
* Add mixin to replace replicated get\_policy\_target
* Always split template names on forward slash
* Preserve dashboard order configured from settings
* Fixed missing Launch as Instance for snapshot
* Fixed typos in the QOS Spec forms in Volume Types
* Add additional attributes to choices in ChoiceField
* Fixing template compatibility
* Device Size field now pre-fills with appropriate value
* Replace Ceilometer ClientException with HTTPException
* Imported Translations from Transifex
* Document token hash algorithm option
* Put units in paranthesis in Create Flavor form
* Revert "Style network address for subnet as required field"
* Correct protocol/action initial values provided to UpdateRule
* Imported Translations from Transifex
* Sahara small UI fixes
* Updated from global requirements
* Handle correctly protocol 'ANY' in firewall rule
* Only show type field on specific volume sources
* Aggregates metadata cleanup
* Imported Translations from Transifex
* Images metadata cleanup
* Updated from global requirements
* Flavors metadata cleanup
* Give size field default value (Create Volume)
* Workaround for negative vals in total\*Used in nova absolute\_limits
* Imported Translations from Transifex
* Removing obsolete reference to lesscpy
* horizon ignores region for identity service
* Made Admin State choice more human readable
* Uniquify horizon messages returned in a single response
* Capitalise 'router' in create router templates
* Imported Translations from Transifex
* Reuse API client object in a request
* Replace pgettext with pgettext\_lazy to display translated string
* rephrase action\_past text in Access & Security panel
* Fix concatenation in Delete Rule action
* set max\_length on volume/snapshot description text area
* Fix concatenation in network tables
* Added links to other pages instead of just ID's
* Fix concatenation in Delete Image action
* Translation feedback - Add contextual marker for short strings
* Dismiss flavor detail pop-over on users next click
* Update Usage Comments for DeleteAction
* Remove concatenation from Delete Flavors
* Update Users Table to Avoid Concatenation
* Added no\_autocomplete attribute to password form
* Ability to add form confirm/cancel button labels
* Remove #noqa from two common imports and add them to import\_exceptions
* swift: Respect the OPENSTACK\_SSL\_NO\_VERIFY setting
* Bringing HACKING.rst in correspondence with tox.ini
* Add columns to the job executions page
* Unit test for floating ip quota exceeded
* Update border-radius css and remove mixin
* Fix cancel button size in modal dialogs
* Enable flavors metadata update
* Style network address for subnet as required field
* Show floating IP associated with Load Balancer VIP
* Imported Translations from Transifex
* Fix locator typo in go\_to\_accesssecurity\_page
* Use integer instead of string for form max\_length
* Imported Translations from Transifex
* Stop using intersphinx
* Permit 'exceptions' to be omitted from HORIZON\_CONFIG
* Corrected dash.can\_access call to take context
* Enable QOS Specs to be associated with volume type
* Order tenants in tenant switch list
* Order regions in region list
* Fix AttributeError in VolumeSnapshot
* Filter does not work when table name has spaces
* Set the correct min\_disk size when creating volume from image
* Enable host aggregate metadata update
* Switch to xstatic-bootstrap-datepicker
* Updated from global requirements
* Widget to expose the metadata catalog from glance
* QOS edit, create, and delete functionality
* QOS Specs - added edit feature
* fix the logic of api.lbaas.\_pool\_list
* Change page header heading to H1
* Imported Translations from Transifex
* Translation feedback - Correction/update of help texts
* Modified docs to list supported browsers
* [Sahara] Replaced several IDs with names and names with links
* Fix auto-fill on filename input
* Show floating IPs from other projects of admin instance table
* Replace "tenant" with "project" in visible strings
* Fix host listing in live migration
* render stack parameters in the correct order
* Fixed the nagging 404 errors in the unit test
* Making credentials optional for data sources
* Fixed add\_bootstrap\_class template filter
* Refactor test code to reduce duplication
* Allow setting config drive option when launching instance
* Allow some translations to be made
* Allow translators to translate BatchActions
* Hiding "Launch as Instance" if volume is not bootable
* Fixes broken rendering of dashboard for IE
* Added missing floating IP pool section
* Updated from global requirements
* Index.html fix for startpanel command
* Validation check if exceeding vol snapshot quota
* Fix password reveal icon for Bootstrap 3
* Add templates for bootstrap's horizontal forms
* Avoid string concatenation in Volume Type Extra Spec Edit
* Add attributes to cell in a table depending on data
* Description clean-up for volume actions
* Fix auto-filled object names enabling upload button
* Remove the urlquote to arguments passed to reverse
* Fix timezones in line chart
* Imported Translations from Transifex
* Fix missing trailing commas for modal dialogs
* Updated from global requirements
* Support new IPv6 subnet modes in Neutron

2014.2.b3
---------

* Added new filter class for sub-service tables
* Ensure duplicates are removed from image list
* [Sahara] Fixed cluster template creation
* Fix Cancel button styling
* Work toward Python 3.4 support and testing
* Updating the environment version
* Fixed incorrect position of modal container
* Made storage location help text more descriptive
* Volume Types tab with QOS Specs
* Need ability to evacuate host in syspanel
* Fix Cancel buttons in Custom Property dialogs
* Render hidden stack parameters with a password field
* Context selection for project and region
* Allow forms to disable autofill in all browsers
* Add Font Awesome icons
* Updated from global requirements
* Allow adding or changing the CSS classes of a data table
* Remove NotImplementedErrors from "virtual" methods
* Fix border colors for Firefox
* Imported Translations from Transifex
* Display Network panels based on neutron ext-list
* Fix LinkAction class name for Domain and Project
* Corrected AZ FilterAction and table filter
* Add a None option to the CONSOLE\_TYPE setting
* Imported Translations from Transifex
* Fix order of arguments in assertEqual
* Updating case on requirement to satisfy pip
* Allow auto device name for attach volume
* Port details template missing some translation
* Instance Action Dashboard Blueprint
* Disable Floating IP features if Neutron router is disabled
* Add a config option to disable Router panel
* Add "Edit Router" to allow to change router type
* Add missing mock to test\_set\_external\_network\_empty
* Updates the OpenStack Settings Description for API\_RESULT\_PAGE\_SIZE
* Fix alert styling using "error" instead of "danger"
* Imported Translations from Transifex
* Add quota validation to volume extending size
* Upload volume to image service
* Not compressing a specific js bloc
* Improve help messages on modals
* Fix for adding panel to panel group via plugin
* sort Create Node Group Template's Flavor List
* Show validation errors in modal forms
* Imported Translations from Transifex
* sort Database Launch Instance Flavor list
* Fix handling of missing external network
* Enable changing volume type of a volume
* Navigation causes undefined error when clicked on twice
* Barchart popup window position is broken
* Small SCSS fixes of overview charts
* Allow to hide Y axis label
* Imported Translations from Transifex
* Horizon changes for DVR
* Importing with\_statement from \_\_future\_\_ is useless
* Use string.ascii\_letters to be python 3 compatible
* Refactor network topology JSONView class
* Provide a quick way to run flake8
* Domain Role assignment to Users
* Imported Translations from Transifex
* Updated from global requirements
* Exclude .ropeproject from flake8 checks
* Correct return values of mocked methods in LBaaS API test
* Add Data Processing missing translations
* Data Processing Adding support for Spark jobs
* Add instructions for packaging JS libs
* Fix Data Processing image registry
* show correct link to compute instances in stack resource overview tab
* Fix improper HTML in base template
* Suppress expected exception messages in unit test
* Remove hard coded URLs from metering view
* Ensure document ready before auto download
* Fix wrong config values displaying
* Data Processing post-bootstrap 3 UI fixes
* Fix bootstrap issues on Volume Backups dialogs
* Imported Translations from Transifex
* Validate cores and ram when booting instance
* Fixed issue of 'terminate instance' with fresh login
* Fixed jshint gating errors
* Fix odd row last cell border colors on Firefox
* Fix IE spacing for pie charts
* Use a singly created set while copying cookies
* Imported Translations from Transifex
* reduce the height of the textarea to 4
* Fix bootstrap issue on Volume Backup Details page
* Made Availability Zone mandatory for Aggregates
* Fix backup details with missing volumes
* Min Disk and RAM fields not allow negatives
* Fix XSS issue with the unordered\_list filter
* Set self.kwargs in horizon.tables.actions.LinkAction
* Fix background highlight for dropdown
* Unbundle all JavaScript libraries from Horizon
* Fix action\_class typo and exception message
* Imported Translations from Transifex
* Fix typo error in the comment
* Separating Identity Dashboard and using RBAC
* Stop preloading Admin Volumes tabs
* Edit image - made format field as editable
* "Device size" field only allow positive values
* Imported Translations from Transifex
* Remove "builtins = \_" from tox.ini
* Removed edit icon hover effect
* Remove the word 'More' in the row actions split button
* Data processing templates tables refactoring
* Updated the documentation of the OPENSTACK\_NEUTRON\_NETWORK settings
* Imported Translations from Transifex
* Change message from Warning to Error message
* rename pagination 'More' link to 'Next'
* Remove redundant template from data\_processing/data\_plugins
* Imported Translations from Transifex
* Updated from global requirements
* Fix styling for dynamic select widget add item button
* Fix list of possible trove instnace status choices
* Stop preloading the Volumes tabs
* Handle TypeError from table column summation code
* Imported Translations from Transifex
* Fix ok-icon in membership widget
* Fix instance table IP column indentation
* Change value of None in encrypted volume field from "Maybe" to "-"
* Not display loading image for shelved instances
* Imported Translations from Transifex
* Add Volume Snapshots table to Admin Volumes
* Exception handling is captured correctly when deleting a container
* Allow access to HTML final class string
* Change unit string translation in volume limit templates
* Initialize table action buttons for lazy-loaded tabs
* Run the integration tests headlessly
* Imported Translations from Transifex
* Remove the "Currently Not Supported" field from "Add VIP"
* Redefine instance.security\_groups as list
* Enable updating the status of a volume
* [Sahara] Added error handling for cluster template list
* Rename Trove create database dialog
* Add API filtering to paged tables
* Remove hard-coded static prefix from JS and CSS files
* Cleans up the translation
* Imported Translations from Transifex
* Map quota keys to translatable strings
* Fix policy check for LoadBalancer panels
* Quota error message should be more descriptive
* Make some new strings translator friendly
* Ability to create data sources from job launch
* User keystone policy to check if user password can be updated
* Fix 'Associate' and 'Disassociate Monitor' actions
* Removing border from overview charts
* Allowing to have static x-axes in line chart
* Automatically discover "Image Format" based on file extension
* Rename add\_error methods: Django 1.7 conflict
* Imported Translations from Transifex
* Remove extra loop in populate\_network\_choices
* Fix network select widget for launching instances
* Rename selenium.py -> selenium\_tests.py
* Allow table actions to be displayed in a menu
* Fix tab show/shown handlers for bootstrap v3
* Add test skip decorator when service not available
* Replace force\_unicode with force\_text
* Fix wrong redirect url after instance resizing
* Fix instance flavor popover table
* Provide docstrings for horizon tables DeleteAction
* Redirect to the current page after edited instance
* Imported Translations from Transifex
* Fix unexpected return from Step::\_\_init\_\_()
* Updated from global requirements
* add Previous link to Project > Stacks table
* Manually disable IP version when creating network subnets
* Spelling correction in exception
* Add missing inline edit save and cancel icon
* Support provider network extension when creating network
* Adds keypair create,delete integration tests
* template to rely on the the "id" attribute
* Fixed cannot delete router port because of permission denied
* Fix Volume DeleteBackup success message
* Add missing Disk unit to Overview Usage
* Re-raise exception using six
* Delete Stacks button doesn't work
* Fix broken Subnet Wizard by updating to latest library
* Upgrade django-pyscss to version 1.0.2
* Set python hash seed to 0 in tox.ini
* Honor dashboard DISABLED over horizon settings
* TEMPLATE\_DIRS must be a tuple
* Imported Translations from Transifex
* Translatable value for Status column for Services
* Imported Translations from Transifex
* Fix and enable H701 check "Empty localization string"
* Fix and enable H702 \_() method check
* membership widget styling
* Fix Sahara cluster templates details
* Proper port for LBaaS members
* Support assignment for network to DHCP agent
* Fixing display order of data processing panels
* Fixup trove screens for Bootstrap 3 changes
* Remove Filter button from query-type filters
* Fixed TypeError in database launch error handle
* Properly inline help icon for form checkboxes
* Verify Help button redirects to the right URL
* Make source fields required for 'Create Volume' form
* Make project optional during User creation
* Fixed error message for recoverable exceptions
* Fix wide input fields on Resource Usage > Daily Report tab
* Lint-based cleanup of 2 scss files
* Re-enable flake8 check
* Fixed styling of ajax-animated bar
* Updated from global requirements
* Add ".copy" before extension when copying a Swift object
* Fix Flake8 style warnings in openstack\_dashboard/
* Allow form to stay modal after uploading file
* Imported Translations from Transifex
* restyle pencil icon for table inline edit
* Fix Flake8 style warnings in horizon/
* Terminate Instance button doesn't work
* Use default\_project\_id as user project for keystone v3
* Updated the steps of the tutorial
* Add some missing '+' icons
* Fixed wrong quota check for instance launch
* Remove use of "quota\_tenant\_usages" in Volumes page
* Imported Translations from Transifex
* Change Admin Volumes to a tabgroup
* Some 'Create' buttons missing '+' icon
* Change note about the removal of variable SESSION\_SERIALIZER
* preserving dashboard order for update\_dashboards call
* Update Twitter Bootstrap to version 3
* Add mismatch arguments in inherited dashboard classes
* Reveal icon for password field
* Imported Translations from Transifex
* Add metadata option to Nova Create API Wrapper
* Replace mimetype argument name with content\_type
* Remove Cinder traces from test output
* Cleanup for Horizon fields
* Cleanup for Sahara fields
* Updated description of create volume type dialog
* Adding start/end time to data processing-job execution details
* Remove per-feature extension check method in api/neutron
* Data Processing: Fixing UI refresh for deleted clusters
* Data Processing: Adding keypair import from launch cluster dialog
* Data Processing: Making cluster template field required
* Fixed text on create cluster dialog
* Data Processing: Allowing for HDFS data sources without hdfs://
* Data Processing: Fixing update of execution status
* Imported Translations from Transifex
* change spelling Ram to RAM for consistency

2014.2.b2
---------

* Imported Translations from Transifex
* Sync keystone policy file
* Replace UserManager with None in tests
* Adding Jobs and Job Executions panels for Sahara
* Fixing data processing image registry
* Display host address on row update
* Updated from global requirements
* Update exception map based on neutronclient exception rearrange
* Imported Translations from Transifex
* Add knobs for setting MAC learning on ports
* Add support for trove incremental backups
* Add a proper IPv4 sorter for jquery-tablesort
* Change trove instance table name
* Tolerate service catalog and endpoint connection errors
* Imported Translations from Transifex
* Settings page ChangePassword page and their tests
* Made import key pair examples more specific
* Rename Host to Allowed Host
* Add create and update times for trove components
* Initial support for datastore in Horizon
* Add string translation
* Add scss logger configuration
* Imported Translations from Transifex
* Volume Type Extra Specs support
* fix Instance table's Flavor Detail popover not showing up
* Add ability to manage image custom properties
* Adding Job Binaries panel for Sahara
* Data Sources panel for Sahara
* Fix typo in select methods definition
* Display flavor details in instance listing in a popover
* Imported Translations from Transifex
* Fix security group modal header overflow
* Adding cluster\_template and cluster panels for Sahara
* Run router dashboard unit tests by default
* Imported Translations from Transifex
* Remove Cinder traces from test output (add missing mock)
* Make distinction for disabled text field in membership step
* AttributeError at attaching a non-existent volume
* Trove backup should have link to instance
* Improve display of flavor information for trove
* Adding nodegroup\_template panel for Sahara
* Move \_datepicker.scss to a correct place
* Cleaned up dict.update(single elem dict) code
* Add datastore and version information for backups
* Breakdown CSS: split out the resource browser
* Updated from global requirements
* Display volume size for trove instances
* Consistent handling of choiceField for backups
* Fixing subproject test runs
* adapt to python-novaclient-2.18.0
* Adds option to select a different subnet when adding 'vip'
* Add IMAGE related settings to documentation
* Add support for resize of Trove volume
* Fix the requirements for a django library
* Trove Details pages should be plural
* Trove navigation panel should not be plural
* Rename Trove panels to remove redundant information
* Move the HTML-escaping JavaScript code to a separate function
* Adding the data\_image\_registry panel for Sahara
* Add CONTRIBUTING.rst
* Imported Translations from Transifex
* Remove docutils pin
* Remove requirements style check
* Don't recommend setting SESSION\_COOKIE\_HTTPONLY
* Fix multiple Cross-Site Scripting (XSS) vulnerabilities
* Imported Translations from Transifex
* Hide "Download EC2 Credentials" if EC2 is missing
* Run integration tests full screen
* horizon\_workflow.scss could be more scss-like
* Fix adding members to a group
* Updated from global requirements
* Add max-width and ellipsis to project names in the tenant switch
* Raise NotImplementedError instead of NotImplemented
* Adding support for volume backups
* Imported Translations from Transifex
* Implement missing mocks to remove error noise during test run
* Network topology crashes with timing issue
* Long container names no longer break the page
* Log Trove API errors on databases tabs
* Users can now be deleted within trove
* LBaaS member creation enhancement
* Imported Translations from Transifex
* Updated from global requirements
* cannot add users to groups
* Updated from global requirements
* Use SCSS instead of LESS
* Imported Translations from Transifex
* Allow panel plugins to use ADD\_EXCEPTIONS and UPDATE\_HORIZON\_CONFIG
* Fixes bad performance when editing project members
* Correct styles for workflow update members step
* Adding plugins panel for Sahara
* Unbundle jquery from horizon using xstatic
* Reinstate highlighting of selected container in Containers view
* Imported Translations from Transifex
* Making compute services status fields consistent
* Container:improve 'Copy Object' help description
* Updated from global requirements
* Imported Translations from Transifex
* add Previous link to Admin > Images table
* Make xvfbwrapper import dependent on the selenium imports
* Add OS\_REGION\_NAME to openrc
* Add extra\_context to SetInstanceDetailsAction.get\_help\_text
* Adding link\_attrs to column
* Updated from global requirements
* Add vCPU topology related extra flavor keys
* add httplib2 explicitly to requirements.txt
* Make the More link translatable
* Add heading property to BasePage class
* Raise sane error when failing to modify security group
* Add jshint for javascript linting
* Fix typo in calling is\_the\_current\_page method
* Specify a Network During Database Instance Create
* Imported Translations from Transifex
* Check neutron agent extension support in Info page
* Removing decimal place when it's 0
* Imported Translations from Transifex
* Make security rules with All translatable
* Fix inconsistent inline help text in forms
* Add a table customisation example to the docs
* Allow running a subset of the integration tests
* Fixing the instance boot source
* Updated from global requirements
* Imported Translations from Transifex
* Fix Updated At label
* Disable broken unit test (related to "Change Password")
* Exclude security group related quotas when the extension disabled
* Add missing "load url from future" in a container template
* Fix issues with importing the Login form
* Imported Translations from Transifex
* Remove the unused success\_url and return
* hyperlink from hypervisor page to instance details
* Exception traces in the test output
* Upgrade jquery to version 1.10.2 with jquery-migrate
* Imported Translations from Transifex
* Delete debug statement in js file
* Fix version display position on system info page
* sort snapshots in drop-down when launching instance
* Fix keystone warnings while building docs
* Remove warnings when generating docs
* Update customizing docs, css was replaced by .less
* Display Horizon version number in System Info page
* Add text to the Create Volume dialog's Type menu
* Adding sahara client api code
* Database Launch Form shouldn't autocomplete
* Ensuring environment data is passed to heat template validate
* Sort security group rules by protocol and port
* Fix for UPDATE\_HORIZON\_CONFIG listed as part of Icehouse in the docs
* Removed the link to the outdated horizon demo

2014.2.b1
---------

* Use import from six.moves to import the HTMLParser module
* Accept translated exceptions in exceptions.handle
* Admin Hypervisor table - change order of columns
* Imported Translations from Transifex
* Friendlier information for lbaas members creation
* Add encryption indicator for volumes
* Remove unused load of sizeformat
* Handle error from neutron extension check in Overview page
* Country names in capital letters
* Update 'Create Volume' button with ajax
* Fix issue when Nova does not support DiskConfig
* Display cinder services in System Info
* Add CLI option for running Selenium tests headless
* Not able to delete a pseudo-folder via horizon
* Introduce safer access to resource meters
* APIDictWrapper getitem lookups fail for non str
* Images table/detail view term consistency
* Image uploads should always happen in the background
* Improve extend volume form
* Do not delete properties when create image from URL
* volume details page does not show source image details
* Change Column name from Enabled to Status
* Add "Size" column to Image Table
* Fix testing fails on specific platforms
* Use six.add\_metaclass instead of \_\_metaclass\_\_
* Fix Instance Image Name cell value
* Prevent error message when creating a user
* Incorrect config item in local\_settings.py.example
* UX improvements for Launch Instance dialog
* Sort project list by openstack\_auth
* Remove extra div
* Remove "Panel" from navigation elements
* Imported Translations from Transifex
* Allow extensions to add Angular modules
* Imported Translations from Transifex
* Inactive calendar widget should be closed
* added disabled reason to column status in listing of compute services
* Synced jsonutils from oslo-incubator
* replace dict.iteritems() with six.iteritems(dict)
* Make selenium tests more robust
* Remove extra whitespace
* Add user and password parameters to \_do\_login
* Fixed several typos in comments
* Fix the default text for Instance Boot Source
* Volume Snapshots tab - more button dropdown fix text
* Show default text for image format
* Document how to add panel with no panel group
* Copy the selected file name in the object name field
* Fixed status on Cell class
* updated description of the create image screen
* Do not render port template if device has no port
* Add a column to show if Extra Specs are defined on a Flavor
* Fix missing translations in Firewall views
* Updated from global requirements
* Adding bootable as a column in volumes table
* Make selenium tests pass in WebKit
* Fix delete button interface in network topology view
* update language list in openstack\_dashboard settings.py
* Removing non-bootable volumes from boot source
* Add unit tests to instance Retrieve Password action
* Refactor code around Console support
* Fix hide drop\_arrow.png if only one tenant
* Exception handling should not use exc.message
* Add "new in" tags for pre-Icehouse settings
* CSV Download button from Daily Usage Report
* not display loading image for rescued instances
* Icehouse release notes
* Change mbformat to mb\_float\_format in hypervisor table
* Add "new in" tags to docs for new Icehouse settings
* 'Create Volume Snapshot' form should show the quota for snapshot
* More clear message when detaching volume
* Fix build instructions and formatting in README
* Fix row updates for tables without quicksearch filtering
* Fix max\_length value for flavor's name
* policy checks for nova access/security actions
* adding policy check for neutron
* ValueError when cookie pagesize is empty string
* wrap\_list is not honored for not-editable cells
* Add update method of snapshot name and description
* Fix pseudo-folder content listing
* Integration tests - base class for all tests
* Remove extraneous vim configuration comments
* added field 'delete on terminate' (launch/volume)
* To allow keypair name could contain spaces
* add missing references to policy files
* Fix fake\_init\_exception() to better handle Neutron exceptions
* Fix unicode error when assertMessageCount() fails
* Updated from global requirements
* fixed typos found by topy
* Patch Django 1.4 on Python 2.7.4 or greater
* Fix the dot overlaps with the table border in Availability Zones table
* Enable passing additional parameter to metering query
* Preventing \_\_builtins\_\_ from being in HORIZON\_CONFIG
* Update documentation to clarify Image Upload setting
* Added the field label to the field arguments
* Added tabindex value to links in the sidebar
* Use floats instead of integer in memory calculation of admin dashboard
* Fixing Neutron Subnet Details help text
* Hide disk config option if the extension is not supported
* Fix endpoint error when running keystone on apache
* Changes in assert message and select dropdown
* Avoid attr error on database backup page
* Avoid AttributeError: SecurityGroup error handle
* Fixes wrong logic for clean method in SetInstanceDetailsAction
* Add sort indicator to table headers
* Flavor access list titles consistent capitalization
* Added button Add Interface on Network Topology tab
* Add semi-colons in Less files
* Move \`Forbidden\` exceptions to \`RECOVERABLE\` group
* Use escapejs filter on JavaScript strings
* Allow changing any horizon settings from the plugin config files
* Updated from global requirements
* Allow static files to be exposed for any plugin
* Fix start date should after end date in calendar
* Add a launch instance action to volume & snapshots screens
* Use the latest Django 1.4 release to test Horizon
* Remove trailing commas in JS files
* Textarea field can be extended over other fields
* Propagate logout\_reason messages
* Add missing comma in Volume ResourceWrapper class
* Clear barchart before rendering it
* Return False if instance is None in TogglePause and ToggleSuspend
* Support for django csrf token
* Perform natural sorts on "Hostname" column on the Hypervisors panel
* Replace Horizon cookies by the angular one
* Correct default usage filtering on overview page
* Fix translatable string for "Injected File Path Bytes"
* Refer local\_settings in doc to customize settings
* Centre piecharts properly
* Fix formatting of heat exceptions
* Fix default get\_user\_home with dynamic dashboards
* Do not auto resize line charts by default
* Add a centralized palette to Horizon
* Use the domain filter provided by keystoneclient
* Updated from global requirements
* Fix tox does not pass arguments to nose
* Adding python-saharaclient to requirements
* Just fix some minor coding styles inconsistency in local\_settings.py
* Fix timestampSorter parser
* Use "python -m coverage" rather than use "coverage" explicitly
* TypeError in database view error handle
* Daily Usage report format value column
* Fix KeyError in router:AddInterface error handle
* Introduces escaping in Horizon/Orchestration
* Check host is not none in host aggregate page
* Fix DynamicSelectWidget.get\_add\_item\_url() method
* Better tab name on Hosts Aggregate modal
* Add go\_to\_home\_page method and two more properties
* Changed message when there are no IP available addresses
* Sync latest Oslo
* Add tox env to build docs
* Add pagination to stack list
* Add logging handler for openstack\_auth in the tests
* Add a timestamp parser for jquery tablesorter
* Created a make\_web\_conf command
* Improve Host Aggregates handle method
* Don't ignore the HORIZON\_CONFIG['user\_home'] setting
* Fix settings titles and underlines
* Fix documentation about adding a new dashboard
* Remove unused openstack.common modules
* use ec2-user instead of ec2\_user
* 1284884 Overlogging of failed container delete
* Cardinal interpolation error
* Add missing mock for cinder.default\_quota\_get

2014.1.rc1
----------

* Open Juno development
* Added network's api mocking for the servers\_update\_addresses method
* Make "Gigabytes" quotas description more meaningful
* Fix excessive ajax session thrash
* Plugin-based panel group configuration
* Remove duplicate colon from Size string
* Fix Exceptions doc page generation
* Updated from global requirements
* Adding missing system dependencies to quickstart
* Enable settings/change password on keystone v3
* Make wizard workflow work when non-modal
* Remove non dev dependency on mox
* Remove the update default quotas feature
* Handle "null" time values for Stacks
* Fix create instance workflow help typo
* Create links in LBaaS detail pages
* Clarify description string for image metric
* Remove English compiled catalogs after compilemessages
* Integration tests - page objects pattern
* Use built-in print() instead of print statement
* Sync default OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE with keystone
* Fix wrong links to volume detail
* Increase the datepicker input width
* Make makemessage ignore option work with Django 1.6
* Add missing trunk segment type option for profile create
* Update .tx/config with type of files
* Switch over to oslosphinx
* Pre-select the network when there's only one
* Ensure TabGroup to handle bad GET parameter
* Fix project name in the table for Cisco N1K profiles
* Disables the clear text password UI by default
* I18N: Fix untranslatable strings in LBaaS workflow
* Remove get\_resource\_or\_fake method in VPN panel
* Make project left-side menu titles consistent
* Stop altering the glance API URL
* Update "dashboard" setting documentation
* Error message in create vol with a vol source
* Selected instances are not deleted with pagination
* Changed the label from Edit Rules to Manage Rules
* Hidden checkboxes in Availability Zones table
* Remove I18N strings from test/settings.py
* Handle failures on column filters more gracefully
* Fix unbound local error in instance DetailView
* Host aggregates missing the metadata column
* Clarified success message for instance resize
* Improve help message in Retrieve Password form
* Remove verbose\_name from hidden fields
* Fix username's maximum length to match the backend
* Mark string in routerrule template translatable
* Allow translator to control the word order (update extra spec)
* No need to mark strings in test\_plugin translatable
* Redirect to the proper tab on creating vol/snap
* enable plugins to override templates
* Fix selenium imports on tests
* Fixing potential attribute access on None
* Updated from global requirements
* Fix unbound locals in IPAssociationWorkflow
* Hide column on multi\_select tables if no actions available
* Adding django 1.6 support
* Enforce length checking for instance name field
* Fix Membership list loading bug
* Updated outdated docstring, fixed typo/space
* Tell users when there is no data available in Daily Report
* Updated from global requirements
* Raise an error when no slug on tab group
* Fixes description field extension
* Adding resource link to resource detail page in Heat view
* Additional optional Environment data to heat template selection
* On flavors menu, the \_update.html file was deleted
* Fix distribution pie chart
* Allow 'Manage Host' to show membership action
* Fix middleware to not access session fields without user auth
* filter always returns the last created item
* Updated from global requirements
* Fixing heat stack status column

2014.1.b3
---------

* Decrypt and display VM generated password
* Remove copyright in empty \_\_init\_\_ file
* Live Migration should not contain current host in the new host list
* update test to hit default page instead of login
* Heat Stack update view/form
* Remove gettext\_noop from language list
* Host aggregates panel
* Group specific fields in horizon.form module
* Use unminified javascript files
* Remove volume source option on some dialogs
* Add flavor extra spec key templates
* Enhanced error message when router creation failed
* Plugin-based panel configuration
* Refactor CSV generation code to utils
* Basic support for Cinder v2
* Fix typo
* Add indent to make code more pleasure
* Sort requirement files in alphabetical order
* Add disk config option support
* Adds support for Nova RDP console
* Fix animation on pie charts
* Enhance pie chart capabilities
* Remove apps from settings
* Fixes some column translations
* Updated from global requirements
* Implementing accordion navigation
* Clean up Cinder client traces in the test output
* Rename UpdateDefaultQuotas to UpdateDefaultQuotasStep
* Add missing mocked calls to the Volumes tests
* Integration tests - running the tests
* Use six.StringIO/BytesIO instead of StringIO.StringIO
* update test to handle IntegerField html change
* Reduce number of novaclient calls
* Allow redisplay of the workflow from its handle()
* Fixing filesizeformat test issue with Django 1.6
* sort flavors on Resize Instance modal
* Updated from global requirements
* List all tenant images/snapshots on admin images view
* Keep py3.X compatibility for urllib
* Use six.moves.urllib.parse instead of urlparse
* Using '0' instead of '-' in overview page
* Fix wrong key for 'usage.summary.instances' in CSV summary
* Enforce FlavorExtraSpecs Key format
* Fix a code indentation error
* Add Daily Usage tab to Resource Usage panel
* Change redirect of details on admin instance table
* Use the min\_disk property for volume size
* Documented Flavor Sorting Options
* Action required status shows proper icon
* Typo corrections in run\_tests.sh  comments
* Fixing issue with VXLAN network profile create
* Always pass 'modal' context variable to workflow template
* fix project quota showing error and success message
* Don't lose AttributeError in API Wrappers
* typos in workflows/views.py
* Move volume snapshots table to volumes panel
* Exclude local directory from flake8 tests
* Add jasmine testing and helpers
* Replace horizon.utils with an angular one
* Replace horizon.conf with an angular one
* Fix submit button in overview
* Rename Openstack to OpenStack
* Replace assertEqual(None, \*) with assertIsNone in tests
* Adding policy checks for heat
* Clear date picker fields every time 'Other' Period is selected
* 1279979 Neutron TypeError when token invalid
* Fixing tests to work with keystoneclient 0.6.0
* Fix form error access for django 1.6
* Restrict the length of the Security Group name input
* Bug fix on neutron's API to return the correct target ID
* fix templatetag for no fractional bytes
* get\_user\_home test fix for django 1.6
* Fix table rendering for iterable objects
* Make two identical LBaaS tests different
* Allows the user to modify an object
* VPNaaS tests refactoring
* Refactor large method into 4 methods
* Add month to date option for Resource Usage
* Fixes instance double delete via row\_action
* Fix missing option in the test settings.py file
* Fix typo in ceilometer.py
* Translating entity types in client side templates
* Test coverage improvement for FWaaS screens
* Make object upload success message translatable
* Updating tutorial doc for dashboard loading
* Display trove instance hostname if available
* Volume status must be available to extend
* Remove delete action and bar when stack is DELETE\_COMPLETE
* Fix misspellings in horizon
* Adds meta and head-js partials to head in base.html
* Updated from global requirements
* Restrict the length of the project name input
* Policy check needs to check for None in target
* Don't copy the flavorid when updating flavors
* Add a Row check to enable/disable checkbox on ajax updates
* Move Network topology init call to template
* The order of fields have changed for update default quota form
* Fix regression on auto-fade of success message
* Warn user when no meters in metrics panel
* Revert "CSS to fix content appearing below side pane"
* Fix Typo in loadbalancers/workflow.py
* Checks min requirements before trying to launch an instance
* Change 'update default quotas' success and failure messages
* Adding policy checks for glance
* Add dependencies on Quick Start page
* Add create volume from volume
* Javascript prohibits the use of bitwise operators
* Javascript force filtering object items
* External interface shows as up fake
* Remove leftovers of "# noqa"
* Fix small pep8 issue
* Update Launch Instance button with ajax
* Change internationalizable string
* Give no background color to the pie charts
* Document the IMAGE\_LIST\_FILTER\_TENANTS setting
* Speed up unit tests without coverage
* Get instance networking information from Neutron
* Updated from global requirements
* Adding table search framework and use in admin instances
* Replace mimetype with content\_type argument of HttpResponse
* 'Update' options for VPNaaS UI

2014.1.b2
---------

* Make hardcoded fields translatable
* adding policy checks for nova instance actions
* Translating entity types in network topology
* Remove grey line when pie chart is at 100%
* Revert "JSHint integration"
* disable volume creation, when cinder is disabled
* Remove Restore Backup Action For Non-Completed
* LBaaS tests refactoring
* Upgrade bootstrap-datepicker.js to latest version
* Make table\_actions style work with buttons
* Removing duplicated classes from lbaas.py and vpn.py
* Make values display in Flavor Table consistent
* Sync OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE with keystone
* Fix inappropriate display for inf value of RAM and Storage
* Change assertTrue(isinstance()) by optimal assert
* Restrict flavor fields input on creation/update
* Remove leftovers of django.conf.urls.defaults
* Add volume extend functionality support
* Fixes create flavor extras success\_url
* give a fullscreen attribute to workflow, for modal view
* CSS to fix content appearing below side pane
* Make text in Project Overview - Limit Summary section consistent
* Test coverage improvement for LBaaS screens
* Add asterisk to required field in user edit box
* Remove Create Backup Action For Non-Active
* Remove unused arg \`instances\`
* New message added informing how to exit fullscreen mode
* Empty email for users gets saved as an empty string
* Infinite volumes quota shows as 'inf'
* Fixes some typos spotted in a few Horizon files
* Make download an action rather than a column
* Handle summary information for deleted project
* Adding management\_url to test mock client
* Consolidate user visible spelling of keypair vs Key Pair
* Add update method of volume name and description
* Passing stack\_id argument to get\_data view
* Remove "Delete" buttons when VPN objects are in use
* Empty files shouldn't contain copyright nor license
* adding policy checks for cinder
* Don't reset LOCAL\_PATH if it's already set
* Wrong marker sent to keystone
* Replace asserts in \_\_init\_\_ files with \_\_all\_\_
* Improve docs about horizon settings
* Inconsistent filesizeformat return value
* Change "peer\_cidrs" field to MultiIpField
* Fix charts display in Resource Usage
* Remove leftovers of django.conf.urls.defaults
* Remove #noqa from most common imports and add them to import\_exceptions
* Wizard UI for Workflow
* Rewrite pieces of code deprecated by Django 1.7
* Whitelist external netaddr requirement
* Fixed sphinx ERRORs
* Allowing snapshoting attached volume
* Make running of unit tests more robust
* Do not close modal if escape is pressed on select
* Fix typo error
* unify keypair name handling
* add support for Django-1.6
* Update to the latest version of the jquery tablesorter plugin
* Fix typo in class name
* Refactoring the loadbalancing view classes
* Javascript force use of the curly braces
* Javascript force use of the identity operator
* Javascript coding style indent 2
* Adding missing files in JSHint
* Access & security, floating IPs tab cleanup
* Add init value None to port
* Visual improvement on Launch Instance workflow
* Same styling for "Limit Summary" and "Usage Summary"
* Removal of underscorejs library
* Replace xrange in for loop with range
* Fix pie chart rendering
* Delete periods from select options
* DataTables: disable action buttons even if there are no checkboxes
* Updated from global requirements
* Indicate pseudo-folders in containers panel
* Add missing \_\_contains\_\_() and get() methods to QuotaUsage
* Attach volume eventhough the instance is shutoff
* Clean up the hypervisor DataTable members columns
* Set "remove rule" field to be required in dialog
* Use memoized\_method decorator in views
* Fix parse\_isotime filter into horizon
* Wrap call to extension\_supported with try/except
* User email is optional and can be absent
* Object Upload validated on client side
* Modified images list to be sorted alphabetically
* Cannot view detailed image with empty name
* Add member to LBaaS when no servers available always succeed
* Make Neutron API name consistent
* Set Keypair create button disabled when quota exceeded
* Allows the user to create an object without file
* Add breadcrumb to containers panel
* Logging error if cookie size is > 4KB
* Support warning messages in SelfHandlingForm
* Bad workflow-steps check: has\_required\_fields
* Gracefully handle Users with no email attribute
* Updates tox.ini to use new features
* Quoting attachment filename
* Centralizing page size code, reading cookie
* Change how scrollShift is calculated
* Fix behavior of select all checkbox
* Added help note in attach volume dialog
* Extend options for custom flavor sorting when launching instances
* Add UpdateRow method and status\_columns to AdminImagesTable
* Enable update image description to blank
* Show all custom properties on image detail page
* Do not filter image list from glance api
* Updated from global requirements
* Allow translators to control word order of BatchAction message
* JavaScript use policy
* Common keystone version fallback
* Django Formset support in DataTable
* Configurable cell\_class in DataTable
* Run selenium tests only when requested
* Specify tenant\_id when retrieving LBaaS/VPNaaS resource
* Fix URLs of panels grouped into packages
* Add architecture field in image properties
* Adds Cinder client mock to tests
* Adds Trove mock to tests in database\_backups
* Initialize the table after data load in TableTab
* Hide AZ when creating Volume from snapshot
* Add a loadAngular function
* Hide key field in edit Flavor Extra Specs dialog
* CSV Summary not working inside Admin panel
* Corrected incorrect message when deleting port
* Removal of json2.js
* Fix display of images in Rebuild Instance
* Fix VPNaaS success messages translation
* Increase Horizon base unit test suite
* Limit coverage report to horizon modules
* Set can\_set\_mount\_point default to False
* Plugin-based dashboard configuration
* Add a warning to @memoized when caching is impossible

2014.1.b1
---------

* Improve contributor documentation
* Use HEAD on Container panel ajax update
* Inline Table editing
* Increase Keypair name size to 255
* Show volume quota graphs if totalVolumesUsed >= 0
* Add more Horizon unit tests
* Bumping up max\_length of flavor extra spec
* Fix bad line breaking and radix in JavaScript
* Add ability to configure read access of container
* Allow snapshots of paused and suspended instances
* Role name should not be translated in Domain Groups dialog
* The use of the class variables
* Use === and !== instead of == and != in JavaScript
* Add parse\_isotime filter to Image created and updated date strings
* Updated can\_set\_mount\_point default in docs
* Set can\_set\_mount\_point to False by default
* Add volume limits to project overview
* Fix duplicate definition and scope in JavaScript
* Use dot notation in JavaScript
* Fix duplicate keys in JavaScript
* Abstraction of Ceilometer meters information
* Better @memoized decorator
* Fix confusing use of ! and = in JavaScript
* Don't use extra leading zeros in JavaScript
* Use [] for new arrays in JavaScript
* Updates .gitignore
* Remove returns of user\_update api
* Show success msg when container deletion succeeds
* unify the text: change "Update Subnet" to "Edit Subnet"
* Add check for BlockDeviceMappingV2 nova extension
* Fix semicolons in JavaScript
* JSHint integration
* Deleting statistics tables from resource usage page
* Display error message in instance detials page
* pre-select if theres just one project
* Logging user out after self password change
* Allow "Working" in spinner to be translatable
* Add missing egress sec group for all tcp/udp/icmp
* Disable selection of undersized flavors for image
* Removed "NT\_" prefix in network topology tables
* Rename method get\_hosts in admin/info/tables.py
* Update troveclient to 1.0.0
* Heat Stack name is missing form validation
* Gate on H4xx docstrings for pep8
* translate text: "subnet"/"subnet details"
* Fix translatable string for "Injected File Path Bytes"
* Live migration support
* Change Network Topology panel so it stops polling ajax on error
* Fix bug so that escaped html is not shown in volume detach dialog
* Remove confusing text from description form
* Update 'action\_not\_allowed' message to be more generic
* AngularJS + base horizon module
* fix help message of "create flavor"
* Add contextual markers to BatchAction messages
* VIP creation fails if ip address is not specified
* Fix "it's vs. its" typos
* Gate on H102 Apache 2.0 license header not found for pep8
* Give HealthMonitor a proper display name
* Adding bar chart
* lbaas/horizon - adds tcp protocol choice when create lb
* Filter snapshots with status 'available'
* added Neutron incompatiility note for simple IP management
* Updated from global requirements
* Remove asserts for optional imports
* fix help text in "Create An image" window
* Importing from trove-client compat first
* Transform Quotas 'inf' to 'No Limit'
* Remove 'file' source type when HORIZON\_IMAGES\_ALLOW\_UPLOAD is False
* Change "Tenant" to "Project"
* Handle '%' in Swift container names
* Documenting OPENSTACK\_SSL\_CACERT
* Enhancements of line-chart
* Ensure all compute meters are listed in dropdown
* Add option to disable server password fields
* Remove docs for removed can\_encrypt\_volumes setting
* Add logging configuration for iso8601 module
* Import install\_venv from oslo
* Importing from trove-client compat
* Make HACKING.rst formatting sync with other repos
* Fix default port of MS SQL in security group template
* Enabled django-compressor for javascript sanity test
* Make the alert type in horizon.alert translatable
* Show AZ for instances
* Fix bug by escaping strings from Nova before displaying them
* changed default values of OPENSTACK\_ENDPOINT\_TYPE to publicURL
* Fix django.conf.urls.defaults imports
* Make cookie\_name field in LBaaS VIP creation switchable
* Do not release FIP on disassociate action
* Presents color contrast in resource usage charts
* RST typo for tutorial documentation
* Allow customization of logo link
* Remove "Delete Pool" button when a pool is connected to a VIP
* Use a @cached\_property decorator
* Fix LBaaS "Edit" forms displaying
* Add the missing \_
* Rename the action lable of LBaaS monitor disassociation
* Broken charting for non compute resources
* Update my mailmap
* Updating readme with grammar correction
* Removed extraneous period
* Changed "panels.py" to "panel.py"
* Fix warning in run\_tests.sh --makemessages
* Updated from global requirements
* change assertEquals to assertEqual
* Fix a bug some optional field in LBaaS are mandatory
* Add Port ID to VIP details page
* Make instance DISPLAY\_CHOICES translatable
* Fix horizon.tables.Column \_\_init\_\_ method
* Provide missing hover hints for instance:<type> meters
* Fix AttributeError on Ajax calls with expired session
* Sortable instances
* Fixing possible exception on tables in tabs
* Display LBaaS pool/member status in the tables
* Updated from global requirements
* Do not concatenate localized strings
* Avoid discarding precision of metering data
* Fix untranslated project title text
* Validate volume size is larger than image minDisk
* Updated from global requirements
* Updated from global requirements
* Adds router rules support to router details
* Improve display of instance image information
* Revert patch causing Instance Image Perf Issue
* Adds pseudo-folder creation
* Updates OpenStack Style Commandments link
* Display instances with no image information
* Add filtering parameters to list requests
* Standardize display name on detail pages
* Fix incomplete translation of "Update members" widget
* Add extra extension file to makemessage command line
* Hide settings/change password on keystone v3
* Ignore irrelevant secgroup form field errors
* Add Availability Zone to Volume screens
* Updated from global requirements
* capping python-troveclient version
* Run flake8 tests automatically on ./run\_tests.sh
* Add keystoneclient CredentialsManager if missing
* Use "flavor details" rather than "flavor data"
* Fix import keypair help text
* Use HEAD when retrieving Container details
* LUKS quotas names easier to understand
* Handle the case no SimpleTenantUsage Nova extension
* Use HEAD when viewing Object details
* Improve default logging configuration
* Refactor horizon TemplateLoader
* Fix rendering of Localized string on cell links
* Disable H803 check
* Sort tenants in tenant dropdown, per #1234993
* emit warning while running flake8 without virtual env
* Show an error message on instance launch error
* Fix a issue on retrieving default quota in Create Project
* Quota/limit graphs now work in IE
* Update DataTables only after previous call is done

2013.2.rc1
----------

* Open Icehouse development
* Release notes for the Havana release
* Fix typos: "gruop" and "remove from"
* Limit the odds of making N calls to Glance for image names
* Translating entity types in network topology
* Updated from global requirements
* Allow to specify custom horizon.tables.DataTable template
* Fix add policy missing rule issue
* Correcting help text for database launch
* Create links between FWaaS resources
* Retrieve security group quotas from Neutron if enabled
* Remove extra blank line
* Remove unused LOG
* Import translations from Transifex for Havana RC1
* Convert generator to list in Heat list API call
* Code quality improvements in heat topology
* Code more defensively in image views/forms
* Cleaning up policy documentation
* Handle case without session\_persistence attr in LBaaS VIP
* Only send gateway\_ip on neutron subnet update when it's changed
* Add support for loadbalancer providers
* Ensure to return empty when no secgroup is associated to VM
* VPNaaS: Sync field names in IPSecSiteConn detail with creation form
* Update English PO files (source lang of translations)
* Allow region override for url\_for
* Fixing database instance launch workflow
* Remove gettext\_lazy of log message in nexus/profile impl
* Handled ajax request crash after session timeout
* Remove colon in item names in LBaaS detail page
* Fix excessive volume\_get requests in snaps table
* Make some PEP8 understandable in run\_tests.sh -p
* Fix editing of nameless images
* Don't insert "Any Availaibility Zone" on single-AZ configurations
* Don't generate the secret\_key until after loading local settings
* Update English PO files
* Fix a bug firewall rule creation fails with ANY protocol
* Optimization of ceilometer API
* Fix help string for peer\_address and peer\_id
* show limit summary in GB
* Reduce image\_list\_detailed calls
* Allow Django unknown language in LANGUAGES settings
* Determine security group API dynamically
* Fixes inconsistent console problem
* Update English PO files (source lang of translations)
* Fix Instance secgroup update error with Nova secgroup
* Typo fix rangein -> range in
* enabling trove to work in multi-region deployment
* replace hard coded url for vnc view
* Chart css small fixes
* Hide the View Details for swift pseudo-folder
* Update English PO files (source lang of translations)
* replace nova flavor\_list call with trove call
* Replace OpenStack LLC with OpenStack Foundation
* Update error messeages in Launch Instance
* Fix volume snapshot creation
* Adding Y value unit into linechart popup
* Update English PO files (source lang of translations)
* Enable two verbose\_names in AttachmentsTable translatable
* Role name should not be translated in Project Member Edit Tab
* PEP8 E126 has been resolved
* Regenerate POT (English PO) files
* Make troveclient optional
* divides  "import" statement in a url.py
* Fixes incomplete translation support of "Defaults" table
* replace "ugettext" method with "ugettext\_lazy"
* Don't display non-tenant Floating IP in Floating IP project tab
* assertEquals is deprecated, use assertEqual
* Restore icons on buttons
* Make show\_roles language independent
* Fix several login template translation issues
* The word "IP" is a proper name
* Use substitutions in the messages of delete confirm form
* Enable some table actions translatable
* Fixed a PyPy compatibility issue in the test fixtures
* Update English PO files (source lang of translations)
* Store user settings in persistent cookies as well as the session
* Fixing typo: use -> user
* Update English PO files (source lang of translations)
* Display the 'Settings Saved' confirmation in the new language
* Fixes openrc to properly manage '\' characters in the user password
* added tab showing all servers assigned to a hypervisor
* Minor cleanups on FWaaS message strings
* Fix bug on missing success message for delete actions
* Redirecting user back to previous screen
* modifies error message in adding security rule
* Adding documentation to Tables and Workflows
* ./run\_tests.sh --makemessages update English PO files only
* Add tests for VPNaaS screens
* Fix three spelling errors
* Add success message after successful deletion of VPNaaS resources
* Fix UpdateProjectMembersAction excess keystone calls
* Internationalise a couple of forgotten strings
* Added button to Reboot multiple instances
* Provide a default for OPENSTACK\_IMAGE\_BACKEND
* Remove general 'unauthorized' message from middleware
* Move Network Topology to the top of "Manage Network" group
* Update the source languange PO files with FWaaS/VPNaaS support
* FWaaS Horizon panel
* Create links between VPN resources
* Show IPSec Site Connection in VPN service detail
* Improves VPNaaS detail page templates
* Sync the defaults of VPNaaS forms with the server-side defaults
* storage.object.container ceilometer stat incorrectly set
* Enclose command args in with\_venv.sh
* Enable F403 and F999 check
* VPNaaS UI implementation
* Correct amount of samples in the chart
* Remove test string from translation files
* Sync English PO files with the latest code for Havana-3
* Create Router on network topology fails

2013.2.b3
---------

* PEP8 E121 has been resolved
* Add Cisco N1K plugin support in Horizon
*     Adds support for passing extra tenant attributes to keystoneclient
* Remove spaces from translatable strings
* Do not run preemptive actions twice
* Fixing typos for Resource Usage page
* update neutronclient to 2.3.0 minimum
* Moves SECRET\_KEY generation to base settings.py file
* Make Image Service image formats configurable
* Implement required field indicator
* Fixes missed localization in network agents
* Custom CA certificate for verifying SSL connections
* added Network Agents to System Info panel
* Add metering panel to admin console
* "# noqa" cleanup
* Improved boot from volume
* Fix help string for Host routes
* Define flavor for each project
* Adding panels for trove
* Display a message on the login page
* Remove encryption option for volumes
* Sync Transifex config with the source lang change in Transifex
* Fix row striping when sorting table data
* Use the horizon\_pagesize value in the session cookie
* Allow admins to update default quotas
* Adding reusable Line Chart
* Delete and launch devices on the topology view
* Fix the Domain Context for Users panel
* Fix the Domain context for Projects panel
* Add ceilometer api and the tests for it
* Use proper method name for assembling the aggregate\_list
* Update Horizon English message files for translation
* Add update method of security group name and description
* View and update Neutron project quotas
* Import is\_service\_enabled from module
* Adding Rickshaw as dependency
* Rename heat logical\_resource\_id to resource\_name
* Adding RBAC policy system and checks for identity
* Show Neutron floating IPs quotas on Overview
* Don't fidget with the image/snapshot name/size if it's set
* Apply a tempate filter to output for openrc.sh
* Small cleanup in "test\_data"
* Small "H302 check" cleanup
* Fix for openrc download on Firefox if the project contains blanks
* Implement assignment of Domain Roles to Group
* Corrected  misspelled method in horizon documentation
* Enable H302 check
* Hide form tooltip when form closes on escape key
* Custom css and js docs
* Implement assignment of Project Roles to Group
* Display the container and object metadata
* Adds availability zone info to System Info panel
* Clean-up code issues related to reboot
* Fix "Add Association" and "Delete Association" displaying
* Drop NodeJS dependency in favor of pure-python lesscpy
* Adding rebuild action under Project/Instances
* Set row\_count value on datatable update method
* Revert "Fix middleware to not access session fields without user auth"
* Always display the Domains panel for Keystone V3
* Remove 'Status' field from healthmonitors details
* Hide default Floating IPs quotas with Neutron
* Adds hypervisor statistics to admin dashboard
* Fix middleware to not access session fields without user auth
* Enable H201: do not write "except:"
* Fix minor bugs in the "Resize Instance" workflow
* Customization: Add an explicit example of disabling Floating IPs
* Improve consistency of quota checking in forms
* Fix stack status displaying
* fix gettext calls to work on uninterpolated strings
* Updated from global requirements
* Sync install\_venv\_common from oslo
* Updates Topology to correctly handle resources in the INIT state
* Ensure the user monkey patching is done for the API tests
* Revert "Fix selector syntax"
* Allow translators to control the word order
* Refactoring of user assignment workflow
* added new exception cinderclient.ConnectionError
* Update implementation and remove TODO comment
* Add support for parsing jsonfied heat error
* Fix typo
* Better sorting of flavors in the "Launch Instance" view
* Fixed keystone test data to match openstack\_auth
* Fixing missed translation
* Minor typo corrections
* Replaces term tenant with project
* Fix selector syntax
* calling nova extensions api to enable certain nova features
* remove 'import \*' usage (or mark is #noqa)
* Update heat and ceilometer clients requirements
* Make row actions menu visible for the lower row
* Correct error messages
* Flavor ID added to Flavor creation form
* Query a period of time for usage summary
* Ignore non-existing attr in APIResourceWrapper \_\_repr\_\_
* Add column "Uptime" to instances overview
* adding aggregates panel to admin dashboard
* Add Image Source Field to choose Location or File
* added Compute Services to System Info panel
* removing horizon exceptions adding colors to log messages
* Unpinning upper bound on python-\*clients
* Removed a comment from tox.ini that no longer applied
* Remove all\_tenants from server\_list of Floating IPs tab
* Enable pep8 F841 checking
* fix r'home/$' in url partten
* Fixing the AJAX function location
* Prevent an array index exception if server does not have an image
* Email field is made not mandatory in user creation and editing
* rename "enable" action to "toggle"

2013.2.b2
---------

* Adding Heat Resource Topology to Horizon
* Enable H304 check
* Sync pytz from requirements.txt
* Pinning minimum pbr and d2to1 versions
* Neutron Security Group native support
* Prompt for password on stack create
* Add openstack-common
* added column "Image Name" to instances overview
* Adding the ability to set/use domain context
* Adding configuring hints in Horizon documentation
* Temporary change the django\_openstack\_auth requirement
* update Quantum references to Neutron
* Custom javascript files
* Fix a few visual issues on the network topology diagram
* Add ceilometerclient and bootstrap-datepicker as dependency
* Added btn-create loadbalancer dashboard
* Use oslo.sphinx and remove local copy of doc theme
* Avoid ImportError when selenium is missing
* adding hypervisors panel to admin dashboard
* Implementation of a Heat stacks UI
* Show ID for None display name in boot from volume
* Enable H306 check
* Mock some more keystoneclient.Client properties for mox
* Always load CSS files first
* Doc added for Running selenium tests in VM
* Revised a few confusing quota legends on the overview page
* Fix Further Pyflakes warnings
* Enable hacking H101 test
* Add Filter Action to Volume Views
* Make get\_object\_by\_id() work for most Django objects
* Clean-up some of the workflows-related javascript
* python3: Introduce py33 to tox.ini
* Updates term tenant to project in error messages
* Implement Browser session timeout
* Improvements in csv export for usage data
* Add general description field in image properties
* Fixing scoping of instances in admin volume view
* Region selector enabling multi-region support
* Fixing unmocked call errors
* Disable stop action when instance is deleting
* Ensure flake8 runs with a valid settings file
* Fix quota charts on the Resize Instance form
* Remove pool selection from "Add Monitor" page
* Only display tenant resources in network topology when admin
* Manually mock service\_catalog in stub\_keystoneclient
* Use Python 3.x compatible except construct
* Sort imports alphabetically
* Update my mailmap
* remove unused imports
* Enable "Start Instance" and "Shut Off Instance" buttons
* List only projects accessible by user
* Remove explicit distribute depend
* Add HACKING.rst
* Edit some load balancers titles
* Quota summary graphs, added styling to indicate percentage full
* Mix snapshots and images tables together
* Make the multi-select button on the "Floating IPs" page work again
* Fix bug in port creation form
* Remove "Edit VIP" button when there is no VIP
* Make 'Router created' message translatable
* switching to use limits instead of quotas
* Enable most of the pyflakes checks
* Adding pagination to the tenant views
* Refactoring url\_for to remove admin parameter
* Add RAM/disk requirements to image details
* Add edit buttons for vip, member and monitor
* Resizing a server by means of changing its flavor
* Make 'Creating volume' message translatable
* Add availability zone choice to launch instance
* When launching instances, clarifies quota text to "X of Y Used"
* Fix spelling errors
* Pop 'password' in user\_update v3 if it is left blank
* Adds methods for [] & len into LazyURLPattern
* Add settings for console type (vnc vs spice)
* Add security group rule templates
* Fixing get\_panel\_groups uncaught exception
* Specify the django-compressor version to be 1.3 and higher
* New tox environment for testing with Django 1.4
* Renames tools/pip-requires to requirements.txt

2013.2.b1
---------

* Correct exception msg in ClearGateway::action
* Improve test stability
* Use default cidr to avoid exception when editing quantum security rules
* Group CRUD and Management in Admin Dashboard
* Enable snapshot quota setting
* Fixes max recursion warning
* Fixes boot from volume without image
* Adding CRUD for roles
* Make the Settings form fully translatable
* Orchestration endpoints for keystone test data
* Revert "Improvements in csv export for usage data"
* Added insecure SSL support to quantum api
* Adding Domain CRUD in Admin Dashboard
* Add "Edit Pool" button
* Improvements in csv export for usage data
* Preparing for Heat tests
* Access to heat API via python-heatclient
* parse\_isotime filter to parse a date string
* Allow users to change their passwords
* Add a logging handler for the cinderclient to the local\_settings.py.example
* Display table actions BatchActions buttons in the correct locale
* Fix run\_tests documentation on skip-selenium flag
* Always return a list from VolumeTableMixIn.\_get\*
* Refactored the templates code
* register replace\_underscores filter for templates
* Allow workflows to support multipart POST
* Shows a warning message when deleting a container that contains data
* Use ugettext\_lazy instead of ugettext
* Mark additional strings as translatable
* Make discovery of version for KS catalog smarter
* Allow "Create Snapshot" for SHUTOFF state
* Correct a wonky translation from commit b7e3624
* Add ability to create a volume from an image
* Ensure an error message in LBaaS is displayed once
* Changes generic error message in horizon.modals.js
* Enable parsing of Identity Service V3 catalog
* Add unit tests for customization module
* Adds d3.js library and reworked quota infographics
* Fixing Floating IP capitalization bug
* Make pagination tunable through the settings panel
* Ensure to use keyword parameters in format string in create\_instance.py
* Fix cosmetic bug when displaying unnamed volumes
* Updated translations from Transifex
* Fix translation error for missing default role
* Don't duplicate networks list on keypair import
* Enable using multiple API versions for Identity Service
* Move to flake8
* Shortens displayed action names in Floating IPs table
* Update Horizon for Django 1.5 compatibility
* Adding extensibility to table actions template
* Remove workaround for keystone
* Migrate to PBR for build tooling
* Quotas names fixed Cores->VCPUs, Floating Ips->Floating IPs
* Remove the term 'syspanel' from docs
* Add help text for some fields of Load Balancer forms
* Remove deprecated features
* Add a logout when admin user update his own password
* Expose "protected" attribute of images
* Fix regression on running manage command
* Fixes sorting on IP Address columns in tables
* Add Filter Action to Instance Views
* Fix the "Updated" field in the Image Detail page
* Adding pagination to the instance views
* Fix floating IP management from instance panel
* Enhancement on prompts to list selected objects
* Add tests for LBaaS screens
* CharFields replaced by IntegerFields in LBaaS forms
* Refactor the quotas tests
* Increase socket timeout for selenium tests
* Return an empty string rather than None when calling repr()
* Update "Getting Started" Contributing docs
* Release notes on Quantum Brocade plugin incompatibility
* Allow admin to edit project quotas for fixed IPs
* Remove unused tools/rfc.sh
* Allow users to create a rich network topology
* Add flavor name regex validation to match nova
* Remove inheritance of More action on first action
* Made default values in templates translatable
* Tiny Mistake in Document
* Fix adding security groups to an existing instance
* Fix some not-consistent titles for virtual routers management

2013.1.rc1
----------

* Remove note on theming from release notes
* Bump version to 2013.2
* Adds Grizzly release notes
* Updated translations from transifex for Grizzly RC
* Handle None protocol in security group rule table
* Check if volume service is enabled in quota update
* Pin the cinderclient version
* Disable LB panel by default; allow UUID for Sec Group ID
* Improve UX around "unauthorized" API exceptions
* Reduce duplicate definitions about quota sets
* Hide unnecessary fields based on Loadbalancer Monitor type
* Adds docs for settings/configuration
* rm invalid args when updating quotas with nova api
* Correct the related tenant\_id when getting quotas
* Adding extensibility to workflow template file
* Implement configurable auto-fade for alerts messages
* Fix device name for example. Fixes bug 1152975
* Fix circular dependencies in dashboard settings
* Display port link between router and extra network
* Pass-in the initial value when performing a POST on Workflow Action. This fixes the call to self.changed\_data, it allows django forms to be able to compare initial value with current value
* Fixes uncaught exception on Add Pool when unable to retrieve networks
* Updating .po files for translation
* Fixes error message formatting in Load Balancers panel
* Remove router actions from Admin panel
* Fixes uncaught exception on Add Monitor when unable to retrieve pools
* Update to Quantum Client 2.2.0
* Update CACHE\_ to CACHES settings
* Add some more customization help and examples
* Increase maxlength of Snapshot Name to 255
* Prevents flavors to be deleted when reusing a name
* Allow non-admin users to clear router gateway properly
* blueprint quantum-lbaas
* Don't change dashboard on admin tenant switch
* Improve style of network topology
* Bump python-quantumclient version to 2.1.2
* Support multiple role selection in projects
* Allow for terminating paused/suspended instances
* Fix errant XHR request happening on every page
* pin django to 1.4.x stream
* Escape the region name before passing as value in URL
* Correctly mock keystoneclient.Client.auto\_token property with Mox
* Ensure "Add Interface" form in Admin Panel works
* Fix row striping when datatables are filtered
* Fix footer count update for multi-table pages
* Fix uninitialized variable in launch instance
* Fix hogan js templates in IE8
* Fix images/snapshots table pagination
* Allow admin to edit project quotas for security groups and rules
* Fix a TypeError when working in a Folsom env
* Add support for both soft and hard reboot options
* Adding network-topology view for quantum
* Added encryption support for volumes
* Resolve API import issues (quantum)
* Support adding/removing instance security groups
* Improved security group rule editing
* Update (some) table actions to use icons together with text
* Allow users to specify the order of VNICs of an instance
* Replaces ugettext with ugettext\_lazy in the dashboard-related files
* Implements ability to upload local image to glance
* Remove placeholder objects for subfolders
* If a user only has 1 keypair, this keypair should be selected by default
* Allow image filtering based on image ownership
* Add X-FRAME\_OPTIONS header to protect against Clickjacking
* Add recommendations for secure deployments
* Adds API Access information to Access & Security panel
* Some text in html are not translatable, this cleans-up some of those files
* Fixes support for User filtering without JavaScript
* Added openstack\_dashboard/local/.secret\_key\_store to .gitignore
* Improve error message when the default role doesn't exist
* Properly enable/disable project/user edit via setting
* Fixes the width of the error box on the login form
* Change the first letter of routers tab header and html title from lowercase to uppercase
* Fixing sidebar layout in IE
* Timezones can change - display the current tz offset
* Fix on async messaging to don't escape message string marked as safe
* Allow password-field autocomplete to be configured in settings
* Re-enable client logging
* Implements the autocomplete attribute on the login form
* Fix footer count update
* Update to latest oslo-version
* Confirmation dialogs lists selected objects name
* Disable allocate IP button if the current number of floating IP is equal or larger than the amount allowed by the quota
* Change "select all" checkbox behaviour while checkboxes is checked/unchecked
* Remove image\_type column from images/snaps tables
* Enhances consistency in 'Create Project' modal
* Quantum Floating IP support
* Default recoverable error to WARN log level
* Invoke the has\_more\_data function of tables when loading TableTab. This allows classes extending TableTab to support pagination
* Prevent the user from creating a single IP address sized network
* Add support for SPICE consoles
* save the original requestor's IP so it doesn't get overwritten
* Split the logo.png into two files to enable splash page branding
* Add UTC offset information to the timezone
* Added "create image" capabiltiy to the admin dashboard
* Ensure to use api.<category>.<method>
* Don't show the EC2 Credentials panel if there is no EC2 service
* Clean-up deprecated diablo code in index.html
* Fix attributes processing in ActionMetaclass
* Remove |safe from openrc.template
* Improves some UX details
* Extend offline-compression context
* Adding extensibility to data\_table template file
* Use default\_if\_none rather than default filter
* Prevent column summation if no non-None cells
* Absolute limits of -1 should be treated as unlimited
* Allow insecure authentication
* make long tenant names look better
* Clarify the ambiguity of the "more actions" dropdown
* Horizon escapes special characters in openrc.sh
* Don't update count on tables without a summary row
* Allow setting nova quotas to unlimited
* Catch another breakage, when cinder is unavailable
* Check the display name for volumes on AJAX polls
* Migrate an instance from the admin dashboard
* Support Quantum L3 function
* Improve Quantum panels to Folsom advanced features
* Don't redirect when clicking instance detail page in admin panel
* Disable Launch Button based on quotas
* Fixed unicode for object copy
* Really, really, honestly adjust the size of the noVNC iframe
* Fixes PEP8 errors as reported by pep8 1.3.4
* Pin docutils to 0.9.1
* Store timezone as string. Fixes bug 1091021
* Avoid cinder calls, when cinder is unavailable
* Fixes bug 1086290 https://bugs.launchpad.net/horizon/+bug/1086290, edit-flavor broken when flavor has extra specs. Includes unittest for the same, and modified mock data to to include extra-specs Change-Id: I286d97568daff26bbd03418b2ea0b808caceadba
* Adds a "simplified" floating IP management option
* Removes unused imports
* Allow permissions to be set on tables
* Add a check for unlimited quotas
* show swap disk in listing and forms in flavors syspanel
* Return a better error message(security\_groups)
* Specify floating ips table action cloumn's width
* Fix handling of UUID-typed flavor ids
* Make sure vCPU and RAM quotas are initialised when no instances are running
* Ignore the socket timeout error in Selenium test
* Add an optional link\_classes to tables.Column, this is used as the class of the displayed link in the cell
* For long tenant name, display an ellipsis using CSS3
* refactor UserFilterAction code
* Accepts UUID as an ID of Floating IP
* Return a friendly error at flavor creation
* Adds transitional deprecation code for old dashboard names
* Don't inherit from base.html in 500 error page
* Fixes for missing files in MANIFEST
* Unifies Horizon conf
* Client-side validation of password/confirmation match
* Honour LOGIN\_URL when redirecting to login page
* Reworks quotas and services panels into System Info panel
* use addHorizonLoadEvent() method instead of $(document).ready()
* Allow running tests individually
* Move netaddr to pip-requires
* Added a check for volume service in quota functions
* Remove superfluous slash from admin usage.csv template
* When editing an image, correctly set the 'is\_public' checkbox
* Changed "Delete volume" success message text
* Flavor Extra Specs support
* Wrap a project list call with exception handler
* Enforce use of latest django\_openstack\_auth for PKI compat
* Dynamically size the noVNC iframe, fix typos in copy
* Remove unused usage.csv template
* Update all usage.csv templates to use 2 decimal places
* Add newline between rows of Admin usage.csv
* Adding volume owner (project) to admin table
* Report correct return value from pep8 check
* Adding volume host to admin table
* Added support for volume types
* Use UUIDs for flavor create/edit
* Enable quota data from multiple sources
* Fixed url pattern for project:instances:detail page
* Add OpenStack trove classifier for PyPI
* Update common
* Fixes JavaScript count bug in tables
* Show message when user has no permissions
* User shouldn't remove their own roles on project
* Readding bin dir which was mistakenly deleted
* Fix bug 1055929 - Can not display usage data for Quota Summary
* Adding ephemeral disk to instance details
* Splits OpenStack Dashboard bits from framework app code
* Corrects an error in the EC2 form choices
* Renames legacy dashboards
* Final translations for Folsom
* Fixes error when clicking OpenStack logo
* Allow any python-swiftclient v1.1 through v1.X
* Open Grizzly (2013.1)
* Document limitations of quantum/nova/floating ip integration
* Remove template comments from compressed blocks
* Admin panel: Don't poll shutoff instances
* Adds release notes for 2012.2 "Folsom"
* Fixes workflows to work without javascript
* Adds a docs example for a customization module
* Preserve add-to-field after form error
* Don't poll on instances in a shutoff state
* Adds a method for overriding specific API messages
* Use device name from nova for attach message
* Fix BatchAction class incongruence between documentation and code Fixes launchpad bug #1044424
* Make sure quota error message is displayed in overview page
* Fix PEP8 issues
* Add Quantum public network support
* PEP8 issues fixed
* grammar fixes and other minutia
* Makes Launch Instance only show images that are "active" Fixes launchpad Bug #1040231
* Add nosehtmloutput as a test dependency
* Creates volume snapshot detail page and links to it via the Name column in the Volume Snapshots table
* Syspanel volume list once again shows all volumes
* \* Removes instance ID from create volume snapshot   Fixes launchpad bug #1039080 \* Changes volume id to name in volume snapshot   Fixes launchpad bug #1039082
* Adds instance UUID to associate floating ip dialog Fixes launchpad Bug #1039092
* Removes instance UUID from floating ip table Fixes launchpad bug #1039090
* Only blur project membership inputs
* Fixes some table footer bugs
* High-light selected container in browser Fixed bug #1038264 Change-Id: I46c1d2faf58872d9ed72ee9f6f0f9c4d61d20756
* Adds breadcrumb to resource browser. Fixes bug #1037012
* Don't change tabs based on cookie if GET param is set
* Fix slight grammar error
* Makes "Instance Name" consistent across dashboard instead of "Server Name"
* Makes the usage of "RAM" consistent across dashboard instead of "Memory"
* Catch an exception of API call when retrieving quota usage
* Bug #1018560 Adding quota display to Overview template
* Fixes form error box width
* Fixes inline object creation button styling
* Removes the jquery.example plugin
* Fixes a js error when tables loaded on the page are empty
* Restores the warning message to the Project dashboard
* Clean up instance state checking for actions
* Clarifying Quickstart Documentation
* Adding missing files to MANIFEST.in
* Resolves i18n problem on batch actions
* Adds javascript console logging for debug mode
* Removes the admin launch instance function
* Table filtering fixes
* Update python-quantumclient dep to require >=2.0
* Switch to using cinderclient
* "Select all" checkboxes now don't select hidden items
* Update tablesorter cache after ajax updates
* Fix floating notifications so they scroll with window
* Corrects the CSV download link for overview pages
* Specify tenant\_id when retrieving network list from Quantum
* Removed inline object creation. Added project membership tab to 'Add Project' workflow
* Switch to use python-swiftclient instead of cloudfiles
* Fetch "deleted" flavors for quota tabulation
* Adds faux "edit" UI for Flavors
* Adds i18n support for Javascript
* Initial support of Quantum V2
* Update python-glanceclient to allow anything < v2
* Set env version to 25 for python-glanceclient dep
* Update python-glanceclient dep to 0.3.X
* Don't call a method that doesn't exist for unauth'd requests
* Allow empty device name
* Adds ResourceBrowser and ResourceBrowserView class
* Replace spin.js with animated gif for updating table rows
* project workflow: project membership UI
* Don't show attachment UI if volume is already attached
* Added a check for None value in get\_object\_display
* Separate "modal" behavior from "self-handling" in forms
* Separate OpenStack exceptions from Horizon exceptions
* Added breadcrumb selector for swift subfolders
* Adds an option for linking to external help docs
* Allow control of whether a user can specify a volume mount point
* Update glanceclient imports and version req
* Fixed name of snaphot button
* Emails in the user list now urlized
* Warn user if no role assigned in default Project
* Cleans up instance log page, form, HTML/styles..
* Guarantee that data is not undefined in quota index view
* Makes the instance detail tabs sticky
* Adds dynamic project creation to Create User
* Temp fix for api/keystone.py
* Moves bootstrap LESS back to openstack\_dashboard
* Add run\_tests flag to run only selenium tests
* Fixed/enabled selenium tests
* Fix for quota initialization scripts
* Display form with initial input and error after failure to import keypair
* Makes data table accept mixed data types
* admin workflow to add/edit project info and quotas
* Fixed the bug with images returned as generator
* Added action for creating a volume from snapshot
* Added custom parser for tablesorter.js
* Allow to use SSL with self-signed certificates
* Inline object creation
* Fix the "more" link on the images table
* Partial sync of jsonutils from openstack-common
* Allow security group rules to have their own group as a source
* Fixed logic for disabling form button
* Added 'always-enabled' submit button selector
* Smarter table form rendering and controls
* Allow arbitrarily setting the entry point in a workflow
* Fixing documentation style
* Remove glanceclient.AuthorizationFailure exception
* Auth refactor
* A description is not required for a Project creation
* Allowed empty file for upload
* Adding Better Error for Launching Instance
* Fix run\_tests.sh --pep8 jenkins interaction
* Provide user-selectable timezone support
* Makes API endpoints discoverable for an end user
* Allows filtering form field to be selected
* Fixes behavior of the 'check-all' checkbox
* Includes LESS files in bdist packages
* Volumes Redux
* Summation rows handle None correctly
* Provide utilities to automate secure secret key generation
* Use client libs from PyPI (what?)
* Ensure that launching from image/snapshot selects proper default
* Check for quota data before trying to use it in JS
* Fixing the scrollbars on the VNC window
* Fix for openrc.sh to support tenant names with blanks
* Adding Associated Keypair as Column 'Keypair' to Instances table view
* Adding flavor name to instances table view under column 'Size'
* Add flavor name to Detailed Instance Overview
* Volume Progress Bar & Fixes For Quota
* Changing 'Associate / Disassociate IP' to 'Associate / Disassociate Floating IP' and adding Portuguese translation
* Pin client versions until verioinfo bug is fixed
* 'Edit' image disabled if image in 'Queued' state
* Updated wording for instance termination
* Update the sensitive data exception filter bugfix
* Fixing the project dropdown
* Fixes Nonetype error of flavor info in intances index view
* Make TIME\_ZONE a local settings with a sane default
* Removed new lines when importing a keypair
* Fixing Amazon Image Creation
* Fix Project Overview link to use instance\_id
* JavaScript Refactor
* Tweaking admin warning dialog HTML
* Corrections for stricter pep8 checking
* Forcing Horizon to use PEP8 1.1
* Use horizon's panel template loader
* Reduced height of modal dialog textareas in dashboard
* Login/Logout redirects with Django variables
* Make Horizon timezone-aware
* Updated status messages after launching multiple instances
* Cleans up the settings files
* Adding the bin dir and lessc binary to the manifest file
* When laxy loading tabs don't overwrite query params
* Removes Horizon's "time" module
* Adds warning banner for admin users in project dash
* Swift Object filter improve and fix bug#1013409 bug#1013412
* Ensure existing image properties are not deleted
* Return the correct ec2 access/secret when generating ec2rc.sh
* Fix async messages w/ translated strings
* Fixing Nameless Volume Display
* Support revisions in version numbers
* compiled i18n file "django.po" for chinese
* Improved message handling
* Fixed validation check for ICMP rules
* Move docs to doc
* New .tmpl files are not included in build
* Clarifying user roles in various places
* Rollup of volume fixes
* Dependency Reconcilliation
* UUID Cleanup
* Horizon should use openstack.common.jsonutils
* Common table functions are now run on modal.show
* Generate two different nosetests.xml files
* Updating Horizon to use LESS
* Adding block links in table cells
* Only sort on sortable columns
* Some tablesort style tweaks
* Prevent erroneous log message when accessing security rules
* Add Swift pseudo-folder support to Horizon
* Re-enabling client-side table sorting on a basic level
* Glance remote image creation
* Added some identifying classes to detail page sections
* Improved floating ip assocation via workflows
* Added a check for attachment['instance']
* Changed project uuid to project name
* Added metadata for server
* Adds a summation row option to the datatables
* Adding an AJAX indication to modal loading
* Bootstrapifying quota bars in launch modal window
* Added help text in local.settings.example how to setup Horizon to use SSL-offloading proxy to properly handle page redirects to SSL
* Add ProjectTestingInterface to horizon
* Prevent switching from syspanel to nova dash for image detail
* Removing the current project from the drop-down
* Restored functionality of the region switcher dropdown
* PEP8/style cleanup
* Make sure Horizon is treating passwords securely
* Lowering zindex for spinners, so they don't appear above modal windows
* Removing an unused template
* Ordering the attached volumes for an instance by device name instead of order by id
* Translation fixes/updates
* Adds pagination to Glance API and tables
* Adds initial workflow support to Horizon
* update quickstart doc to fix minor typos
* Allow setup.py bdist to complete happily
* bug #1001313, using dict(list) method to support python2.6
* bug #974599, rename the cookie 'delete' function to 'remove' to avoid reserve word usage
* Change tenant to project in python code to match templates
* Fixing security group create success message
* Adding css files from horizon dir to manifest file
* bug 999371, add a simple test case to test the tag
* Added a new attribute - display\_choices to Column class, for substituting the display value of the statuses provided by Nova to some more meaningful ones in the instance table
* Isolates base\_tests.py from "real" dashboards
* bug/997665 Po file has been created under locale directory for French, but it has not been translated, all message strings are empty
* Fixed template loader bug. Fixes bug 999360
* Panel scaffolding fixes
* Make empty\_value accept a callable
* set the admin\_pass when creating the server
* Implementation of blueprint ip-validation
* Allow proper log output during test runs
* Fixes to the user form, UI behaviors, and tests
* Unit test corrections. Fixes bug 996255
* Added instance names to floating ip table
* Fixes lp978896 -- Session fixation security fix
* makes api return default endpoint types. fixes bug 994151
* Use publicURLs for generated endpoints for ec2rc.sh
* Dismissing alerts when a new modal is opened
* Added instance name for volume attachment
* Adds dash/panel app templates, mgmt commands, template loader
* Replacing the gif AJAX spinner with spin.js
* Move to python-glanceclient
* Complete Simplified Chinese translation for po file
* Improvements to flavor details in the launch instance dialog. The relevant pieces of the flavor are now shown in a table above the auota usage and update dynamically when a flavor is selected
* Added tutorial docs for "Building on Horizon"
* Added english translation files and updated all strings
* Quota usage infographics now update dynamically when flavor or instance count are changed
* Make it easy to have VNC without scrollbars
* Adds S3\_URL to generated ec2rc.sh template
* Revamp of testing machinery
* Adding a closing tag to DT
* Change Instance to Image for image detail page
* Add distribute to test-requires
* html escape the console log in refresh
* Remove instance from 'Attach volume' form if the instance is already attached to that volume
* Instance table minor fixes
* Made quota names prettier. Fixed bug 979417
* Fix it's in the doc's. :P
* Added release notes for 2012.1
* Corrects the ImportError handling for the override mechanism
* Adding a user configurable log length
* Don't choke on unlimited quotas. Fixes bug 971937
* Prevent table data elements from wrapping text
* Can now specify endpoint type via setting
* fix cidr help text
* Adds an error message for an outright failure on an ajax modal
* Prevent confirmation password data from being sent to keystone
* Instance log and console actions now go to detail tabs
* Don't try to make an admin call in a user-level dashboard
* Prevent multiple modals/multiple form submissions via ajax
* Ensure that table action ids are unique again. Fixes bug 971328
* Improved keystone error handling in syspanel
* volume.volumeId property used wrongly as .volume\_id
* Using internalURL for Keystone endpoint
* Replacing the ULs with DLs on the instance detail page
* Makes OS\_TENANT\_ID and OS\_TENANT\_NAME separate in RC file
* Added "network" to the list of required nova services
* Add preference towards single id for action handling
* Fix issue with not loading and showing tenant name in syspanel/instance view
* Added a min-width to the header bar
* Fix display of volumes and snapshots
* show proper error message in VNC tab if instance not ready
* Dropdown arrow button inherits the same style as main button
* Adds configurable ajax connection queueing
* Adds an option for "sticky" tabs
* Adds PanelGroup class and site customization hook
* User needs to log in messages
* Replacing the caption tag in data tables
* Replaces "\_" with " " for instance status and task messages
* Add link to instance for its id in floating ip list
* ".modal" style only applied to modals now
* updating image should redirect back to original page
* fix ajax row update polling decay,
* Copies column instances to be unique per table instance
* Ensures tab data is preloaded. With tests! Fixes bug 964317
* Removed max\_length from username/password fields in login page
* Fix ephemeral field name in quota computing
* Prevent AJAX POST for multipart forms (e.g. file uploads)
* Adds support for tabs + tables
* skip adding spinner animation to row cell if no polling needed
* Additional translations for Traditional Chinese
* Added check to verify email exists when filtering users
* fix label name for add rule in security group to be consistent
* remove console.log from javascript
* Use ugettext\_lazy for verbose\_texts instead of unicode
* Rework translation for panel and dashboard names. Marked more strings
* Fixing an issue where a unique id was not being returned for the overview table, causing the same information to be rendered for instances with the same name but differing stats. Fixes bug #959489
* Translate the sidebar
* Fix instance row updates polling and actions name
* fix ajax-modal to work with updated row
* make setup.py execute with python by default
* fix IndexError when trying to create the first flavor (bug 959232)
* LaunchAction button enabled only if image is in 'active' state
* Allow image name up to 255 characters
* Block launching more than one instance if volume is specified
* Fix AJAX form posting that work incorrectly if get() in base views is overridden by subclass, e.g. EditRulesView and EditAttachmentsView if they don't add X-Horizon-Location custom headers if redirect is used. This mucking is probably the cleanest way to fix this in the meantime
* fix horizontal form error field layout break
* Implements AJAX form posting
* Fixing an issue with overlapping content in FireFox using the caption tag. Fixes bug #960823
* set kernel and ramdisk id not as required field as it's not editable
* Show the modal exactly where it's invoked
* Handle custom column classes; inherit from HTMLElement
* Open Folsom
* Corrects glance image action permissions
* Load tab context data during init for "preload" tabs. Fixes bug 959800
* Changing name of project settings page to Download OpenStack RC File
* Making download ec2 credentials submit button blue
* Allow message assertions to check response context as well
* Fixed a variable being clobbered in the auth\_forms handler
* Adds service name to services table
* Fix EC2 endpoint when downloading credentials
* don't use zipfile's context manager as it won't work on py2.6
* Add a select all checkbox at table header dynamically
* Filter action respects HTTP method. Fixes bug 931272
* Paring down the syspanel instances table
* Security Group Rule enhancements
* Added AJAX updating error handling
* Instantiate novaclient managers for test data
* Using the <caption> tag for table captions. Fixes bug #953741
* reset table to empty look if row becomes empty during updates
* Improves the BaseAdminView TestCase
* Adding a string for the create volume form. Fixes Bug #957139
* Set usage to 0 if attribute not present
* fix syspanel overview missing messages if future date selected
* allow backdrop for modal inside modal, and rearrange the z-indexes
* Port validation should include 65535
* Clears session if login fails unexepctedly. Fixes bug 956493
* Updates Image Details page to match other details pages. Fixes bug 955625
* Remove OPENSTACK\_KEYSTONE\_ADMIN\_URL
* auth\_forms: remove dead code
* allow errored volume to be deleted since nova api allows it now
* adds default text for empty instance list in form select widget
* Corrects available actions for syspanel images table
* Updating ec2 credentials verbiage
* Changes 'project settings' to a more fitting 'OpenStack Credentials'
* Added IDs and identifiable classes to all action buttons
* Add missing docs files in tarball
* set minimum instance launch count to 1
* Created a new detail view for volumes (like instance details)
* Moved ajax updating from Action to Row
* Adding a cancel CSS class to confirmation modals so they can be styled individualls. Fixes Bug #954515
* User.authorized\_tenants is now a cached property
* Updated docs to reflect current required services for Horizon
* Show security groups for instance in overview detail
* Adds default text for keypair select widget on launch form
* force actions\_column min-width:140px to prevent dropdown collapse
* add progressive interval delay, extra checks in ajax row update polling
* fix filter form for container objects list
* use tables.DeleteAction for DeleteContainer and DeleteObject
* add source group rule interface in security groups edit
* Removes duplicate error messages from being displayed during batch action error
* Volume delete action cleanup
* Improved contributing docs
* Ensuring the exception handler for the image detail page works
* When the glance client throws an Exception at Horizon, catch it and determine if it is an HTTP exception. If it is, recast it as a glance\_client.ClientConnectionError so that Horizon can deal with it in a better manner. Fixes 951200
* Allows row status to be determined as the aggregate of multiple columns
* Changed CharField to IntegerField in forms where the actual value is expected to be integer
* hide tooltip after select field is selected
* Adding the ability to configure password strength in the local\_settings. Fixes bug 948317
* Update openrc.sh to work with latest novaclient   \* fixes bug 951919
* Don't show stack trace when unknown exception happens during login
* Fix the translation of transform string
* Removed id sanitizers now that cinder client does the right thing
* User crud no longer available in syspanel when Keystone is using something other than the native auth backend
* Translate names for some tables
* Restores volume attachment list to instance details
* Fix changing locale if using WSGIScriptAlias
* add table column verbose\_name to make it into translation
* Show quotas in Allocate IP form and block if quota limit reached
* load Edit Attachments for volume in modal window
* Fix quicksearch filter for tables, thr row class odd/even has been missing
* Minor extensibility tweaks (sidebar context and div wrapper)
* Moves the branding back out of the main nav template
* Makes sure ajax-updated rows still get correct actions allowed
* Refactorize JS codes for action button check to reduce duplication
* Minor extensibility improvements
* Making initial stride to improve openstack-esq design in sphinx
* Removed "networks" panel from Horizon
* Update for AUTHORS file to remove duplicate entries Multiple emails per person are mapped in .mailmap file Fixes bug 945268
* Translation for Chinese Traditional
* Fix typo vnc to VNC
* Fix typo Snaphots to Snapshots
* Fix typo termiante to terminate
* fix chinese i18n code name from zh-TW/zh-CN to zh\_TW/zh\_CN
* Remove old Glance variables from openrc template
* Updated translation files; added sphinx template placeholder to manifest
* Form errors should be very apparent
* Fixed a couple of places where tenant was still being shown to the user
* Show proper warning message if security group rule is incomplete
* Return proper error message when adding security group with no params
* Disable submit action button until any of list item is selected
* set image attributes not modifiable as read-only
* Remove trailing whitespaces in regular file
* Made readme a little more clear on where to put local\_settings.py
* add git commit date / sha1 to sphinx html docs
* One last redux for setup.py requirement parsing
* Prevents fade-in of modal forms in case of existing previous modal form. Note: This is just a quick fix for the problem specified in the bug. In general there are problems with using overlaying modals. Each subsequent modal form doesn't 'backdrop' the previous one, and the first modal could be closed without closing the last one
* Appending [Instance\_ID] in instance name for Floating IP association form in case the instance name is not unique. Screenshot can be seen at: https://pzt.me/8ud1
* Made Create Snapshot load in modal
* Fixed MANIFEST.in so the setup.py sdist command works properly
* Added a default SECRET\_KEY
* Require django >= 1.3.1 and rework \_\_init\_\_ to make installing easier
* Added package\_data to horizon
* Changed alert message to show actual IP instead of obj\_id for 'Disassociate IP' action
* Removed subheading from Overview pages
* Made Release Floating IPs buttons red
* Give a project name instead of tenant id when allocating an ip
* Removed period from login status
* Removed unwanted handling for the -e and -f flags in install\_requires
* Added floatformat:2 filter to Overview usage for Hours/GBs
* Removed '/' symbol in csv report
* Makes setup.py actually list it's dependencies for pip/easy\_install
* Volumes page should not show inactive instances
* Added detail view for images
* Small fix for forms with alert messages
* Updated the django.wsgi file for devstack
* Unifies the project packaging into one set of modules
* Implements reusable tab components
* Prevents unauth'd view calls from popping up login in modal window
* Adds usage vs quota data to the launch instance dialog. Adds a reusable progress bar indicator
* Implementing EC2 credentials download
* Added beginnings of a deployment guide w/ info on sessions
* Validates port range and displayed non-field errors
* Fixing Volume call used in image launch modal
* Validates CIDR for security group rule input
* Remove an unused template
* Makes the background color default to white
* Floating ip attachment needed ip instead of id
* Changing default volume attachment interface
* Use the volume endpoint for volume actions
* Swift name usage cleanup. Unicode support and slash prohibition
* don't show batch actions if no table data is available
* Adds test (copied from Glance/Keystone) to verify authors file is up-to-date
* Adding new ephemeral disk attribute to flavors
* Allow login post without region in POST data
* Removed a \*really\* outdated setting
* Improve usability of syspanel instance list
* Added an authors file generated from the git log (and de-duplicated)
* Adds new explicit interstitial page to download keypair
* Cleanup of quantum dependencies and imports
* Help texts and dynamic label change for entering security group rules. ICMP rules have different meanings for the from\_port and to\_port fields
* Updated for Django 1.4
* Updated to Bootstrap 2.0 Final, and removed unused media
* Adding iso8601 to pip-requires for Glance
* allow rebooting instance in shutoff state
* Fixed #934459. Remove outdated -E arg for pip
* Close button added for alert messages
* Keystone-related improvements
* Adds tests for pause/unpause instances
* Adds tests for instance console exception
* Fixes for volume attachments view and modal behavior
* Ignoring .venv dir
* Adds tests for suspend/resume instances
* Bugfixes for modify project users
* Sets default values for month/year at Usage Form in overview page
* Adds client-side templating capabilities
* Refactored test suite
* Coloring errors in forms red
* Fixes a style bug when a button is the first element in a button group
* Improved AJAX polling
* Rename venvs to match everyone else
* Full support for dashboard and panel configuration via service catalog
* Fixes logic for toggle Pause/Suspend actions Fixes bug 925395. Added functionality in BatchAction to support multiple actions. The verbose\_names are accordingly changed in update method. It is only required that the current action index is set in the control
* Adds support for volume snapshots (volume snapshots table and ability to boot from a volume snapshot)
* Cleanup on syspanel.images code, and unuset template removal
* Improved region switcher
* Added readme for changing branding
* Updated Copyright dates to 2012
* Auto-updating for data in data tables!
* Making attach volume detach action work again
* Renamed all user-facing cases of "tenant" to "project"
* Syspanel instance display corrections
* Use unscoped token to fetch authorized projects. Fixes bug 927939
* Re-fixing the horizontal layout of the usage range form
* Fixes delete of a flavor in syspanel. Fixes bug 924110. novaclient API is changed - purge param is removed. Patch 2: removed duplicate line Patch 3: removed repeated test call of the same method
* Slightly imrpoved usability of noVNC console
* Cleans up leftover coverage files after test run
* Added spacing in sidebar for nab elements
* fixed whitespace and alignment of elements to be consistent
* Making checkbox padding more flexible (vs. static pixel amounts) Making width of checkbox column consistent, even when no rows are shown
* Make space consistent between tables
* Added vertical padding in tenant switcher
* Converted Quantum to Datatables
* Reworked all the usage implementations into one standard set
* Fixing scroll overflow of table actions
* Coverage stats no longer incorrect
* Adjusting placement of alert action buttons
* Center all multi-select checkboxes
* Trades out a one-off style tweak for a reusable one from bootstrap
* Window now goes as low as 1024px wide without breaking
* Fixed a tupo in Floating IP table header Fixes bug 923281
* Import cleanups, removing unused vars, exception handling, one test fix
* Tenant user administration upgrades
* Makes failing mox test output 10x easier to decipher
* Cleans up imports and error handling for syspanel.tenants. Fixes bug 922406
* Improves error handling for missing table values (less confusing)
* Adds title to tenant edit modal. Fixes bug 922350
* Tenant description no longer raises an exception if missing. Fixes bug 922301
* Novaclient for usage features.  Kill openstackx
* Separate time overrides from test machinery
* Removes unmainted requirements from setup.py
* Implements action colors as per style guide. Fixes bug 921741
* Corrects spacing for dropdown menu items. Fixes bug 921747
* Removes max-height from modals. Fixes bug 921733
* Corrects cross-browser height issues for .btn-group + .small
* Bootstrap 2!
* switching to use python-quantumclient intead of quantum repo directly
* horizon: Use novaclient for flavor create/delete
* Port quantum vif servers call to novaclient
* Remove another quota-related openstackx dep
* Fixing default for boot from volume (from /dev/vda to vda)
* Hide boot from volume UI when no volumes are available
* Converts syspanel.images to use datatables, new modals, etc
* Made cancel button more visible
* Tenant description now required on create and edit
* Deleting a directory that should not have been there
* Implementing multi-region support
* Swift exception handling improvements
* Pylint cleanup (mostly unused or missing imports)
* Remove services openstackx dependency
* VNC no longer loads by default on instance detail page
* Update Actions to require class-level name
* Port servers calls to novaclient
* Port quotas to novaclient
* Tooltip implementation cleanup
* Added a contributing guide to the Horizon docs
* Auto-remove auto-generated .rst files for deleted .py files
* Added specific style for error box. \* fixes bug 900432
* Adds ID to flavors list
* Adds support for boot from volume
* Implementing instance count field in launch form.   \* fixes bug 905061   \* Allows for launching multiple instances at once
* Fix reference to vnc console.url
* Use novaclient to get a vnc console
* Fixes a syntax error when updating tenants
* Converts images and snapshots to new tables, modals, error handling, etc
* Fix volume deletion by adding object id sanitization and object display names
* Prevents rendered data from being cached across table instantiations
* Converts instances and volumes to new tables, modals, etc
* Implementing Floating IP Pools for Horizon
* Fix flavor creation template
* Makes all dashboards (and all views under them) login\_required by default
* Moved authorized\_tenants retrieval to middleware
* adding suspend/resume and pause/unpause instances to horizon added to both user and sys view for blueprint suspend-instance
* pip-requires: Document dep list
* Converted Syspanel Flavors table
* Centralized error handling
* Docs fixes
* Batch actions (including Delete) for DataTables
* Tenant quota API cleanup and tests. Fixed bug 913020
* Adds first inklings of metadata support for swift and adds extensions for files with no extension when downloading if available
* Silences logging output during test runs
* Converts nova.containers to use new tables, modals, etc
* Ensure the test runner uses the same settings for both sets of tests
* \* Fix instance console log output for log tab \* Add some css to make things a bit more pretty
* Implement tooltips using twipsy and field help\_text property
* Converts all of Access & Security to use new panels, modals, views, etc
* Converts nova.access\_and\_security.keypairs to new tables and modals
* Fixed some questionable grammar in an error message
* Converts syspanel.services to new tables
* Unified horizon and openstack-dashboard environments
* Converts syspanel.quotas to new tables
* Cleanup on syspanel.users to use new CBV's
* Float ALL form checkboxes left
* Remove last chzn ref
* PEP8 cleanup
* Fix inconsistencies between overview and index
* Converts syspanel.tenants to use DataTables and modal forms
* Bug #910494: Horizon still tries to load quantum.client when QUANTUM\_ENABLED=False
* Don't override PIP\_DOWNLOAD\_CACHE if it has already been set externally
* Fix another reference to python-keystoneclient, now that it's moved
* Wraps all cancel button in trans tag
* python-keystoneclient has moved from 4P to openstack.  Update the reference
* Prevent disabling/deleting yourself. Fixes bug 909940
* Intelligent programmatic table generation!
* Changing sidebar tab titles
* Refactoring the JS to clean things up and pull stuff out into separate files
* Added IP addresses by network group to instance detail page
* Remove problematic .pyc file for local\_settings after test run completion
* Improve runserver command to accept arguments
* Fix Translation auto generation
* Updated template loaders to the current class-based versions
* PEP8 fixes
* Fix for pep8 output so Jenkins will recognize the violations
* Hide instance launch modal window on images page by default
* Bug #906105: run\_tests.sh ignores -V option
* Removing Chosen js plugin call
* Fix for a non-fatal error in the bash script due to an uninitialized variable
* Fixed failure caused by non-interactive pip installs erroring out on github repo changes
* Making changes for new keystoneclient changes
* updating python-novaclient
* Bumping Django version to 1.3.1 for security fixes
* update horizon generation of openrc to reflect cliauth
* Fixing GIB and MIB on system overview
* Loading settings page while logged out now redirects
* Converting security groups to check boxes
* readding ip to main list table for usability
* Stop using api\_key as a keyword
* Fixing cancel button on create flavor page
* Fixing incorrect formatting of django tags
* Fixes deprecated attribute access
* Adding page titles to all pages
* Fixing floating ip allocation
* Fixing the edit security group rules form
* Fixing the logic for hiding server actions when they're building
* blueprint UX Improvement
* Hiding unusable actions for instances that are not in the active state
* Restored instance details to instance index and detail pages
* blueprint Improve Dashboard UX
* Adds a named view for sending users to the appropriate home page
* OpenRC file download settings panel w/ tenant selector
* Merging Images and Snapshots into a single panel
* Volume name is passed to novaclient properly. Fixed bug 890908
* Fixes the syspanel instances page after instances\_and\_volumes merge
* Merging Floating Ips, Keypairs, and Security Groups into a single panel
* Testing improvements
* fixing url error which occurs when you attach a volume
* Merging Instances and Volumes into a single panel
* Cleans up error handling for index view api calls. Prevents 500 errors
* Keypair bugfixes
* CSS layout fix to make sure title elements are properly cleared
* Corrected a broken trans tag. Fixed 900527
* Adds the ability to specify the URL pattern name for Panel.get\_absolute\_url
* PEP8 fixes
* Reworks messages so they display if they have multiple tags applied
* Cleanup of splash page error messages and keystone error handling
* Updated docs for the Dashboard.panels attribute to be clearer
* Updated quantum API
* Changing the wording for disk quota
* Fixes LP Bug#862664 - Improper calls to get\_image
* Fix templates installation
* Remove openstack.compute usage
* Moving login error messages into the login dialog
* Converts keypairs to use the new ajax modal dialogs
* Fixed nova dashboard image update view (was returning 500 error)
* Fix for a misnamed attribute
* Implementing new table features
* Improved error message for attempt to access an unregistered dashboard
* Updated the other half of the quantum dependency and bumped env version
* Added bugfix for Django URL reverse bug
* Gave the README an extension that github would recognize and then render
* Fix sys.path in WSGI file
* Added urlquote call around keypair name in delete form. Fixed bug 898803
* Adding comment to local\_settings.py.example
* Remove dependency on django-mailer
* adding danger class to keypair delete button
* Quantum was removed from pypi, this fixes the pip-requires
* Remove execute bit on static files
* AJAX modal for associate floating IP. Fixes bug 884495
* Adds tabindex to nav elements for better accessibility
* Clears session on splash page to prevent old user ids from being cached
* Fixing login message when bad credentials are supplied
* Dashboards can now add an attribute that indicates the dashboard has support for tenants/projects
* Fix for launch instance bug and some associated tests
* Various fixes for swift UI
* Unit tests shouldn't override template rendering
* Fix three instances of the same typo
* New template when no instances running shared from overview and instances list
* Adds enctype back to object upload form. Allows for extra attrs on modal forms
* Massive UI fixes + bugfixes
* Accounts for non-standard width of the splash modal for centering
* Adds error messages back into syspanel base template
* meaningless change to drive CI
* login dialog fix
* PEP8 fixes
* fixing swift bugs introduced with ui refactor
* Test fixes for glance index, server novaclient, and auth user changes
* Modal form abstraction and cleanup. Bug fixes
* fixed flash message layout for overview
* Removes multiple selections from security groups in launch form
* Fixes the splash page/login box styling
* fixing splash stylesheet link
* moving stylesheet, clearing up spacing
* The new hotness that is Bootstrap
* Adds function to count tab characters in files to run\_test.sh
* Setting force back to 0, cleaning up, driving Jenkins
* Use separate backup environments for each job name
* Use relative paths for buildout and have run\_tests.sh regenerate the horizon egg link
* drving CI
* driving the CI engine
* Adds environment backup and restoration to run\_tests.sh
* Adds docs about environment versioning and the --quiet flag to run\_tests.sh
* Download caching, dependency cleanup, run\_tests improvements
* blueprint: improve-user-experience Bug #884453 Ensured branding is contained and can't escape sidebar space/break layout by adding a CSS style #main\_nav h1. This bounds the branding area and disables overflow. Additionally padding ot the right is adjuested moving the topbar navigation in line with the sidebars righthand side for asthetics
* Added sanity checks and environment versioning to run\_tests.sh
* Remove Debian bits and let the debian package take care of it
* Adds selenium and qunit integration into Django test suite
* Four modest bug fixes
* unquieting the pip install, theming the docs to match other openstack dev docs
* Adding setup instructions to the quickstart docs
* Updates for readthedocs.org compatibility in docs building
* Re-architects the OpenStack Dashboard for modularity and extensibility
* bug #873216: Fixing ajax refresh for instance view
* bug #862667
* Fixing some pep8 issues with volumes
* Fixed a copy-paste error in pip-requires
* Adds quantum and kombu to buildout
* Buildout correctly installs novaclient and keystoneclient
* more pep8 cleanup to reduce to 0 pep8 issues
* pep8 cleanup
* Migrates Horizon to use KeystoneClient
* Add .gitreview and rfc.sh
* Fixes LP bug 875231 -- use tenant name instead of id for dropdown
* fixing NOVA -> Horizon
* Fix name references
* adding version to project, setting up autobuild of docs with ./run\_tests.sh --docs
* adding developer docs
* Update django-openstack/README
* Update django-openstack/README
* Fixed RAM quota to use MB instead of KB
* Corrected localized format strings and updated internationalization files
* Updates every usage of the messages framework with ugettext
* Internationalizes all form labels
* Fixes all the places where \_ was used as a throwaway that might conflict with ugettext
* Fixes LP bug 882245 -- removes js libraries which are completely unused
* Fixes LP bug 882189 -- Adds paging support to swift API calls
* Fix localization string error and updated internationalization files
* Fixes for LP bugs 879626, 879633, and 879641
* Fix image details
* killing missed semicolons
* killing semicolons in js
* adding todo to cleanup the tailing code once it is supported via the api
* adding ugettext stuff to instances view
* fixing issue with internationalization merge
* Update README
* merging master
* Fixed broken settings CSS sprite in topbar; Relocated dashboard settings bits
* Fixes all failing unit tests post localization merge. :-/
* refixed console log
* Protect against premature "AuthorizationFailure" error when no service catalog is returned (a la an unscoped token)
* adding instance names to instance detail page headers
* adding link to dashboard instance list
* adding instance detail to syspanel
* Fixed LP bug 877001 -- Disabling a tenant doesn't cause a form validation error
* adding view full log link to logs tab
* fixing issue where overview would hide after switching away
* adding vnc tab
* don't need fancy tail method anymore
* added prototype for basic instance detail page, includes overview and log view
* clean up some errors introduced by rebase
* scaled settings image
* update internationalization files for openstack-dashboard
* Localization of openstack-dashboard templates
* update and recompile internationalization string files for django-openstack
* Localized Syspanel templates
* Localize django\_openstack dashboard templates
* Clean up PEP8 errors
* localized syspanel views
* localized django-openstack views
* added Polish to language dropdown since there are localizations
* add settings page to choose UI language
* Initial test of new localization (on Images page)
* Updated style nits, and cleaned up some imports in django\_openstack.api
* Reworked to support exchanging unscoped token for scoped token via tenant and unscoped token (no user/pass)
* Converts auth/token/service catalog mechanisms to use novaclient. Refs (if not fixes) LP bug 848396
* Reworked to support exchanging unscoped token for scoped token via tenant and unscoped token (no user/pass)
* Fixes LP bug 872684 -- Use service catalog instead of settings.SWIFT\_ENABLED
* Converts auth/token/service catalog mechanisms to use novaclient. Refs (if not fixes) LP bug 848396
* Fixes LP bug 872684 -- Use service catalog instead of settings.SWIFT\_ENABLED
* this gives the possibility to have an image launchable :) previous release removed it
* Fix identifier for PyPi
* Bumped version
* fixing tenant update test
* Fix w/ tests for LP 844442 -- dash sidebar module loading respects different 'type' params for duplicate names
* fixed other nits
* Fix for issue 863694 on launchpad -- use 'object-store' instead of 'swift' in service catalog lookups
* Fixes the glance API tests that were reverted by 61c9a75201a89af530db3eeb281a39ba19a60676
* updating api
* update admin port for keystone
* fixing style nits
* adding a notice for when there are no images, so the page isnt just blank
* merging master
* adding delete form to index, so images owned by a user can be deleted by them
* adding edit/delete capability for owner of an image through the user dashboard
* fixing pep8 spacing
* removing useless variable assignment
* creating a separate api method for keypair import, and adding a test
* adding the ability to import an existing public key as a keypair
* removing slash
* renaming js file to follow standard convention, re-adding js file to be included in the head
* moving chosen assets to the newer location in the static dir
* Remove the keystone admin auth hack.  Handle condition when no valid tenants returned gracefully
* Make dashboard look for a service of type 'image' rather than specifically 'glance'
* adding normalize\_newline to userdata box on launch instances form
* adding test for role\_add\_for\_tenant\_user
* fixing error which would cause setting of user role to fail
* ids aren't useful here either
* no need to show ids here
* fix redirects based on Gabriel's feedback
* add/remove user from tenant improvements
* add name to user listing
* Fixed Bug 849488 -- use log.exception instead of log.error
* use type='compute' instead of type='nova' in serviceCatalog
* Fixed issue 858649 on Launchpad -- Distinguishes between tenant name and tenant id
* Completed polish translation
* initial polish l10n setup
* some cleanup
* remove extraneous line
* s/OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE\_ID/OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE/ and related fallout
* remove keystone\_manage context processor - unused
* make roles case insensitive
* tweaks to account for a bug in keystone where all tenants are returned for admin user, even if adminURL is not used
* changes to let dashboard work with diablo and the latest keystone
* finally fixed the annoying over-sized error box on login splash page
* make server\_create use novaclient
* Fixed bug 838257 on Launchpad -- glance Client instances now pass along the token
* fixing flashing issue which occurs when you would click edit image
* Fixed license headers
* Fixed bug 853461 on Launchpad -- Refactors API tests to excercise as much real code as possible in instances where novaclient mocks were being tested previously
* updating requires and dependencies for Glance and Quantum to git from LP
* Converts flavors to use novaclient (where novaclient support is implemented). Reworks unit test mechanism for testing api calls that involve novaclient
* fixing image tests
* fixing keypair list in image launch page
* Removed a duplicate function definition for api.novaclient
* Edited openstack-dashboard/tools/pip-requires via GitHub
* fix osapi 404 message to hint towards keystone service catalog as a possible error source
* Renamed templates within their new directory structures to remove unnecessary duplication of information. Updated views and tests. Removed duplicate copy of \_messages.html. All tests pass, click-through successful
* updating snapshots with create test, and hooking up to novaclient
* Fixes bug #846771 on LaunchPad -- moves django\_openstack templates out of openstack\_dashboard and into directories in the django\_openstack app grouped logically according to modules. Site-specific templates (not referenced by the django\_openstack app) remain in the openstack\_dashboard project
* fixing up keypair tests
* merging with up to date floating ips / master
* fixed tests, tweaked the way api call is made for adding/removing floating ips to instance
* chanigng name of unused variable
* adding python-novaclient to buildout
* adding novaclient to buildout
* cleaning up spacing in css
* cleaning up a pep8 nit
* updating keypair tests
* switching exceptions handling over to novaclient and doing a pylint/pep8 cleanup
* porting keypair functionality over to novaclient
* pep8 cleanup
* remove admin-novaclient as it is only used in broken clients
* remove old references to project\_id
* pep8 and pyflakes cleanup on floating ips view
* oops, forgot to save file before commit
* merging
* switched over to novaclient exceptions
* Adding disassociate view tests
* adding first few view tests
* remove extra spaces
* use novaclient exceptions
* switching over to novaclient exceptions instead of openstackx
* add in tests
* some style tweaks
* fix typo in runtests
* trying to get pep8 output to parse in pylint @ jenkins
* returning 0 intentionally from pep8 to show pep8 charts on dash
* adjusting client, adding api tests
* pep8 fixes for quantum integration files
* fixing the allocate floating ip method
* Modified quantum view tests to use Mox
* disassociate from floating ips page now works
* got the floating ip list mostly working now
* Refitting to new Quantum API spec
* updating README to explain project/repo structure
* fixing run\_tests - typo, missing requires
* updating run\_tests.sh to mimic other openstack projects, pep8, pylint, coverage
* Fix issue #838054: Search form submit causes Forbidden (403) page
* merging with updated pip-requires
* adding novaclient wrapper to api.py, and fixing issue for security groups rules cidr display
* updating api.py to point to novaclient for security groups
* merging api.py
* merging style.css
* Refactored openstack-dashboard to use Django 1.3's contrib.staticfiles app as per current best-practices. This bumps the minimum required version of Django to 1.3 and introduces a backwards-incompatible change for any third-party code that relied on hard-coded paths to the media directory
* hooking up associate floating ip actions
* updating the api to reflect changes in the floating ips api, and removing the admin bits as they will be added later with a admin api extension/client
* Refactored openstack-dashboard to use Django 1.3's contrib.staticfiles app as per current best-practices. This bumps the minimum required version of Django to 1.3 and introduces a backwards-incompatible change for any third-party code that relied on hard-coded paths to the media directory
* adding python-novaclient to the piprequires
* fix inverse project id & container format
* Adding unit tests for network and port views
* cleaning up a few things, and making template tag not error out when there are no modules
* cleaning up recurring calls in sidebar template tag
* Removing duplicate kuombu dependency
* Changes suggested in merge discussion
* Add missing kombu dependency
* Removed all Jquery UI dependencies
* adding ajax toggler to dash instance list
* adding a simple checkbox to toggle ajax refreshing
* syspanel instances will now show globally launched instances after ajax refresh
* adding httpresponse to update image view, without it dashboard will crash on update of image
* Updated pip requires and new client library
* Modified git requires to include https
* Adding kombu to the pip requirements
* Made quantum networking configurable
* Updated local settings file for quantum settings
* Merged quantum code into django-openstack module
* lines added to be compliant with standards
* enforcing admin ( syspanel ) urls
* adding a bit of documentation
* making things a little more pep8 friendly
* rephrasing method name as a verb instead of statement
* fixing typo, consolidating down code
* parsable csv format
* date and iteration formatting fixed
* missing a mock that allows tests to pass
* dry some messages
* when an image gets deleted, existing instances should be able to display without the interface throwing an exception
* Italian Localization Added
* make tests pass again - no need to get\_server if recent data is available
* now using add/remove class to prevent state weirdness from toggleclass
* in production, I've seen that vcpus can sometimes be null for compute hosts that do not initialize properly.  this prevents /syspanel/ from croaking in that case
* Remove unneeded installed app
* Enable Disable buttons need appropriate messages
* remove debug message
* display tenant on admin server list
* use a separate admin\_server\_list call to retrieve  instances in syspanel.  In syspanel, all instances should display, while in dash only the current tenant's instances should display
* instance update status message now refers to instance name instead of id
* clearing .dash\_block for style
* fix instance updating
* link hover artifact is now hidden when you hover over tenant info dropdown in header
* refresh button in page header now shows ajax spinner when items are being updated
* removing huge gap on syspanel overview page
* clearing .dash\_block for style purposes
* fixing the sizing of capacity info on flavor create form
* making the snapshot create info message display name instead of id
* fixing ip list labels
* associating now works with instances instead of fixed\_ips
* adding ip groups instead of public/private ips to instance lists
* fixed a swishy issue with status box width
* reformatting information about instances in floating ips list
* added more information about instance in the associate floating ip form
* making floating ips associate form play nicely with new ip config
* fixing association form
* adding ip allocation to user floating ips stuff
* adding admin interface for listing of floating ips
* floating ip association, allocation, and disassociation now work
* adding pretty sketchy floating ip support for users
* fix more cosmetic issues
* fix spacing issues
* add in tests for snapshot functionality
* remove extra space
* add test to make sure csv gets rendered in dash\_usage
* add in user-facing csv download link
* add download links
* initial commit of csv download for dash usage
* making active links work properly in sidebar for modules
* sidebars now only display in their given type area
* hashing out more general modules
* make tests pass with change from imageRef to image obj
* in nova trunk, server.imageRef has been replaced by a server.image object
* adding urls
* Adding new glance dependency to dashboard
* a few small fixes to the way modules work
* adding necessary code to allow for modules in syspanel
* starting to make things modular
* initial impl of instance snapshots
* Adds new glance dependency to buildout
* don't preventDefault - we want the click action to complete the form submit
* Add the fourth date format
* Better codestyle for resource avail/usage information
* Fix keypair creation
* Found a few more errors in api.py's GlobalSummary class
* Correct missing import, used in services
* Cleans up test code a bit
* Clean up settings.py
* Better error reporting for keystone errors
* Gracefully handle keystone token expiration
* remove debian directory - OS projects generally exclude this directory from the main source
* Fix resource avail/usage information
* Typo in info message
* Put edit back in now that keystone has been updated
* Unit tests for user enable/disable
* Support for user enable/disable
* readding object filter form
* Fixes behavior for prefixs that matches no objects
* finishing up styling of swift interface
* tests for auth views
* adjusting styles for table action links
* adding back in the testing of both subcomponents of this project
* address final review comments by mgius: uncomment needed code in run\_tests.sh, remove comments from api\_tests
* style tweaks for swift ui
* address mgius review comments
* fix instances/refresh action
* re-add LazyUser, fix tests so that they pass
* Remove LazyUser, which causes complications with testing and isn't much of a perf improvement
* Implement api.Server.reboot()
* merging style changes with work in master
* add default OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE='Member'.  You must also make sure that this role exists in keystone: ./keystone-manage $\* role add Member
* fixing services view
* remove this exception handler - there may be a condition that will have to be handled on token expiration - if that is the case this is not the way it should be handled
* key\_name instead of name in keypair templates
* remove tenant create button from quotas index
* making swift use keystone
* remove image name hacks
* in most recent keystone, 'identity' is used as a service name, rather than 'keystone'
* fix log-in
* make tests pass again
* Added support for debug\_toolbar
* two minor style fixes
* converting tabs to spaces, removing cssedit crud, my masterpiece is complete!
* adding login and remaining little bits
* getting forms styled
* styled usage blocks for users and tenants usage pages
* styling the status and message boxes, as well as tweaking some of the html class names
* adding styles for most of content area, general tables and content have been added
* beginning css refactor and cleanup from the ground up, header done
* intermediate commit
* big ugly merge
* lots of changes to style
* teaking type in tenants dropdown
* header is now swishy
* header styling, still broken but making progress
* fixing usage pages
* moving to a new way of setting page titles in syspanel
* moving to a new way of setting page titles in dash
* removing another typo
* fixing typo
* removing unneeded commented bits
* small tweaks to templates
* cleaning up all dash templates
* Better error messages on suspected openstackx missing errors
* cleaning up all systempanel templates
* Hide password characters on the login screen
* Change 'keystone' to 'identity' according to changes in keystone
* Can now filter objects in the dashboard
* changing refresh link
* killing debug message
* added quotas to syspanel
* 100% coverage for object views
* fixing conflict
* renaming method endpoint for quotas
* removing debug message
* modifying quotas now works
* tenant\_id now pulls from quotas.id
* adding autorefresh to syspanel instance list and fixing spinner styles
* adding auto refresh for dashboard instances
* adding relevant quota information to the image launch page
* attempting to get quota info on image launch page for user
* quotas update form mostly working
* Container creation now checks for existance of a container of the same name
* keypair tests 100% coverage
* enable tenant switching
* Fix for api test: keystone->identity
* Fixed problem with swift copy object trying to instantiate swift api when imported.  Moved to \_\_init\_\_ to only make the call when necessary
* Adding convenient upload object link
* Sidebar cleanup
* Unit tests for dash/views/instances.py
* support updating of instance name and description
* Update readme for testing prerequisites and update setup.py to include django\_nose
* Fix keystone name change to identity
* Full unit test coverage of dash/views/images.py
* Fixed container access to use swift objects
* cleaner messaging when token expires
* fix ram unit in tenant usage
* Added missing modules to pip-requires
* Unit tests for dashboard container views.  Includes support code for future view tests
* improve error handling when keystone and other services are down
* Added copy support for swift objects.  Can now copy an object within a container or to a new container
* adding users to tenants
* tenant adding
* adding confirmations to terminate instance, and commenting out permissions toggle for images
* removing all things related to uploading server images
* made create links green and prettyish
* adding availability information to create flavor page to help keep users from making bad decisions
* Typo in readme and api
* PEP8 fixes
* Last function tested.  Unused function dropped
* Everything but the keystone api hit and the unused function tested
* Everything but swift and a couple of odd functions done
* Many more tests
* More api tests
* More tests. Removed one API call because it was a duplicate
* Add another test for the compute api
* Unit tests for admin and auth api getters
* Full test coverage for API wrapper classes
* Support options for running coverage tests
* Tests for APIResource and APIDict wrappers
* Updated license headers
* Updated license headers
* display cpu/disk/ram info on service list
* increase number of characters for image names
* Edited django-openstack/buildout.cfg via GitHub
* Glance now deploys through buildout, and copious comments added
* Turn a bad hack into a better one
* Add cloudfiles to buildout
* That ought to do it
* Wrapped Swift api calls
* glance juggled around some exception definitions
* Fix bug in \_\_getattr\_\_ for api object, and PEP8 fixes
* Quick fix to api to make glance api work right
* Glance api wraps
* Fixed problems with incorrect import/usage for glance\_exception.ClientConnectionerror
* Fixed problem with ClientConnectionError import failing
* All api calls except for glance now wrapped
* don't purge flavor by default!!!
* allow flavor names to be longer
* pull in build changes from server
* also allow underscores and dashes
* allow periods in group names
* Support for VERY basic Swift container and object management
* So clever I messed it up myself
* This is clever.  Perhaps too clever
* Console and Server wrappers
* Bunch of API functions wrapped, tested by hitting dashboard
* Fix flavors delete and keypair list attribute access
* Interface objects added to api, api\_tests and api adjusted to use them
* Tests for every api call that uses auth\_api
* First test implemented, and buildout changes to allow unit test to run
* Totally out of band diff of improve\_logging\_again
* fix paramater ordering in server\_create
* fixing hide bug for instance list
* make name a bit smaller
* oopsy left in debuggery
* fix host name wrapping
* making long instance names truncate
* add an empty span to correct spacing on syspanel dash
* fix dash usage display
* some visual and ergonomic tweaks
* fixing issue with getting max ram usage
* clean up instances display
* all update links now say edit
* making a text pass on everything
* fix gbformatting
* diskgbformat
* fix formatting of ram sizes
* display correct headers in services tab
* fix ram display to show gb
* list terminated instances last
* capitalize status
* fix text console
* no-wrap table headers
* display instance host
* display key name
* adding a proper description to keypairs
* redirect to image list after image edit
* removing debug info message
* fixing dashboard instances
* merging small changes
* some tweaks - fix image editing as well
* moving position of keypair link
* changing units on dash usage overview
* password field on login form is no longer plaintxt
* changing unit to gb-hr
* fix uptime for tenant drilldown
* hisde password on login form
* fix uptime on user dashboard
* use actual instance name in page title
* add title to vnc console
* allow branding of title
* specify ram on a per-host basis
* fix #190
* make length requirement more lax
* wrong order
* display secgroups
* order fields
* UI to add security groups
* make service name first
* remove haskey hack
* no need to display empty message
* tweaks in wording, and better empty displays
* some progress on user editing
* empty keypair message
* fix display of instance uptime
* fix compute usage computation on syspanel
* keep dash\_usage from puking when there is no instance data
* assorted cosmetic and ergonomic changes:  Group terminated instances on user dash.  Don't require keypair
* some display fixes for user usage dash
* show MB for ram usage
* parse more date formats
* syspanel overview needs this setting to compile
* Fix to api to allow images to launch
* minor pep8 fixes for api and gitignore fix for new layout
* deprecated form should be Login
* we don't use boto anymore
* remove nose deps
* adding units
* adding instance size details to user instance list
* formatting uptime, and changing text on tenant overview page from inside of syspanel
* adding refresh buttons
* adding refresh to dash instances, fixing syspanel flavors refresh button
* fixing extra quote on refresh links
* making dates consistent through the dashboard, also adding units to flavor table
* deleting flavors now works, as well as displays a proper flash message
* adding title to refresh links, and fixing image table width
* if user gives keypair name a space, it is now hyphenated to prevent breakage
* Updated Keystone port to 5000 - new default
* stub out build files
* remove registration dep
* fixing width of keypair list
* Add comment ot openstack test
* Update the settings
* made success message after deleting a user an info message
* fixing and styling the create user form
* removing error message
* actually committing the right stylesheet this time
* made the status message box less wide
* fix redirect on image launch
* Fix test runner to allow pdb
* login page is now standalone, and error messages have been styled
* Switching to nosetests runner, moving broken tests to a non-module dir, adding dependency\_tests
* show empty usage info on /dash
* handle token expiration
* Adds django\_mailer and a presence check for it
* fix image launching
* factor out api calls
* image uploading now works
* image editing now works
* image editing now mostly working
* move django\_openstack out of src
* Removed some dead code from base and updated testsettings
* use image\_ref not image\_id
* add in tenant crap
* stash
* Added empty stub for models to avoid django bug.  Zero tests now run
* Working to get tests working
* update pip requires to point to openstackx
* add files for debian packaging
* merge trunk
* make user editing work
* first take at auto-logout
* adding confirmation for all actions
* work improving authentication
* Removing tests that depend on CLC\_IP
* Manager tests
* remove duplicate code
* we don't really need toggle if there is update
* sidebar ordering changes
* work on tenants
* add fake user management
* make state displays consistent
* move datetime parsing into filter
* need to handle more time formats apparently
* humanize uptime
* remove some xtra spaces
* more overview page fixes
* fix admin dashboard overview display
* s/networking/\- in instance\_list's private ip
* more work on instance lists
* fix up admin instance list
* fix file size formatting in admin/images
* use td#actions instead for css selection + form elements
* make form links in tables consistent
* add messages to splash
* fix enabled/disabled logic for services
* fix instance launching, and add keypair/user\_data
* Updated README
* removing tenant field from login form, when user signs in it sends them to their default tenant
* pull in code from trunk to only show amis
* brought back the standalone login splash page
* making suggested fixes from termie
* fixing services functionality, cleaning templates, generalizing a few things
* move tests related stuff out of the way for now, it is currently all broken and needs to be ported
* add missing template for create\_flavor
* remove unused templatetags
* add missing template for create\_flavor
* remove a bunch of unnecessary files
* re-add get\_tenant
* merge changes from trunk
* changing page title to compute
* fixing sidebar active state
* finishing port for keypairs
* porting most of keypairs
* some small fixes
* add in services tab
* add in user views
* highlight correct sidebar
* partially working user management
* add features/fixes from trunk to the overview panel
* syspanel existing screens working again
* update local\_settings.py.example to reflect keystone-ness
* make compute api work
* use service catalog
* Moved run\_instance request logic to ProjectManager class
* Some small issues we encountered trying to create distribution package for Dashboard installing it as subdir of appache's root
* add flavors support
* delete and toggle images
* syspanel images
* syspanel overviews, instances
* move launch to self-handling
* add self-handling-form concept
* squash me
* add switch tenants
* upload... but in wrong place
* launch, console log, vnc
* cleanup + login page
* More url fixes
* Merged with trunk
* Merged with trunk
* theme + images + instances index pages
* skeletal framework for non-admin dashboard
* console and vnc
* terminate instance
* instnace detail page
* instance launching
* remove template region loading
* add context processor for tenants
* overview page and tenant detail
* get auth working
* add local login form
* get login page loading
* remove references to auth and reg
* stripping out user/project stuff, step 1
* Unit tests for django-openstack.models
* Fix final nit
* Remove hacky post\_save short-circuit.  Post\_save tests to follow later
* Address review comments
* Internationalized the dashboard so that users who have nova running in other languages can select a dashboard UI language to match.  Translated all the strings (Localized) into Japanese & tested in English and Japanese.  Created empty translation files for other languages but did not perform translation
* updated buildout configuration to work with new version of buildout
* Better formatting and some comments on a couple of the less obvious tests
* Recompiled all message files to catch pep8 string reformatting
* Cleaned up pep8 violations
* Updated translation (po) file headers
* Better way of mocking out get\_admin\_connection
* Added Japanese localization for django-nova-syspanel
* Japanese Localization of django-openstack
* Finished openstack-dashboard/dashboard localization into Japanese
* CredentialsAuthorization fully tested
* Corrected a merge bug in the localization
* updated localization files to reflect yesterday's merge
* One test failing.  Need to become a Mox Guru to make it pass
* Tests for credentials authorization model.  Also change testsettings to not rely on a magic string, instead rely on None object
* Corrected bugs introduced in merge
* merge
* Add logging throughout django-openstack, mostly informational code-tracing and logging of error conditions.  Add middleware to openstack-dashboard to log uncaught exceptions along with tracebacks for them.  Updated local\_settings.py to give basic idea of how to silence logging for various modules if not desired
* Format is discouraged, so this is probably the next best thing
* Missed addition
* Still new to bzr, missed middleware
* One trailing whitespace line and adapting LOG to openstack convention
* corrected positional string formats in localizable text and generated localization files
* Fixed language selection box
* Corrected bugs introduced in internationalization
* Update local\_settings.py to show example of how to control logging output
* added translation tags to django nova syspanel templates
* Overzealous auto-indent
* Revert changes to createnovausers, CLI interface should print status to stdout
* PEP8 fixes for lines I touched
* added translation tags to django\_openstack templates
* Missed debug line and typo
* Should be done now
* Added translation tags to openstack-dashboard/dashboard templates
* added {% load i18n %} to base templates
* marked static strings in python code for Internationalization
* instances logged.  Some trivial whitespace changes
* Fix import order.  Add logging to images.  Some todos and notes in exceptions and shortcuts that need to be addressed
* Slight change to location/naming of logger.  Remove some unnecessary debug logs. Finish nova/views/admin.py
* Lots of minor pep8 fixes
* pep8 fixes
* Added logging to a number of methods
* Commented out logging directives to reduce debug output introduced by improved logging in django 1.3
* Fix setup.py package\_data after django\_nova rename
* Another fix after nova->openstack rename
* Rename get\_nova\_connection to get\_openstack\_connection in nova.views
* Add template files autodiscovery
* Bump django version numbers to 1.3, fix one trivial deprecation warning and fix settings file to allow project to run under 1.3
* address merge review nitpicks
* Update value of TIME\_ZONE and replace some deprecated views with new class based views
* Bump version for django to 1.3
* Fix run\_tests.sh to return non-zero exit status when test cases fail.  run\_tests.sh currently only returns the exit status of the openstack-dashboard tests, ignoring the exit status of the django-openstack tests
* Fix setup.py package\_data after django\_nova rename
* merge unit test fixes
* modify run\_tests.sh to return nonzero on failed tests
* Add two lines to testsettings that were missed during refactor
* Renamed django\_nova to django\_openstack in package\_data in setup.py
* Add missing settings directives to fix unit test failures
* Name as primary for column, id in brackets
* Added Name field in Launch dialog
* Updates check\_dependencies to properly report error messages when easy\_install and virtualenv are both missing, and add in an attempt to install virtualenv using easy\_install before giving up.  Better error messages and error typos fixed
* Makes existing messages for check\_dependencies more clear.  output for later steps already clear
* Whitespace changes only
* check dependencies now attempts to install dependencies and gives better error messages
* Clearer output on check\_dependencies
* install\_venv -> PEP8 compliance
* Refactored django-nova into django-openstack.  This will allow additional OpenStack modules to be supported
* Merged trunk
* Completed refactor
* Added a flag in settings.py to enable/disable the vnc button from the instances detail page
* adding a settings flag for the vnc button
* removing vnc button on instances
* Fixed run\_tests.sh
* Refactored templates
* Refactored connection.py
* Refactored exceptions
* Refactored shortcuts
* Refactored manager.py
* Refactored forms
* Refactored tests
* Refactored tests structure
* Some small issues we encountered trying to create distribution package for Dashboard installing it as subdir of appache's root
* Split up templatetags
* Added package\_data attributes to django-nova and django-nova-syspanel to install templates with this packages. Fixed url displayed as "Sign In" (made it use url template tag). Little hack to login.html to make it redirect to index page even when Dashboard is accessed not from server's root. Removed ancient hack from django.wsgi. It was needed only for very old Django versions
* Made tests pass
* Began refactoring django\_nova into django\_openstack and submodules

2011.2
------

* This branch adds the instance 'display name' (nickname) to attach the attache volume to instance form
* adding the forgotten parentheses
* This branch adds the instance 'display name' (nickname) to attach the attache volume to instance form
* changing string formatting
* adding instance display name to attach volume to instances form
* Fix user table styling bug #741109
* Remove some print statements that shouldn't have been there
* Remove default "admin"/"admin" user/project credentials and replace with what is configured in settings.py
* Use proper credentials when getting per-project connections
* Remove print statements
* fixed user table styling
* This branch prevents openstack-dashboard from erroring out when a netadmin tries to modify instance details. It also adds a proper error message for when users who try to terminate instances without permission
* permission denied errors now show proper error for instance actions
* When netadmin tries to edit instance details, they are now given a permissions denied error
* This branch adds styling to the permission denied page
* removing redirect from images view, as it is handled by the @handle\_nova\_error decorator
* Added button in instance details to open VNC session. Requires nova-vncproxy to work
* Selectively show a detach or destroy link on volume list, based on the volume's current attach status
* Show volume id and attachment point on instances list on syspanel
* Add django-nova-syspanel, a holistic operations view of the cloud
* Detach volumes so they can be destroyed
* removing redundant error message
* List volumes on instances
* Added button in instance details to open VNC session
* Fix for Bug #761913.  I made the python version string in the install script dynamically set to the version that was used to create the virtualenv. Tested with Python 2.6.6. and Python 2.7.6 on Ubuntu 10.10
* detect python version in install script
* styling permission denied page
* Ignore egg info directory
* Added close link to the image detail ui, so users do not have to go to the main navigation to return to the standard image list
* Add missing setup.py file
* added a close button for the image detail interface
* Add systempanel
* Update pip-requires to use django 1.2.4 to address security vulnerability
* Made dashboard require Django 1.2.4
* The jquery ui popup alert that the user may be having connection issues when ajax requests fail now waits until it fails twice (30 seconds) before notifying the user
* instances page now waits until it fails to connect to the server for at least 30 seconds before it alerts the user that there may be a vpn or connection error
* Now references the nova-adminclient project instead of maintaining a copy of the adminclient
* Fixed nova-adminclient reference in setup.py
* Fixed pip-requires
* Merged trunk
* This branch fixes inconsistencies which were causing errors and breaking section 508 compatibility
* fixing 508 errors on user management page
* fixing section 508 error where launch form had an extra label with no form field
* Fixed overlap of register h3 with button on Firefox 3.6, and adjusted height of login box to match
* fixed overlap of register button and h3 text bug 741106
* change message when attach message sent to compute host.  change the default, as ephemeral disks (depending on instance since, like m1.medium) may be available at /dev/vdb
* Change message for shorter wait if volume attach fails
* Fixed an issue that preventing images from being made public
* Fixed an issue where images couldnt be made public
* Update default device & success message for attaching a disk
* Simplified the logic around whether a user can modify images.  It needs to be refactored again but it was very broken in its current state
* Patched image list to not show edit links for all images
* The manage user roles UI on the project tab wasn't showing the correct roles when editing a user
* Fixed modify user roles UI
* Fixed the project role admin UI
* Fixed project role admin ui
* Fixed an issue where some auth drivers would cause get\_user to fail
* Patch to make get\_user work with all auth drivers
* Patch to make get\_user work with all auth drivers
* Fixed DescribeUser in adminclient
* Refactored django-nova to pull nova adminclient from pypi
* This branch adds the ability to modify the project manager of any given project from the django-admin interface
* fixing typo in the form, and adding modify\_project to adminclient.py
* adding modify\_project to adminclient and fixing typo which caused error on form post
* stubbed out the ability to modify project manager
* Removed a 'read more' link which was a text artifact from the nebula dashboard
* Fixed a problem that caused Send Credentials from the admin UI to fail if the email subject template contained a newline
* Fixed credentials email subject parsing
* removing text artifact from nebula dashboard
* The django-nova project has been moved into the openstack-dashboard repo to simplify development efforts
* Combined django-nova and openstack-dashboard
* Ignore sqlite database, venv directory, and local settings
* Add sample configuration and explanatory comments to the local/local\_settings.py.example to show how to configure your outgoing mail server, which is used by django-registration
* Change text of the submit button on the registration form to say "Register" instead of "Reset Password"
* Change the name of the default sqlite database to have a .sqlite3 extension
* Added django-nova to openstack-dashboard repo
* Fix text on button for registration form
* Ignore sqlite database, venv directory, and local settings
* Change the name of the default sqlite database to have a .sqlite3 extension
* Add dummy SMTP settings in local settings exmple
* Added site branding tags to reduce number of templates that must be overridden in containing projects
* Merged trunk
* Merged lp:~jakedahn/openstack-dashboard/homepage-additions
* Merged trunk
* Merged lp:~jakedahn/openstack-dashboard/ie-fixes
* Simplified site branding tag
* finishing up first pass on homepage design
* updating links for openstack resources section
* first design pass on homepage when logged out
* Filling in some preliminary content for styling
* Fixed broken template tag reference
* Modified templates to use site branding template tags
* killing new sidebar background image for now
* refactoring some of the main css, and fixing display issues in IE7
* chmox +x run\_tests.sh
* Merged lp:~mordred/openstack-dashboard/add-test-script
* Added simple test runner
* Merged lp:~devcamcar/openstack-dashboard/lp710868
* Merged lp:~ken-pepple/openstack-dashboard/lp710890
* Removed all Nebula references
* added NOVA\_ADMIN\_USER and NOVA\_PROJECT to local\_settings to prompt users that these are needed
* Merged lp:~devcamcar/openstack-dashboard/fix\_unavailable\_template
* Cleaned up unavailable template
* Merged lp:~jakedahn/openstack-dashboard/templates-cleanup
* adding forgotten text update to template
* adding 'service unavailable' template and adjusting urls to point to it
* removed the extra 'or' text on the signin form
* removing references to nebula forum and wiki
* Merged lp:~jakedashn/openstack-dashboard/newcss
* refactoring css
* Merged lp:~devcamcar/openstack-dashboard/maintenance\_mode
* Added handle\_nova\_error to home page view
* Support django-nova maintenance mode
* Added README
* Made with\_venv.sh executable
* Initial commit
